2009-03-09  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy-mac.csproj: Fix Mono.Addins references to point to the GAC, and
	stop bundling Mono.Addins stuff in the Mac app bundle.

2009-03-09  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Update for 0.14.0.

2009-03-09  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* Tomboy/Defines.WIN32.cs:
	* osx/Contents/Info.plist: Bump version to 0.14.0.

2009-03-08  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Setup/Files.wxs: Include AUTHORS, README, COPYING, and NEWS in installer.
	* Tomboy/Tray.cs: Save reference to context menu and add some checks to
	prevent multiple simultaneous menus showing. Fixes Windows-only bug #556406
	and bug #566173.

2009-03-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* Tomboy/Defines.WIN32.cs:
	* osx/Contents/Info.plist: Bump version to 0.13.7.

2009-03-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Update for 0.13.6.

2009-03-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* po/POTFILES.in: Add MacApplication.cs. Fixes bug #570121.

	* po/POTFILES.skip: Remove obsolete files.

	* Tomboy/Makefile.am: Restructure CSFILES variables to make
	sure all files are included in tarball, regardless of current
	configuration.

2009-03-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Watchers.cs: Remove extraneous whitespace matching in
	URL regex. Fixes bug #436994, patch from our own Stefan
	Schweizer.

2009-03-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Add Florian's full name.

	* Tomboy/Watchers.cs: Patch from Benjamin Podszun to support
	HTTP URLs with the '@' symbol. Fixes bug #573317.

2009-03-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/NoteEditor.cs: Have numeric keypad Enter key behave
	the same as regular Enter/Return. Fixes bug #525753, patch
	courtesy of Benjamin Podszun.

2009-02-22  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* Tomboy/Note.cs: Use correct plural forms in note
	deletion dialogs. Closes bug #572096, patch by Benjamin
	Podszun and myself.

2009-02-17  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in: Change gtk-sharp min version to 2.10.1 to
	prevent build error with Gtk.StatusIcon.GetGeometry.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy-mac.sln:
	* Tomboy/Addins/PrintNotes/PrintNotes-mac.csproj: Add printing
	support to Mac solution.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* Tomboy/Defines.WIN32.cs:
	* osx/Contents/Info.plist: Bump version to 0.13.6.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Updated for 0.13.5.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Utils.cs: Proper localization support for plural
	strings. Fixes bug #476061, patch courtesy of Benjamin
	Podszun.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/PreferencesDialog.cs: After successfully configuring
	sync, offer to perform a sync. Fixes bug #553079.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Watchers.cs: Add checks in
	NoteLinkWatcher.DoHighlight to prevent erroneous links. Fixes
	bug #323845, patch courtesy of Florian.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* data/tomboy.schemas.in:
	* Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs:
	Add hidden gconf preference to support passing "-ac" option to
	wdfs, accepting SSL certificates without prompting the user.
	Beginning of fix for bug #531364.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* data/tomboy.schemas.in: Add schema entries for SSH gconf
	keys we have been using for over a year. Fixes bug #570918.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/tomboy.in: Set MONO_DISABLE_SHM=1. Fixes bug#514434.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/NoteWindow.cs: Add accelerator text for
	increase/decrease indent in Tools menu. Fixes bug #570334,
	patch courtesy of Benjamin Podszun.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: Raise errors
	if file create/read/write tests fail when configuring sync.
	Fixes bug #570917.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Adjust
	paragraphs to prevent page overflow. Patch from Benjamin
	Podszun; partial fix for bug #572024.

2009-02-16  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Latest
	fixes from Benjamin Podszun. There are still some margin
	issues but as far as I am concerned bug #512369 (port to
	GtkPrint) is now resolved.

2009-02-14  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs:
	Add translator comment for date and time formatting
	strings.

2009-02-03  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.csproj:
	* Tomboy/Addins/*/*.csproj: Update references for gtk-sharp 2.12 from Novell.

	* Setup/Setup.wxs: Require Novell's gtk-sharp >= 2.12.8. Don't require
	gtk-sharp during uninstall.

2009-02-03  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in: Remove checks for libgnomeprint and
	libgnomeprintui.

2009-02-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* Tomboy/Defines.WIN32.cs:
	* osx/Contents/Info.plist: Bump version to 0.13.5.

2009-02-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Update for 0.13.4.

2009-02-02  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mac.sln:
	* Tomboy.mac.csproj:
	* Tomboy/Addins/*/*.mac.csproj: Rename from *.mac* to *-mac* to work
	around MonoDevelop issues. Add build support for printing.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Tray.cs: Match accelerators correctly (they still
	don't all work, though). Whitespaces fixes.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Better
	logged error on print failure.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Move work out of
	Initialize. Ensure disposal of the print operation. Show an error message
	if an exception occurs during printing (like on Windows with GTK# 2.10).

	* Tomboy.sln:
	* Tomboy/Addins/PrintNotes/PrintNotes.csproj: Windows build support.

	* Setup/Files.wxs:
	* Setup/Setup.wisproj: Add printing add-in to installer.

	* Setup/Setup.wxs: Change Manufacturer to "Tomboy Project". Add support for
	new registry key (probably) used by Novell's gtk-sharp 2.12.8.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* po/POTFILES.in:
	* Tomboy/Addins/PrintNotes/Makefile.am:
	* Tomboy/Addins/PrintNotes/gedit-print.h:
	* Tomboy/Addins/PrintNotes/gedit-print.c:
	* Tomboy/Addins/PrintNotes/gtksourceprintjob.h:
	* Tomboy/Addins/PrintNotes/gtksourceprintjob.c: Delete old
	libgnomeprint-dependent print code. Add Mono.Cairo reference.

	* Tomboy/Addins/PrintNotes/PrintNotes.addin.xml: Bump to
	version 0.2.

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: New
	printing implementation using Gtk.Print. Partial fix for bug
	#512369. There are known wacky margin/header/footer problems
	on Linux. Many thanks to Benjamin Podszun for doing this in
	record time.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/MacApplication.cs: Add translator comment.

	* Tomboy.mds: Update ChangeLog policy.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mds: Update ChangeLog and TextEditor policies.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Utils.cs:
	* Tomboy/Tomboy.cs:
	* Tomboy/Watchers.cs:
	* Tomboy/Addins/Bugzilla/BugzillaLink.cs: Move
	UrlWatcher.ShowOpeningLocationError to GuiUtils. Use with
	try/catch wherever OpenUrl was called unsafely. Fixes crash
	from bug #569639.

2009-02-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Makefile.include:
	* test/Makefile.am: Don't hardcode "gmcs" as the compiler.
	Fixes bug #562846 (patch from James Westby).

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mds: Fix ChangeLog header preferences.

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Tomboy.cs: Perform a full exit when the panel applet
	quits. Previously, exit event wasn't being raised, leaving
	some data was potentially unsaved.

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Preferences.cs:
	* data/tomboy.schemas.in: Add search window position keys to
	schema.

	* Tomboy/RecentChanges.cs: Use integers instead of strings to
	store window position. Intended to fix bug #559663.

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.csproj: Remove deleted files.

	* Tomboy/Tray.cs: Hide tray icon on Tomboy exit (bug #569709, idea stolen
	from Benjamin Podszun).

	* Tomboy/NoteEditor.cs: Fix how font preferences are handled (bug #559724,
	patch from none other than Benjamin Podszun).

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mds: Update ChangeLog policy for MonoDevelop
	r125208.

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* tomboy/Tomboy/Tray.cs:
	* tomboy/Tomboy/Note.cs:
	* tomboy/Tomboy/Utils.cs:
	* tomboy/Tomboy/NoteTag.cs:
	* tomboy/Tomboy/NoteBuffer.cs:
	* tomboy/Tomboy/TagManager.cs:
	* tomboy/Tomboy/Preferences.cs:
	* tomboy/Tomboy/Notebooks/NotebookNoteAddin.cs: Fix a bunch of
	compiler warnings. Part of bug #569890, courtesy of Benjamin
	Podszun.

	* tomboy/Tomboy/WrapBox.cs:
	* tomboy/Tomboy/TagEntry.cs:
	* tomboy/Tomboy/Makefile.am: Remove unused files.

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* tomboy/Tomboy/Synchronization/SyncManager.cs: Fix line ending
	inconsistency and set svn:eol-style=native. Partial fix for bug
	#569848, from Benjamin Podszun.

2009-01-31  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* tomboy/Tomboy.mdp: Remove bundled Mono.Addins from project. Clean
	up project file.

	* tomboy/Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Remove
	overflow:auto to fix multipage printing issues (bug #548198).
	Thanks to Leonardo Ferreira Fontenelle and Stefan Schweizer for the
	fix.

2009-01-24  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mac.csproj:
	* Tomboy/Addins/*/*.mac.csproj: Add HintPath for gtk-sharp and related
	libs (Doug Johnston), and turn off a lot of unneeded "copy local"s.

	* postbuild.sh: Switcharoo to copy the correct assemblies.

	* Tomboy/MacApplication.cs: DllImport "system" function so we can call
	the "open" command, as Process.Start is broken in Mono 2.0.x on OS X.

2009-01-24  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.csproj:
	* Tomboy/Addins/*/*.csproj: Switch to x86 build target. Fixes bug #558272.
	Thanks to Jay R. Wren for figuring this out!

	* Tomboy.sln: Include SharpDevelop header.

2009-01-23  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/Tasque/Tasque.addin.xml: Bump version of Tomboy addin
	dependency. Gets rid of irritating warning when starting Tomboy.

2009-01-21  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Mono.Addins:
	* Makefile.am:
	* configure.in:
	* Makefile.include: Removing bundled Mono.Addins.  Mono.Addins 0.3 or
	greater is now required (0.4 recommended).

2009-01-19  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* Tomboy/Defines.WIN32.cs:
	* osx/Contents/Info.plist: Bump version to 0.13.4.

2009-01-19  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Mention update to es.po.

2009-01-19  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Update for 0.13.3.

2009-01-19  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Note.cs:
	* Tomboy/Undo.cs:
	* Tomboy/Tray.cs:
	* Tomboy/Trie.cs:
	* Tomboy/Utils.cs:
	* Tomboy/Search.cs:
	* Tomboy/NoteTag.cs:
	* Tomboy/TagEntry.cs:
	* Tomboy/Watchers.cs:
	* Tomboy/NoteBuffer.cs:
	* Tomboy/NoteWindow.cs:
	* Tomboy/XKeybinder.cs:
	* Tomboy/NoteManager.cs:
	* Tomboy/RecentChanges.cs:
	* Tomboy/RemoteControl.cs:
	* Tomboy/PrefsKeybinder.cs:
	* Tomboy/GnomeApplication.cs:
	* Tomboy/Synchronization/SyncDialog.cs:
	* Tomboy/Addins/Bugzilla/BugzillaLink.cs:
	* Tomboy/Addins/Tasque/TasqueNoteAddin.cs:
	* Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.cs:
	* Tomboy/Addins/Evolution/EvolutionNoteAddin.cs:
	* Tomboy/Addins/Backlinks/BacklinksNoteAddin.cs:
	* Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs:
	* Tomboy/Addins/GalagoPresence/GalagoPresenceNoteAddin.cs:
	* Tomboy/Addins/NoteOfTheDay/NoteOfTheDayApplicationAddin.cs: Switch to
	using generic collection classes wherever possible.  Clean up some
	using statements.

2009-01-19  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Tomboy.cs: Set process name to "tomboy" instead of "Tomboy" to
	make the session manager happy (bug #565166; thanks to Sebastian
	Dröge for the fix).

2009-01-17  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/Bugzilla/BugzillaPreferences.cs: Remove trailing space
	from translated string (bug #566711).

2009-01-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Applet.cs: Rename TomboyAppletEventBox to
	TomboyPanelAppletEventBox. Fixes problem with panel applet icon
	background (bug #567308), caused by many themes matching on widget
	class names with patterns like "*Tray*" (which is why it worked when
	the class was TomboyTray) and "*PanelApplet*".

2009-01-08  Claude Paroz  <claude@2xlibre.net>

	* Tomboy/PreferencesDialog.cs: Add translator comment for 'New Note
	Template' (bug #565208).

2009-01-07  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/NoteManager.cs: Don't forget to XML encode title text when
	there's a template note. Fixes crash when using link button to create
	notes with & or < in the title (bug #566967).

2008-12-27  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Notebooks/NotebookNoteAddin.cs:
	* Tomboy/Addins/Bugzilla/BugzillaLink.cs:
	* Tomboy/Addins/Tasque/TasqueNoteAddin.cs:
	* Tomboy/Addins/Backlinks/BacklinkMenuItem.cs:
	* Tomboy/Notebooks/NotebookApplicationAddin.cs:
	* Tomboy/Addins/Evolution/EvolutionNoteAddin.cs:
	* Tomboy/Addins/Backlinks/BacklinksNoteAddin.cs:
	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs:
	* Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs: Memory savings,
	lazy-loading; beginnings of fix for bug #565790 (reduce Tomboy memory
	footprint at startup).  For NoteAddins, moved a lot of work from
	Initialize to OnNoteOpened.  In general, moved instantiation of some
	objects from static constructor to lazy-loading static properties.

2008-12-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* Tomboy/Defines.WIN32.cs:
	* osx/Contents/Info.plist: Bump version to 0.13.3.

2008-12-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Update for 0.13.2.

2008-12-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Note.cs:
	* Tomboy/RemoteControl.cs:
	* Tomboy/Synchronization/SyncDialog.cs:
	* Tomboy/Synchronization/SyncManager.cs: Add QueueSave to the end of
	Note.LoadForeignNoteXml. Callers can specify change type. Fixes a problem
	in sync (hard to reproduce) where downloaded notes never got saved to a
	note file, and on subsequent syncs they would appear to be deleted. This
	would cause mass deletion of notes.

2008-12-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Utils.cs: Add some useful XmlWriterSettings static members. 
	The settings specify unix line endings, among other things.

	* Tomboy/NoteTag.cs: Note about why we're still using XmlTextWriter.

	* Tomboy/Note.cs:
	* Tomboy/Synchronization/TomboySyncClient.cs:
	* Tomboy/Synchronization/FileSystemSyncServer.cs: XmlTextWriter ->
	XmlWriter.

	* Tomboy/NoteBuffer.cs: When serializing the note buffer, make sure only
	unix line endings are used.  Fixes bug #559094.

2008-12-14  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/RecentChanges.cs: When activating a notebook row in the search
	UI (selecting and pressing Enter, or double-clicking), create a new
	note in that notebook instead of opening the template note.  Fixes
	bug #563738.

2008-12-14  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mdp: Add the XSL to the project.

	* Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Use ToLower for internal
	links and anchor names, fixing bug #564150 (link text case may not
	match note title case).  Thanks to Stefan Schweizer for his patch.

	* Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs: Make
	String.ToLower available in the XSL.

2008-12-14  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* libtomboy/tomboyutil.c:
	* libtomboy/tomboyutil.h:
	* libtomboy/eggaccelerators.h:
	* libtomboy/tomboykeybinder.c:
	* libtomboy/tomboykeybinder.h:
	* Tomboy/Addins/PrintNotes/gedit-print.h:
	* Tomboy/Addins/PrintNotes/gedit-print.c:
	* Tomboy/Addins/PrintNotes/gtksourceprintjob.h:
	* Tomboy/Addins/PrintNotes/gtksourceprintjob.c: Cleaned up gtk and glib
	includes to use only toplevel headers. Fixes bug #564235, patch
	courtesy of Przemysław Grzegorczyk.

2008-12-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* osx/Contents/Info.plist:
	* Tomboy/Defines.WIN32.cs: Bump version to 0.13.2.

2008-12-01  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* NEWS: Update for 0.13.1.

2008-11-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/WindowsApplication.cs: Open online help, since installed help
	isn't available at this time.

2008-11-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in: Add --enable-gnome (default), --enable-windows, and
	--enable-osx (mutually exclusive).  Rename some variables to clearly
	be GNOME-specific. Print info about configuration at the end (like
	Banshee).

	* Tomboy/Addins/Tasks/Makefile.am:
	* Tomboy/Addins/Tasque/Makefile.am:
	* Tomboy/Addins/Bugzilla/Makefile.am:
	* Tomboy/Addins/Sketching/Makefile.am:
	* Tomboy/Addins/Evolution/Makefile.am:
	* Tomboy/Addins/Backlinks/Makefile.am:
	* Tomboy/Addins/VoiceNotes/Makefile.am:
	* Tomboy/Addins/PrintNotes/Makefile.am:
	* Tomboy/Addins/FixedWidth/Makefile.am:
	* Tomboy/Addins/ExportToHtml/Makefile.am:
	* Tomboy/Addins/NoteOfTheDay/Makefile.am:
	* Tomboy/Addins/SshSyncService/Makefile.am:
	* Tomboy/Addins/GalagoPresence/Makefile.am:
	* Tomboy/Addins/InsertTimestamp/Makefile.am:
	* Tomboy/Addins/StickyNoteImport/Makefile.am:
	* Tomboy/Addins/WebDavSyncService/Makefile.am:
	* Tomboy/Addins/FileSystemSyncService/Makefile.am: Split TOMBOY_LIBS
	into GTKSHARP_LIBS and GNOME_LIBS.

	* Tomboy/Makefile.am: Define GNOME/Windows/Mac-specific *_CSFILES,
	*_CSFLAGS, and *_LIBS.

2008-10-25  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* data/GNOME_TomboyApplet.xml: Use gtk-about instead of
	gnome-stock-about in the panel applet context menu.  Patch courtesy
	of Pacho Ramos.

2008-10-23  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in: Set has_fixed_panelapplet *after* PKG_CHECK_MODULES
	macro.  Setting that variable as part of the macro was keeping
	configure from failing on missing packages.

2008-10-20  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in:
	* Setup/Setup.wxs:
	* osx/Contents/Info.plist:
	* Tomboy/Defines.WIN32.cs: Bump version to 0.13.1.  0.13.0 represents a
	preview release for Windows and Mac, with no official tarball or
	release announcement.

2008-10-20  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/Tasque/Makefile.am: Don't build if --enable-dbus=no.

2008-10-20  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mac.csproj: Add RemoteControl stuff to Mac project.
	* Tomboy/Tomboy.cs: Add RemoteControl support #if MAC.
	* Tomboy/RemoteControl*.cs: Replace #if !WIN32 with #if ENABLE_DBUS.

2008-10-20  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	Fixes for bug #556136: Add single-instance detection and some support for
	accessing the RemoteControl over .NET remoting (since we have no D-BUS
	daemon on Windows or Mac).
	
	* Tomboy/RemoteControlProxy: For WIN32, use a mutex to enforce a single
	  instance of Tomboy, and register a RemoteControlWrapper over IPC for use
	  via .NET remoting.
	
	* Makefile.am:
	* Tomboy/Tomboy.cs:
	* Tomboy/RemoteControl.cs:
	* Tomboy/IRemoteControl.cs: Extract interface from RemoteControl.
	
	* Tomboy/RemoteControlWrapper.cs: Implementation of IRemoteControl that
	  wraps a RemoteControl instance's method calls with Gtk.Application.Invoke.
	  Unfortunately these calls are not processed by the GTK+ event loop until
	  some interaction with GTK+ occurs, so behavior can seem unpredictable.
	  Throws NotImplemented for everything but DisplaySearch and Version.
	
	* Tomboy.csproj: Include new and existing RemoteControl stuff.

2008-10-19  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* macbin/: Mono bindings for Immendio's ige-mac-integration library.
	
	* bunde-mac-app.sh:
	* osx/: Support for building an app bundle for OS X.
	
	* Tomboy/Tomboy.addin.mac.xml:
	* prebuild.sh: Use a modified add-in manifest file for Mac.
	
	* Tomboy.mac.sln:
	* Tomboy.mac.csproj:
	* Tomboy/Addins/*/*.mac.csproj: Fixes to Mac-specific MD projects.
	
	* Tomboy/WindowsApplication.cs: Mark everything virtual.
	* Tomboy/MacApplication.cs: Subclass WindowsApplication, add
	  Mac menu bar and dock integration.
	* Tomboy/MacFactory.cs: Use MacApplication.
	
	* Tomboy/Tray.cs: Expose ITomboyTray. #if MAC, hide Tray icon. Hacky.
	* Tomboy/Notebooks/NotebookApplicationAddin.cs: #if MAC hacks to work
	  around issues with Mac menu bar integration.
	* Tomboy/Tomboy.cs: Fix AboutDialog to properly show Tomboy website as
	  clickable URL. #if !MAC code that shows Search if Tray doesn't appear.
	* Tomboy/RecentChanges.cs: #if !MAC code to keep menu out of Search
	  window, and to prevent quitting Tomboy when Search window closes just
	  because Tray icon isn't Visible.
	  
	* Tomboy/NoteBuffer.cs: #if !MAC code to prevent use of \u2218 as
	  a bullet symbol, as it doesn't appear to be available by default.

2008-10-18  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.mac.sln:
	* Tomboy.mac.csproj:
	* Tomboy/Addins/*/*.mac.csproj: Mac-specific MD msbuild projects.

	* prebuild.sh:
	* postbuild.sh: Hack pre/post-build scripts for Mac.

2008-10-18  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/NoteWindow.cs: Set Resizable to true.  This appears to have no
	effect in Linux/Windows, but is required to resize NoteWindows on
	Mac.

2008-10-18  Sandy Armstrong  <sanfordarmstrong@gmail.com>
	
	* Tomboy/MacFactory.cs:
	* Tomboy/Services.cs: Initial Mac support (for now, identical to Windows
	support, but leaves out WindowsKeybinder).
	
	* Tomboy.sln:
	* Tomboy.csproj:
	* Tomboy/Addins/*/*.csproj: Add new "Mac" configuration (should rename
	"Debug" to "Windows", probably.  Defines "MAC".
	
	* Tomboy/NoteWindow.cs:
	* Tomboy/Tomboy.cs:
	* Tomboy/Tray.cs:
	* Tomboy/Utiles.cs: Update #if statements to include MAC as necessary.

2008-10-18  Sandy Armstrong  <sanfordarmstrong@gmail.com>
	
	* Tomboy/XmlPreferencesClient.cs: Don't try to load prefs.xml if it does
	not yet exist.

2008-10-18  Sandy Armstrong  <sanfordarmstrong@gmail.com>
	
	* Tomboy/Defines.WIN32.cs: Set DATADIR, GNOME_LOCALE_DIR, and SYS_ADDINS_DIR
	properly for a Windows install. i18n not really ready yet, though.
	* Tomboy/Tomboy.cs: Cross-platform path separator fix.
	
	* Tomboy.csproj:
	* Setup/*.wxs: Install icons to app-specifc gtk theme area.
	
2008-10-14  Sandy Armstrong  <sanfordarmstrong@gmail.com>
	
	* Tomboy/ManagedWinapi.EventDispatchingNativeWindow.cs:
	* Tomboy/ManagedWinapi.Hoteky.cs: Importing easy-to-use keybinding code
	from the ManagedWinapi project (Windows-only, LGPL V2.1 or later).
	
	* Tomboy/WindowsKeybinder.cs: Implementation of IKeybinder for Windows.
	
	* Tomboy/WindowsFactory.cs: Use WindowsKeybinder instead of NullKeybinder.
	
	* Tomboy/Tomboy.cs: Work around GetGeometry bug for WIN32.

	* Tomboy.csproj: Added new files and System.Windows.Forms dependency.
	
2008-10-13  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.csproj: Change output type to WinExe to prevent DOS window. Need to
	do the same for Mono.Addins.dll, too, I think, as it launches some temporary
	DOS windows as Tomboy starts.
	
2008-10-13  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Setup/Setup.wxs: Check for .NET 2.0 and Gtk# >= 2.10.
	
2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Setup/license.rtf: De-uglify.
	* Setup/Setup.wxs:
	* Setup/Setup.wixproj:
	* Setup/BannrBmp.bmp:
	* Setup/DlgBmp.bmp: Custom banner and dialog bitmaps for installer. They
	could use some work from an actual artsy person.
	
2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.sln: 
	* Setup/*: Add WiX installer project for SharpDevelop. As far as I can tell
	Visual Studio 2008 just ignores it.
	
2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Addins/.../*.csproj: Change output directory to same as
	Tomboy.csproj, and remove obsolete post-build events.
	
2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.csproj: Include tomboy.ico and COPYING.

2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* data/icons/tomboy.ico: Add Windows icon generated via
	http://eisbox.net/iconvert/

2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Utils.cs:
	* Tomboy/GnomeApplication.cs:
	* Tomboy/NativeApplication.cs:
	* Tomboy/WindowsApplication.cs: Remove QuitMainLoop method which was
	never being used.

2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy.csproj: Defines.cs -> Defines.WIN32.cs.  Add WindowsFactory.cs.
	Use 22x22 Tomboy icon instead of 48x48.
	
	* Tomboy/Addins/Backlinks/Backlinks.csproj:
	* Tomboy/Addins/Bugzilla/Bugzilla.csproj:
	* Tomboy/Addins/ExportToHtml/ExportToHtml.csproj:
	* Tomboy/Addins/FileSystemSyncService/FileSystemSyncService.csproj:
	* Tomboy/Addins/FixedWidth/FixedWidth.csproj:
	* Tomboy/Addins/InsertTimestamp/InsertTimestamp.csproj:
	* Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.csproj:
	* Tomboy.sln: Added new projects for building certain add-ins on Windows.
	
	* Tomboy/Addins/Bugzilla/BugzillaLink.cs:
	* Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs: Better OpenUrl.
	
	* Tomboy/Defines.WIN32.cs: A Defines class for Windows.  Need to make this
	auto-generated or something.
	
	* Tomboy/NoteWindow.cs: Have "Close All Notes" action quit Tomboy on
	Windows, since there aren't virtual desktops. Not married to this behavior.
	
	* Tomboy/Synchronization/FileSystemSyncServer.cs: Don't attempt to change
	file permissions on Windows.  I don't feel like investigating the proper
	way to do this right now.
	
	* Tomboy/XmlPreferencesClient.cs: Actually load preferences when Tomboy
	starts, instead of overwriting with defaults each time.

2008-10-12  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/WindowsFactory.cs: IPlatformFactory implementation for Windows.

	* Tomboy.mdp:
	* Tomboy/Makefile.am: Add new files.

	* Tomboy/NativeApplication.cs: Adds INativeApplication interface,
	abstracted from the Application class in Utils.cs.

	* Tomboy/Utils.cs: Application now wraps INativeApplication, and the
	implementation has moved to GnomeApplication. 
	Gnome.Help.DisplayDesktopOnScreen ->
	Serivces.NativeApplication.DisplayHelp.  #if-out some libtomboy code
	in ForcedPresentWindow for WIN32 (this could be done better, of
	course).

	* Tomboy/Services.cs: Static class providing easy-access to
	platform-specific services.  Responsible for creating the right
	IPlatformFactory implementation.

	* Tomboy/GnomeFactory.cs: IPlatformFactory implementation for GNOME
	(maintains same behavior as Tomboy 0.12.0).

	* Tomboy/PreferencesClient.cs: Add IPreferencesClient, IPropertyEditor,
	and IPropertyEditorBool interfaces, modeled after GConf.  Also
	includes a NullPreferencesClient.

	* Tomboy/Tomboy.cs: Get note path from
	Services.NativeApplication.ConfDir.  #if-out some GNOME Panel code
	for WIN32.

	* Tomboy/PlatformFactory.cs: Adds IPlatformFactory interface for
	creating platform-specific instances of new interfaces.

	* winbin: Binaries for building and running on Windows without needing a
	Mono install.

	* Tomboy/Watchers.cs: GConf -> IPreferencesClient.  Gnome.Url.Show ->
	Services.NativeApplication.OpenUrl.

	* Tomboy.sln:
	* Tomboy.csproj: Visual Studio solution/project for building on Windows.
	 Tested in Visual Studio 2008 and SharpDevelop 3.

	* Tomboy/WindowsApplication.cs: INativeApplication implementation for
	Windows.

	* Tomboy/XmlPreferencesClient.cs: An IPreferencesClient implementation
	that uses an XML file backend.

	* Tomboy/Logger.cs: A few hacks to run in Windows that need to be
	reviewed.

	* Tomboy/PreferencesDialog.cs: GConf -> IPreferencesClient.  Also, only
	show Hotkeys preferences if a keybinder other than NullKeybinder is
	available.

	* Tomboy/GConfPreferencesClient.cs: An IPreferencesClient implementation
	that uses a GConf backend.

	* Tomboy/NoteWindow.cs:
	* Tomboy/NoteEditor.cs:
	* Tomboy/Preferences.cs:
	* Tomboy/Addins/InsertTimestamp/InsertTimestampNoteAddin.cs:
	* Tomboy/Addins/InsertTimestamp/InsertTimestampPreferences.cs: GConf ->
	IPreferencesClient.

	* Tomboy/Keybinder.cs: Simple IKeybinder interface for binding keys to
	actions, and a NullKeybinder implementation.

	* Tomboy/GnomeApplication.cs: INativeApplication implementation for
	GNOME.

	* Tomboy/NoteManager.cs: GConf -> IPreferencesClient.  Get Tomboy
	configuration directory from Services.NativeApplication.

	* Tomboy/XKeybinder.cs: Implementation of IKeybinder for X11
	environments.

	* Tomboy/PrefsKeybinder.cs: Lifted from XKeybinder.cs.  GConf ->
	IPreferencesClient, etc.

	* Tomboy/Tray.cs:
	* Tomboy/Applet.cs: New ITomboyTray interface, implemented by tray and
	applet.  Accelerator DllImports moved to keybinder code.  Use
	GetPointer instead of GetGeometry on WIN32 to work-around a gtk-sharp
	bug (Doug Johnston).  Rearrange note menu item management code to
	prevent duplication (bug #531774, Boyd Timothy, Samuel Vandamme).

2008-10-07  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in, Tomboy/Applet.cs, Tomboy/Tomboy.cs, Tomboy/Makefile.am,
	  Tomboy/panelapplet: Rebundling gnome-sharp panel applet code if
	  gnome-sharp < 2.23.90 is detected during configure.  Earlier
	  versions are generally missing a crucial DllMap in
	  gnome-sharp.dll.config (though some distros patch this).  Fix for
	  bug #555318.

2008-09-30  Gabriel Burt  <gabriel.burt@gmail.com>

	* data/tomboy.desktop.in: Change the Comment field to use imperative
	  verbs to follow the HIG.  Fixes bug #483114.

2008-09-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump version to 0.13.0.

2008-09-21  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Update for 0.12.0.

2008-09-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump version to 0.12.0.

2008-09-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in, Tomboy/Addins/PrintNotes/COPYING,
	  Tomboy/Addins/PrintNotes/gedit-print.c,
	  Tomboy/Addins/PrintNotes/gedit-print.h,
	  Tomboy/Addins/PrintNotes/gtksourceprintjob.c,
	  Tomboy/Addins/PrintNotes/gtksourceprintjob.h,
	  Tomboy/Addins/PrintNotes/Makefile.am,
	  Tomboy/Addins/PrintNotes/PrintNotes.addin.xml,
	  Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Revert to old
	  (pre-0.11.x) printing add-in, as the Gtk.Print port is not ready
	  for release.

2008-09-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncManager.cs: Fix bug #535279 by cancelling
	  sync properly if an exception occurs (in turn cancelling the lock
	  renewal timer).  This could use more testing, though.  Fixed
	  exceptions caused by auto-generated notes like notebook templates,
	  too.

2008-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Note.cs: Remove hack that saved notes (unnecessarily) whenever
	  GetCompleteNoteXml was called.  Fixes bug #543593, patch courtesy
	  of the illustrious John Carr.

2008-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FileSystemSyncServer.cs: Better exception
	  handling when validating lock file.  Some whitespace corrections.

2008-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Tasque/TasqueNoteAddin.cs: Prevent null object
	  exceptions when shutting down the Tasque add-in (think
	  deleted/closed notes, etc).

2008-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Gnome.Keyring/ResultCode.cs, Tomboy/Gnome.Keyring/Ring.cs:
	  Support "NoMatch" result code.  Fixes bug #499841, patch courtesy
	  of Alexey Nedilko.

2008-09-04  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* libtomboy/tomboykeybinder.c, libtomboy/tomboyutil.c,
	  libtomboy/tomboykeybinder.h, libtomboy/tomboyutil.h: These files
	  are copyright Alex Graveley, not Novell.  Also, per Alex's request,
	  relicensing to MIT/X11 instead of LGPL.

2008-08-21  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Update NEWS for quick 0.11.3 release.

2008-08-21  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Set minimum gnome-sharp version to 2.15 to account for
	  panel applet fixes.  Handle gnome-panel-sharp being split out of
	  gnome-sharp in 2.23.90.
	* Tomboy/Applet.cs, Tomboy/Tomboy.cs: Stop using internal copy of panel
	  applet code.  This has been fixed upstream for some time as far as
	  I can tell.
	* Tomboy/panelapplet, Tomboy/panelapplet/BonoboUIVerb.cs,
	  Tomboy/panelapplet/PanelAppletFactory.cs,
	  Tomboy/panelapplet/ChangeSizeHandler.cs,
	  Tomboy/panelapplet/ObjectManager.cs,
	  Tomboy/panelapplet/PanelAppletFlags.cs,
	  Tomboy/panelapplet/ChangeBackgroundHandler.cs,
	  Tomboy/panelapplet/GnomeSharp.PanelAppletFactoryCallbackNative.cs,
	  Tomboy/panelapplet/PanelApplet.cs,
	  Tomboy/panelapplet/MoveFocusOutOfAppletHandler.cs,
	  Tomboy/panelapplet/PanelAppletBackgroundType.cs,
	  Tomboy/panelapplet/PanelAppletFactoryCallback.cs,
	  Tomboy/Makefile.am: Delete internal copy of panel applet code.

2008-08-18  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump version to 0.11.3.

2008-08-18  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Update for 0.11.2.

2008-08-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Use
	  Pango.Units.FromPixels instead of FromDouble, which appears to be
	  new in gtk-sharp 2.12.

2008-08-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tomboy.cs: Use Gtk.StatusIcon.GetGeometry method to get a
	  Gdk.Screen, as the Gtk.StatusIcon.Screen property is only available
	  in gtk-sharp >= 2.12.  Should fix bug #547900.

2008-08-14  Gabriel Marcondes <gabrielgeraldo@gmail.com>

	* Tomboy/Addins/VoiceNotes/VoiceNote.cs,
	  Tomboy/Addins/VoiceNotes/voicenotemedia.c:
	  Cleanup

2008-08-13  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Watchers.cs: Reverted yesterday's spellchecking patch
	  (the second, r2077) because of performance problems.

2008-08-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/GalagoPresence/Makefile.am,
	  Tomboy/Addins/Sketching/Makefile.am,
	  Tomboy/Addins/Evolution/Makefile.am,
	  Tomboy/Addins/Tasks/Makefile.am,
	  Tomboy/Addins/WebDavSyncService/Makefile.am,
	  Tomboy/Addins/StickyNoteImport/Makefile.am,
	  Tomboy/Addins/InsertTimestamp/Makefile.am,
	  Tomboy/Addins/NoteOfTheDay/Makefile.am,
	  Tomboy/Addins/FixedWidth/Makefile.am,
	  Tomboy/Addins/Backlinks/Makefile.am,
	  Tomboy/Addins/FileSystemSyncService/Makefile.am,
	  Tomboy/Addins/Tasque/Makefile.am,
	  Tomboy/Addins/PrintNotes/Makefile.am,
	  Tomboy/Addins/Bugzilla/Makefile.am,
	  Tomboy/Addins/ExportToHtml/Makefile.am,
	  Tomboy/Addins/SshSyncService/Makefile.am, Tomboy/Makefile.am: Add
	  target for .mdb files to support parallel building.  Fixes bug
	  #547506.
	* Tomboy/Addins/VoiceNotes/Makefile.am: Support installing debug files.

2008-08-13  Gabriel Marcondes <gabrielgeraldo@gmail.com>
	
	* Tomboy/Addins/VoiceNotes/Makefile.am,
	  Tomboy/Addins/VoiceNotes/VoiceNote.cs,
	  Tomboy/Addins/VoiceNotes/voicenote-22.png,
	  Tomboy/Addins/VoiceNotes/voicenotemedia.c: Speech
	  data is deleted when note is deleted, status of the
	  stop button is set properly. Icon for for notes with
	  recording is added.

2008-08-12  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Watchers.cs: Recheck spelling if a tag is removed.
	  Fixes bug #530856.

2008-08-12  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Watchers.cs: Register for TagApplied events before spell
	  checking is started. Partly fixes bug #530856.

2008-08-08  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: Fix yet another potention NRE crash, which
	  occurred when closing the search window with an empty notebook
	  selected.

2008-08-08  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Addins/ExportToHtml/NoteNameResolver.cs,
	  Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Resolve note URIs only
	  once to simplify check for loops between linked notes. Removed not
	  working check with xsl:key for already processed notes.
	  Fixes bug #546623.

2008-08-04  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump version to 0.11.2.

2008-08-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Translation updates since 0.11.0.

2008-08-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/tomboy.in: Borrow code from Banshee to enable running tomboy
	  with --debug, --profile, and --trace, without having to set
	  $MONO_EXTRA_ARGS (which is still supported).  Only supported when
	  running installed, for now.
	* NEWS: Draft for 0.11.1.

2008-08-03  Gabriel Marcondes <gabrielgeraldo@gmail.com>

	* Tomboy/Addins/VoiceNotes/voicenomedia.c: added a bus handler 
	to make sure the state is correctly set after the end of stream, 
	and a get_status function to let the note know if it is streaming.
	* Tomboy/Addins/VoiceNotes/VoiceNote.cs: media buttons sensitivity 
	are updated so the user won't do more than one action at a time; 
	renamed some variables to fit the patterns.

2008-08-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs: If Start Note URI in GConf is invalid, look
	  for an existing "Start Here" note.  Fixes bug #508982, patch
	  courtesy of  Jon Lund Steffensen.

2008-08-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* libtomboy/eggtrayicon.c, libtomboy/eggtrayicon.h,
	  libtomboy/Makefile.am,
	  Tomboy/Addins/Tasks/TasksApplicationAddin.cs, Tomboy/Applet.cs,
	  Tomboy/Tomboy.cs, Tomboy/Tray.cs, Tomboy/Utils.cs: Use
	  Gtk.StatusIcon instead of eggtrayicon.  Fixes bug #349265.  This
	  wonderful patch was contributed by Stefan Cosma.

2008-08-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Utils.cs: Prevent crash when activating notebook tool button
	  in the case that the window was not wide enough to show it. 
	  Unfortunately, when this case occurs, menu appears at 0,0, which is
	  non-optimal.  Still better than crashing.  Fixes bug #523035.

2008-08-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: Check for null widgets when computing
	  SearchText.  Should fix bug #544996.

2008-08-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Note.cs: Don't crash if there's an error saving note data. 
	  Show the user an irritating dialog to let them know their data
	  isn't getting saved.  Should only happen in bizarre situations like
	  running out of disk space or messing up home directory permissions.
	   Fixes bug #460642.

2008-08-01  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* extra/firefox-extension/build.sh: Support building from an SVN
	  working copy (removed unneeded CVS support).

2008-08-01  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* extra/firefox-extension/locale/ru-RU,
	  extra/firefox-extension/locale/ru-RU/tomfox.dtd,
	  extra/firefox-extension/locale/ru-RU/tomfox.properties,
	  extra/firefox-extension/locale/ru-RU/prefwindow.dtd,
	  extra/firefox-extension/chrome.manifest: New russian translation.
	* extra/firefox-extension/install.rdf,
	  extra/firefox-extension/content/rcmenu.xul,
	  extra/firefox-extension/content/about.xul,
	  extra/firefox-extension/content/options.xul,
	  extra/firefox-extension/content/tomfox.js: Update to 1.0.1 (Harry
	  Coal).
	* extra/firefox-extension/licence.txt: Added standard Mozilla
	  tri-license.
	* extra/firefox-extension/build.sh,
	  extra/firefox-extension/config_build.sh: Extension build scripts.

2008-07-30  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* Tomboy/Addins/VoiceNotes/Makefile.am,
	  Tomboy/Addins/VoiceNotes/VoiceNote.addin.xml,
	  Tomboy/Addins/VoiceNotes/VoiceNote.cs,
	  Tomboy/Addins/VoiceNotes/voicenotemedia.c:
	
          Added an initial addin for voice notes by Gabriel Marcondes.

2008-07-27  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* extra/firefox-extension: Adding source for Tomfox, the awesome
	  Firefox extension from Harry Coal.  Please file bugs for this
	  extension in GNOME bugzilla:
	  http://bugzilla.gnome.org/enter_bug.cgi?product=Tomboy&component=Firefox%20Extension
	  
	
	  Tomfox can be installed from here:
	  https://addons.mozilla.org/en-US/firefox/addon/8276

2008-07-23  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/GalagoPresence/Makefile.am,
	  Tomboy/Addins/Sketching/Makefile.am,
	  Tomboy/Addins/Evolution/Makefile.am,
	  Tomboy/Addins/Tasks/Makefile.am,
	  Tomboy/Addins/WebDavSyncService/Makefile.am,
	  Tomboy/Addins/StickyNoteImport/Makefile.am,
	  Tomboy/Addins/InsertTimestamp/Makefile.am,
	  Tomboy/Addins/NoteOfTheDay/Makefile.am,
	  Tomboy/Addins/FixedWidth/Makefile.am,
	  Tomboy/Addins/Backlinks/Makefile.am,
	  Tomboy/Addins/FileSystemSyncService/Makefile.am,
	  Tomboy/Addins/Tasque/Makefile.am,
	  Tomboy/Addins/PrintNotes/Makefile.am,
	  Tomboy/Addins/Bugzilla/Makefile.am,
	  Tomboy/Addins/ExportToHtml/Makefile.am,
	  Tomboy/Addins/SshSyncService/Makefile.am, Tomboy/Makefile.am:
	  Include .mdb files during install.  Note that when running Tomboy
	  installed, you must use this command to run in debug mode:
	  `MONO_EXTRA_ARGS=--debug tomboy`.

2008-07-23  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs: When creating a new notebook,
	  check that notesToAdd isn't null (as some menu items let you add a
	  new notebook without any initial notes).  Fixes bug #544406.

2008-05-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: Support newer `mount`
	  output like " type fuse.sshfs" found in Ubuntu Hardy.  Should fix
	  bug #522424.  Thanks to Olivier Crete and Peter Thomas for catching
	  this.

2008-05-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Bugzilla/BugzillaNoteAddin.cs: Accept bug IDs of one or
	  more digits.  Fixes bug #533024.

2008-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump version to 0.11.1.

2008-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	

2008-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Hard requirement for Mono.Cairo.  Copied some Banshee
	  build macro code to check because pkg-config was only bringing up
	  the 1.0 assemblies.  Stop defining GTK_2_10.
	* Tomboy/PreferencesDialog.cs: No longer supporting gtk-sharp < 2.10.

2008-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Remove check for libgnomeprintui.
	* Tomboy/Addins/PrintNotes/Makefile.am: Removing COPYING from
	  EXTRA_DIST.  New addin is under same license as the rest of Tomboy.

2008-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Drafting update for 0.11.0 release.

2008-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp, Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs,
	  Tomboy/Addins/PrintNotes/PrintNotes.addin.xml,
	  Tomboy/Addins/PrintNotes/Makefile.am: Update printing addin to use
	  Gtk.Print. Beginning of fix for bug #512369, thanks to John Anderson.
	* Tomboy/Addins/PrintNotes/gtksourceprintjob.c,
	  Tomboy/Addins/PrintNotes/gtksourceprintjob.h,
	  Tomboy/Addins/PrintNotes/gedit-print.c,
	  Tomboy/Addins/PrintNotes/COPYING,
	  Tomboy/Addins/PrintNotes/gedit-print.h, COPYING: Delete old
	  gedit/gnomeprint-based print code.
	* configure.in: Require gtk-sharp >= 2.10.

2008-05-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: Add abstract method
	  GetFuseMountExeArgsForDisplay for writing to stdout and tomboy.log.
	* Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs,
	  Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs: Override
	  GetFuseMoutnExeArgsForDisplay to mask password.  Fixes bug #524707.

2008-05-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Fix check for Mono.Addins >= 0.3.  Fixes bug #521616,
	  patch courtesy of Łukasz Jernaś.

2008-05-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/tomboy.in, Tomboy/tomboy-panel.in: Replace #!/bin/bash with
	  #!/usr/bin env bash, to handle OSs that have the audacity to put
	  bash somewhere other than its rightful place.  Fixes bug #521160. 
	  Patch courtesty of Romain Tartiere.

2008-05-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs: Added an additional
	  PromptCreateNewNotebook () method to allow a new notebook to be created
	  and move notes to it in a single operation.
	* Tomboy/Notebooks/NotebookNoteAddin.cs: Add a "New notebook..." menu item
	  into the Notebook toolbar item to allow users to create a new notebook
	  directly from a note.  Fixes bug #532196.

2008-04-30  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Mark Search, Link, and Text toolbar items
	as important, so labels are shown for them in text-beside-icons
	toolbar mode (bug #528844).

	* Tomboy/Tray.cs: Bump default title truncation to 100 from 45.
	Fixup indenting.

	* Tomboy/Tomboy.cs: Don't indent #if ENABLE_DBUS checks.

2008-03-30  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.in:
	* libtomboy/Makefile.am: Stop linking to libm and checking for it in
	configure as we don't use it anymore.

2008-03-30  Sebastian Dröge  <slomo@circular-chaos.org>

	* Tomboy/Contrast.cs:
	* Tomboy/Makefile.am:
	* Tomboy/NoteTag.cs:
	* libtomboy/Makefile.am:
	* libtomboy/contrast.c:
	* libtomboy/contrast.h: Port the contrast color calculation from
	libtomboy to a managed implementation doing exactly the same.

2008-03-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Tasque/Tasque.addin.xml: Changed category
	  Tools->Desktop Integration.
	* Tomboy/Addins/Tasque/TasqueNoteAddin.cs: Moved note window
	  initialization code to OnNoteOpened event to prevent buffers from
	  being opened prematurely.

2008-03-12  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasque/TasqueNoteAddin.cs: Use "All" as the category name
	  when a user clicks on the big Tasque button instead of selecting a
	  category name from the Tasque drop-down button.  This will tell Tasque
	  to use the default category when creating the task.

2008-03-12  Boyd Timothy <btimothy@gmail.com> 

	* configure.in, Tomboy.mdp, Tomboy/Addins/Tasque,
	  Tomboy/Addins/Tasque/Tasque.addin.xml,
	  Tomboy/Addins/Tasque/RemoteControl.cs,
	  Tomboy/Addins/Tasque/tasque-22.png, Tomboy/Addins/Tasque/Makefile.am,
	  Tomboy/Addins/Tasque/TasqueNoteAddin.cs, Tomboy/Addins/Makefile.am:
	  Added an addin for Tasque (disabled by default).

2008-03-12  Boyd Timothy <btimothy@gmail.com> 

	* configure.in, Tomboy/Addins/Makefile.am: Alphabetized the addins list.

2008-03-10  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump trunk to 0.11.0.

2008-03-10  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	

2008-03-10  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bumped version to 0.10.0.

2008-03-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Tomboy.cs: Added the names of the people who have
	  contributed documentation so they will appear in the
	  About Dialog properly.
	* help/C/tomboy.xml: Updated for the 0.10.0 release.  Fixes
	  bug #520513 (kudos to Paul Cutler for updating the doc).
	* help/C/figures/move-notes-search.png, notebook-icon.png,
	  new-notebook.png, add-notebook-search.png, note-template.png,
	  delete-notebook.png, add-to-notebook.png: New screenshots
	  for Notebooks documentation.
	* help/C/figures/tomboy-new-note.png: Updated for 0.10.0.

2008-03-03  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.9.

2008-03-03  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.8 release.

2008-03-03  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/AddinManager.cs: Check for an older config.xml right after
	  initializing Mono.Addins so we can upgrade from an older version of
	  Tomboy if necessary to allow previously enabled addins to still be
	  enabled in the newer Tomboy.  Fixes bug #514931.
	* Tomboy/Addins/Bugzilla/Bugzilla.addin.xml: Don't update the version. 
	  Updating the version will prevent the upgrade fix done in
	  AddinManager.cs from working.

2008-03-03  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Evolution/EvolutionNoteAddin.cs: Patch from Stefan Cosma to
	  Uri.Unescape and then Uri.Escape the mail path to ensure we've got the
	  entire string escaped properly.  Fixes bug #367623.

2008-03-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/AddinManager.cs: Always recreate ~/.tomboy/addins/Tomboy.addins
	  when starting Tomboy.  This supports moving the Tomboy install from one
	  prefix to another, or just having parallel Tomboy installs.  Should fix
	  bug #514931.

2008-03-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Bugzilla/Bugzilla.addin.xml: Bump to version 0.2.
	* Tomboy/Tomboy.addin.xml: Bump Tomboy addin version to 0.10.  Use
	  compatVersion attribute to indicate that no backwards compatability is
	  supported.  Mono.Addins will print a warning to stdout, but at this
	  point Tomboy will still load addins that depend on Tomboy != 0.10.

2008-03-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp: Add missing file to project.

2008-03-02  Boyd Timothy <btimothy@gmail.com> 

	* configure.in, data/images/Makefile.am, data/Makefile.am: Don't need to
	  build data/images/Makefile anymore.
	* Tomboy/Addins/Evolution/mail.png, data/images/mail.png: Moved
	  data/images/mail.png -> Tomboy/Addins/Evolution/mail.png.
	* Tomboy/Addins/Evolution/Makefile.am,
	  Tomboy/Addins/Evolution/EvolutionNoteAddin.cs,
	  Tomboy/Addins/Bugzilla/Makefile.am,
	  Tomboy/Addins/Bugzilla/BugzillaLink.cs: Package the mail.png and bug.png
	  with their respective addins as resources and then call GetIcon properly
	  to load them at runtime.  This is an additional fix for #518740.
	* Tomboy/Addins/Bugzilla/bug.png, data/images/bug.png: Move
	  /data/images/bug.png -> Tomboy/Addins/Bugzilla/bug.png.

2008-03-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Defines.cs.in: Removing obsolete SYS_PLUGINS_DIR constant.

2008-03-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump Mono.Addins requirement to 0.3.  Only use bundled
	  version of Mono.Addins if the requirement is not already met in the
	  system.  Patch courtesy of Sebastian Dröge.  Last fix for bug #519170.

2008-03-03  Stefan Schweizer <steve.schweizer@gmail.com>

	* AUTHORS, Tomboy/Tomboy.cs: Added myself.

2008-03-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Mono.Addins: Upgrade bundled Mono.Addins from version 0.2 to version 0.3.

2008-03-02  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Addins/Bugzilla/BugzillaNoteAddin.cs: Allow dragging the same
	  bug twice to a note. Fixes bug #519876.

2008-03-01  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs: Sort the notes list after initially loading all
	  notes.  Fixes bug #519042.

2008-03-01  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs,
	  Tomboy/Notebooks/NotebookApplicationAddin.cs: Listen for events fired
	  when a tag is added or removed from a note.  Sync or a dbus client may
	  be adding or removing a notebook tag.  Fixes bug #518870.

2008-02-29  Chris Scobell <chris@thescobells.com>
	* Tomboy/NoteBuffer.cs: Make lines starting with a '-' or '*' bulleted 
	  even when there are leading spaces, thanks to Stefan Cosma. Fixes bug
	  #490161.

2008-02-29  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteBuffer.cs: Ignore erroneously inserted second WidgetInsertData
	  (identified by its null TextMark) when inserting bugzilla/evolution
	  links int a bulleted list.  Quick fix to resolve bug #486551, courtesy
	  of Stefan Cosma.  See bug report for more details.

2008-02-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.in:
	* libtomboy/Makefile.am: Check for X11 libraries and headers and
	  actually link with them. This was done only indirectly through Gtk
	  before. Fixes bug #501524.

2008-02-28  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.in:
	* libtomboy/Makefile.am: Check for libm and link to it
	  libtomboy uses math functions.
	* libtomboy/contrast.c: (lab_to_rgb): Use floor(x + 0.5) instead of
	  roundf(x) as the latter is C99 and not available (and declared) if
	  not compiling in C99 mode. Fixes bug #519237.

2008-02-25  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Utils.cs: Allow the assembly calling GuiUtils.GetIcon () to specify
	  themselves so icons can be loaded from the caller's assembly instead of
	  Tomboy.exe.  Fixes bug #518740.

2008-02-25  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.8.

2008-02-25  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.7 release.

2008-02-25  Boyd Timothy <btimothy@gmail.com> 

	* ChangeLog: Added missing ChangeLog entry committed originally in r1887
	  from kkubasik.

2008-02-25  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Adjust the Sizing and Ellipsize properties of the
	  title column so the title will expand properly without causing really
	  wide columns when notes with long titles exist.  Fixes bug #518666.

2008-02-23  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Set a sane default width and size for when Tomboy
	  is first run (had to make larger now that we have a notebooks sidebar
	  thing.  Save and restore the size and position of the search window when
	  it is closed or when Tomboy exits.  Fixes bug #518316.
	* Tomboy/Preferences.cs: Added some preferences that we'll have to localize
	  during the 0.11.x timeframe after string freeze to save the search
	  window position and size.

2008-02-23  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* test/create_note_stress_tester.py: Add Wade's note creation stress tester
	  script.  Addresses bug #518294.

2008-02-23  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/Watchers.cs: Fix bug# 441296, and follow large pastes' to their
	  end.

2008-02-23  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/ActionManager.cs: Fix busted open image by using Gtk.Stock.Open for
	  "OpenNoteAction".

2008-02-23  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/RecentTreeView.cs, Tomboy/RecentChanges.cs,
	  Tomboy/Notebooks/NotebooksTreeView.cs, Tomboy/Makefile.am: Fix
	  multi-note drag and drop by overriding the way TreeView.ButtonPressEvent
	  works (kudos abock).  Fixes bug #513046.

2008-02-23  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/Search.cs, Tomboy/NoteManager.cs, Tomboy/Note.cs: Some small memory
	  reductions/comments. (mostly inlining some method calls to reduce string
	  alloc)

2008-02-23  Kevin Kubasik <kevin@kubasik.net> 

	* libtomboy/eggaccelerators.h, libtomboy/tomboykeybinder.c,
	  libtomboy/tomboyutil.c, libtomboy/eggaccelerators.c,
	  libtomboy/tomboykeybinder.h, libtomboy/tomboyutil.h: Fixing bug #517369
	  by cleaning up some licence headers. The tomboy*.c and tomboy*.h files
	  were licenced MIT/X11 Copyright Novell. If thats wrong, please fix.
	  Updated FSF Address in other licences.

2008-02-23  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/Note.cs: Notes with tags are recreated by a QueueSave.  Fixes bug
	  #507493.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Note.cs: Reverse logic in SetPositionExtent so that note location
	  and size information will be saved.

2008-02-22  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/Tray.cs: Fix bug #503226: Infinite recursion with panels less that
	  16. Patch based on work from Dmitry K.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Utils.cs: Set Label.Underline = false in the HIGMessageDialog on
	  both the title and message of the dialog so that underline characters
	  are not interpreted as mnemonics.  Fixes bug #496986.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteEditor.cs: Uri escape file paths so files with spaces that are
	  dragged from Nautilus will be inserted into Tomboy with a full link to
	  the file.  Fix for bug #303902.

2008-02-22  Chris Scobell <chris@thescobells.com>
	* Tomboy/NoteBuffer.cs: Only insert automatic bullets when a dash or 
	  asterisk is followed by a space. Fixes bug #490161.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Fix bug #507382 by never disabling the open
	  template (regardless of the notebook selected, this should always be
	  enabled).  Also fixed the case where right after a notebook is deleted
	  and the "All Notes" is selected so the Delete notebook menu option is
	  not available.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs,
	  Tomboy/Addins/ExportToHtml/NoteNameResolver.cs: Pass in the original
	  note when constructing NoteNameResolver so the original note is not
	  included more than once on an export.  Also keep track of how many times
	  a note is resolved so that notes cannot be included more than once on an
	  export (regardless of what the ExportToHtml.xsl says).  Fixes bug
	  #422951.
	* Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Don't use the width value
	  from the tomboy note anymore.  In some cases this isn't being set
	  properly anyway and it's ending up being width:0, which is note
	  displaying properly in a browser.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteManager.cs: Use a copy of List<Note> when enumerating the notes
	  to save in OnExitingEvent.  This fixes the crash mentioned in bug
	  #510442.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteManager.cs: Fixes bug #510003 by XML encoding the notebook name
	  before storing it in XML.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in, Tomboy.mdp, Tomboy/dbus-sharp,
	  Tomboy/dbus-sharp/dbus-sharp-glib,
	  Tomboy/dbus-sharp/dbus-sharp-glib/COPYING,
	  Tomboy/dbus-sharp/dbus-sharp-glib/glib,
	  Tomboy/dbus-sharp/dbus-sharp-glib/glib/GLib.cs,
	  Tomboy/dbus-sharp/dbus-sharp-glib/glib/GLib.IO.cs,
	  Tomboy/dbus-sharp/dbus-sharp-glib/README, Tomboy/dbus-sharp/dbus-sharp,
	  Tomboy/dbus-sharp/dbus-sharp/src,
	  Tomboy/dbus-sharp/dbus-sharp/src/Authentication.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/BusObject.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Wrapper.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/IntrospectionSchema.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/MessageWriter.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Message.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/MatchRule.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Mapper.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/DProxy.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Address.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Bus.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/MessageFilter.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/AssemblyInfo.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Transport.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/DBus.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Connection.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Introspection.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/UnixTransport.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Protocol.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Signature.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/SocketTransport.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/Server.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/MessageReader.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/UnixNativeTransport.cs,
	  Tomboy/dbus-sharp/dbus-sharp/src/ExportObject.cs,
	  Tomboy/dbus-sharp/dbus-sharp/COPYING,
	  Tomboy/dbus-sharp/dbus-sharp/README, Tomboy/Makefile.am: Removed bundled
	  dbus-sharp, since it is a now a blessed GNOME dependency.  Fixes bug
	  #509187.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncManager.cs,
	  Tomboy/Addins/StickyNoteImport/StickyNoteImportNoteAddin.cs,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDayPreferences.cs,
	  Tomboy/Notebooks/Notebook.cs, Tomboy/NoteManager.cs, Tomboy/Note.cs,
	  Tomboy/RemoteControl.cs: Added MetadataChangeDate property to Note and
	  NoteData classes, serialized in XML as last-metadata-change-date. 
	  Indicates when any note data has changed, including tags (notebooks),
	  etc, whereas the ChangeDate property only reflects changes to a note's
	  title and other content.  Our UI generally sorts by ChangeDate, while
	  sync and dbus clients care about MetadataChangeDate.  Fixes bug #508798.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/AddinManager.cs: Catch exceptions generated during OnDisabledAddin,
	  and print message to log.
	* Tomboy.mdp: Added GalagoPresence stuff to solution.
	* Tomboy/Addins/GalagoPresence/GalagoPresenceNoteAddin.cs: Log an error when
	  Galago intialization fails so that the exception doesn't disappear in
	  the Mono.Addins black hole.

2008-02-22  Jeff Tickle <jeff@jefftickle.com>

	* Tomboy/Preferences.cs, data/tomboy.schemas.in, Tomboy/Tray.cs: Oops,
	broke string freeze last time, removed changes made in r1872 that caused a
	change in strings.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Build galago by default if galago-sharp is installed.  Note
	  that it will still be a disabled-by-default addin.

2008-02-22  Jeff Tickle <jeff@jefftickle.com>

	* Tomboy/Preferences.cs, data/tomboy.schemas.in: Added MENU_ITEM_MAX_LENGH
	preference and new gconf key /apps/tomboy/tray_menu_item_max_length

	* Tomboy/Tray.cs: Added NoteMenuItem::Ellipsify() which truncates a given
	string and puts three periods on the end.  Also added code in
	NoteMenuItem::GetDisplayName() that truncates the note title if it is
	longer than the length specified in the MENU_ITEM_MAX_LENGH preference.
	Fixes bug #417145.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Galago presence add-in should not be built by default.

2008-02-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Watchers.cs: Add a dummy NoteSpellChecker class in the #else clause
	  of #if FIXED_GTKSPELL.  This prevents a LONG startup time and a warning
	  message about this class not being found when this condition is false.

2008-02-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp: Added Sketching add-in to MonoDevelop solution.

2008-02-19  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Fix from Wade to check for separate gconf-sharp-peditors
	  package on 2.16.1 or greater.  Really fixes bug #512512.

2008-02-17  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Support gnome-sharp 2.19.x, in which gconf-sharp-peditors
	  has been split out from gconf-sharp.  Fixes bug #512512.

2008-02-16  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Note.cs: Fix bug #503165 by removing Debug.Assert calls and
	  replacing them with if (x) return.

2008-02-16  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.cs: Fix bug #514284 by not marking
	  "NoteOfTheDay" as translatable.  This is the tag name that is being
	  added to all note of the day notes and shouldn't be translated,
	  especially since it is a "system" tag.

2008-02-15  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Watchers.cs: Fixed Gtk-WARNING message 'Unknown tag
	  gtkspell-misspelled' by correctly connecting/disconnecting the
	  TagApplied-event in the NoteSpellChecker addin. Fixes bug #507249.

2008-02-11  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.7.

2008-02-11  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.6 release.

2008-02-11  Boyd Timothy <btimothy@gmail.com> 

	* data/images/*.png: Removed all the old icons that are now
	  inside data/icons/.

2008-02-11  Boyd Timothy <btimothy@gmail.com> 

	Applying modified patch from Michael Monreal to fix
	bug #507239.  This installs properly named icons to
	the hicolor theme and also references the proper sizes
	for use in the menus.

	* configure.in: Add data/icons/Makefile.

	* Tomboy/Tomboy.cs: Add tomboy's private icons to the
	  Gtk.IconTheme.

	* Tomboy/RecentChanges.cs, Tomboy/Tray.cs: Use the
	  corrected icon names and sizes.

	* Tomboy/Addins/Evolution/Makefile.am,
	  Tomboy/Addins/Evolution/EvolutionNoteAddin.cs: Use
	  "mail.png" instead of "stock_mail.png".

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Use "note"
	  instead of "tomboy-note" icon.

	* Tomboy/Addins/Backlinks/BacklinkMenuItem.cs: Use "note"
	  instead of "tomboy-note" icon.

	* Tomboy/Addins/Bugzilla/Makefile.am,
	  Tomboy/Addins/Bugzilla/BugzillaLink.cs: Use "bug.png"
	  instead of "stock_bug.png" for the icon.

	* Tomboy/Notebooks/CreateNotebookDialog.cs,
	  Tomboy/Notebooks/NotebookApplicationAddin.cs,
	  Tomboy/Notebooks/NotebookNewNoteMenuItem.cs: Fix the icons to
	  use "notebook-new", "note-new", and "notebook" instead of using
	  "tomboy-new-notebook", "tomboy-new-notebook-dialog",
	  and "tomboy-notebook" icons.  Also fix the size of icons used
	  in the menus to be 16x16 instead of 22x22.

	* Tomboy/Makefile.am: Update the icon resources to use the new
	  icon names.  Installed versions of tomboy will use the icons
	  from the icon theme.  Adding resources directly here allows
	  development builds (i.e., running directly out of Tomboy/) to
	  still function.

	* Tomboy/ActionManager.cs: Use "note-new" instead of
	  "tomboy-new-note" icon at 16x16 instead of 22x22 in the menu.

	* data/images/Makefile.am: Moved most icons to data/icons/*.

	* data/Makefile.am: Added "icons" to SUBDIRS.

	* data/icons/hicolor*.png/svg: Properly named icons so they'll be
	  installed into the hicolor theme.

	* data/icons/Makefile.am: Do all the work of installing icons into
	  the right places.

2008-01-28  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.6.

2008-01-28  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.5 release.

2008-01-28  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Adjust the notebook
	  icon in the search window file menu to not have a "new" star so
	  it's consistent with Tomboy's main menu in the panel.

2008-01-28  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookNewNoteMenuItem.cs: Change the size of
	  the icon to 22x22 instead of 48x48.

2008-01-28  Boyd Timothy <btimothy@gmail.com> 

	* data/images/tomboy-new-notebook-22.png: Modified to add a "new"
	  emblem at the top-right.

	* data/images/tomboy-new-notebook-48.png: Taken from attachment of
	  bug #507239, courtesy of kalle nemus se.

	* data/images/tomboy-new-notebook-22.svg: The original SVG that the
	  png was made from just in case a real artist comes around and wants
	  to tweak what we have.

2008-01-28  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/Notebooks/NotebookApplicationAddin.cs, Tomboy/ActionManager.cs:
	  Load our placeholder icons.

2008-01-28  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Hijack the
	  Notebook ImageMenuItem to use a proper notebook icon.

	* Tomboy/Makefile.am: Add tomboy-new-note.png as a built-in resource.

	* data/images/tomboy-new-note-22.png: New stubbed icon file to show
	  creating a new note.

	* data/images/Makefile.am: Install/uninstall tomboy-new-note-22.png
	  properly.

2008-01-28  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/Notebooks/NotebookApplicationAddin.cs,
	  Tomboy/Notebooks/NotebookNewNoteMenuItem.cs: Start to properly iconfiy
	  Tomboy.

2008-01-27  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteWindow.cs: Removed case-sensitivity option from NoteFindBar.
	  Fixes bug #428884, with a patch from Nathaniel Smith.

2008-01-25  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RemoteControl.cs: Added HideNote method to the RemoteControl DBUS
	  interface, which allows DBUS users to close Tomboy notes.  Fixes bug
	  511460, patch courtesy of Mike Mazur.

2008-01-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Tomboy.exe.config.in: Applied patch from JP
	  Rosevear to remove libdbus and libdbus-glib since Tomboy
	  uses ndesk-dbus now.

2008-01-17 Chris Scobell <chris@thescobells.com>
	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Call
	  RemoveMenuItems at the start of AddMenuItems to ensure that 
	  the menu is empty before adding the notebook items. Fixes
	  bug #509989.

2008-01-14  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.5.

2008-01-14  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.4 release.

2008-01-14  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebooksTreeView.cs: Adjust previous
	  commit to prevent notes from being dropped on the
	  "All Notes" notebook.  Also, allows a border to be drawn
	  around the "Unfiled Notes" notebook during the drag.

2008-01-14  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebooksTreeView.cs: Remove code that
	  prevents a note from being dragged and dropped onto a
	  SpecialNotebook.  This allows a user to drag and drop
	  a note from a notebook onto the "All Notes" or "Unfiled
	  Notes" notebook to remove them from a notebook.  Partial
	  fix for bug #508311.

2008-01-14  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges: Added an "Unfiled Notes" item to the
	  Notebooks list.  Fixes bug #507946.

	* Tomboy/Notebooks/NotebookManager.cs: Add UnfiledNotesNotebook
	  as the second item in the list.

	* Tomboy/Notebooks/NotebooksTreeView.cs: Special case drag/drop
	  stuff with SpecialNotebook instead of AllNotesNotebook.

	* Tomboy/Notebooks/Notebook.cs: Added a SpecialNotebook abstract
	  class that both AllNotesNotebook and UnfiledNotesNotebook (new)
	  extend.

	* Tomboy/Makefile.am: Include tomboy-unfiled-notes.png as a
	  resource.

	* data/images/tomboy-unfiles-notes-22.png: Stubbed out
	  this icon.

	* data/images/Makefile.am: Install/uninstall
	  tomboy-unfiled-notes.png properly.

2008-01-14  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges: Modified the main TreeView to support
	  multiple selection.  Partial fix to bug #508307.

	* Tomboy/NoteWindow.cs: Adjust the delete button to pass in a
	  list of a single note to support the new deletion dialog
	  parameter.

	* Tomboy/Note.cs: Adjust the deletion dialog to support
	  deleting multiple notes at once.

2008-01-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: Removing debug lines that were accidentally
	  committed.

2008-01-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: Added ability to set
	  default fuse mount timeout with /apps/tomboy/sync_fuse_mount_timeout_ms
	  key in gconf.  Sets timeout time in milliseconds.  Fixes bug #480736. 
	  Also, for debugging purposes, the exact fuse mount command is printed to
	  the log.
	* Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs: Added ability to
	  choose SSH server port by appending ":22" (for example) to the server
	  name.  Saves port in /apps/tomboy/sync_sshfs_port.  Fixes bug #488117.

2008-01-14 Chris Scobell <chris@thescobells.com>
	* Tomboy/NoteBuffer.cs, Tomboy/NoteEditor.cs, 
	  Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Implement paragraphs 
	  inside bullets by inserting a LINE SEPARATOR character upon pressing
	  Shift + Enter.

2008-01-13  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/NoteWindow.cs, Tomboy/Preferences.cs, data/tomboy.schemas.in:
	  Added a preference to disable closing notes with Escape, the default
	  is enabled. Fixes bug #444912.

2008-01-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: Scroll back to the currently selected note after
	  refreshing.  Part of fix for bug #508798.  Patch courtesy of Ivan N.
	  Zlatev.

2008-01-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tray.cs, Tomboy/Preferences.cs, data/tomboy.schemas.in: Added
	  preference to enable middle-click paste on the Tomboy icon, which now
	  defaults to false.  Fixes bug #359167.  Did not make this preference
	  visible in the preferences dialog.

2008-01-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp: Added InsertTimestamp addin files to Monodevelop solution.
	* Tomboy/NoteWindow.cs: Exposed accel_group as public AccelGrou property.
	* Tomboy/Addins/InsertTimestamp/InsertTimestampNoteAddin.cs,
	  Tomboy/Addins/InsertTimestamp/InsertTimestamp.addin.xml,
	  Tomboy/Addins/InsertTimestamp/InsertTimestampPreferencesFactory.cs,
	  Tomboy/Addins/InsertTimestamp/Makefile.am,
	  Tomboy/Addins/InsertTimestamp/InsertTimestampPreferences.cs,
	  Tomboy/Preferences.cs, data/tomboy.schemas.in: Adding in configuration
	  dialog for Insert Timestamp addin.  Last patch to close bug #359168. 
	  Patch courtesy of Stefan Schweizer, of course.

2008-01-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs,
	  Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs,
	  Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs,
	  Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs: Added mnemonics to
	  sync preferences tab and associated widgets.  Fixes bug #501600.  Patch
	  courtesy of Alex Kloss.

2008-01-11  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Utils.cs: Revert the ToolMenuButtons back to not
	  using a down arrow until someone can figure this out
	  properly.  Bug #508305 reopened.

2008-01-11  Jeff Tickle <jeff@jefftickle.com>

	* Tomboy/Addins/SketchingNoteAddin.cs: Added context for the
	word 'sketch' for translation.  Fixes bug #508768.

2008-01-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Utils.cs: Adjust for Gtk.ToolbarStyle.  Fixes
	  bug #508305.

2008-01-10  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Exporting bug numbers
	  from bugzilla addin as links.

2008-01-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Utils.cs: Adjusted the ToolMenuButton class to
	  put a down arrow just to the right of the icon.  Fixes
	  bug #508305.

2008-01-09  Jeff Tickle <jeff@jefftickle.com>
	* configure.in: Added makefile for Sketching addin,
	  disabled by default as it is very incomplete

	* Tomboy/Addins/Makefile.am: Added Sketching to SUBDIRS.

	* Tomboy/Addins/Sketching,
	  Tomboy/Addins/Handwriting.cs,
	  Tomboy/Addins/Paper.cs,
	  Tomboy/Addins/Pen.cs,
	  Tomboy/Addins/Stroke.cs,
	  Tomboy/Addins/SketchingNoteAddin.cs,
	  Tomboy/Addins/SketchingTextTag.cs,
	  Tomboy/Addins/Sketching.addin.xml
	  Tomboy/Addins/Makefile.am: Handwriting widget implemented
	  as Sketching ApplicationAddin. Note that some of the addin
	  code was written by Boyd Timothy.

2008-01-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Moved the code
	  that was running on the Note.Window.Shown event into
	  the overridden OnNoteOpened () method so that we don't
	  call Note.Window during shutdown (which is called when
	  a note is deleted).  Fixes bug #508110.

2008-01-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs: Set the default
	  response to "No" when deleting a notebook (much safer
	  this way).

2008-01-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Added a handler for
	  "NewNotebookNoteAction" which allows a new note
	  to be created off of a notebook's context/popup
	  menu.

	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Add
	  a "_New Note" menu item to the notebook's context
	  menu.  This change appears in the Search All Notes
	  window (RecentChanges.cs).

2008-01-08  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteTag.cs: Put in some print code to debug a null reference
	  exception (see bug #508064).  Attempting to handle a null GtkTextView
	  style by returning white as the background color.

2008-01-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Only disable the
	  delete button if the note is a Notebook Template Note.

2008-01-07  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.4.

2008-01-07  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.3 release.

2008-01-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Search.cs: Added selected_notebook on the SearchNotes
	  method so that the search count is accurate and notes not
	  belonging to a notebook can be skipped.

	* Tomboy/RecentChanges.cs: Adjusted the status text so it will
	  show "Total: {0} note/s" or "Matches: {0} note/s" depending
	  on whether there's a current search or not.  This helps with
	  simplicity and also allows the count for searching with a
	  notebook selected to have proper counts.

	* Tomboy/RemoteControl.cs: Pass null in for selected_noteboook
	  when calling SearchNotes.

	* Tomboy/Notebooks/Notebook.cs:  Use the new Note.ContainsTag ()
	  for Notebook.ContainsNote () instead of iterating through all
	  a note's tags.  This changes this operation to O(1) time.

2008-01-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Note.cs: Added a boolean to track when we're
	  deleting a note.  Use this boolean in the Save ()
	  method from preventing any other condition from
	  causing a save once Delete () has been called.

2008-01-07  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/ActionManager.cs: Add ActionManager.GetPlaceholderChildren method,
	  which retrieves the widgets for all child elements under the specified
	  placeholder XML element in the UIManager XML.
	* Tomboy/Tray.cs: Fix reordering of menu items placed in the
	  TrayNewNotePlaceholder element in the UIManager XML.  Fixes bug #507798.
	   Does not account for menu items added under other placeholders, or menu
	  items added in other fashions (so it doesn't work with the Tasks addin
	  which adds items programatically).

2008-01-07  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tomboy.cs: If dbus is disabled, execute command line options
	  *after* initializing the ActionManager and ApplicationAddins.  Opening
	  the search UI before this is done causes Tomboy to hit null reference
	  exceptions while acessing the ActionManager, and crash.

2008-01-07  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Utils.cs: Commenting out use of Gtk.Button.ImagePosition, which is
	  new to GTK+ 2.10.  We were just setting it to the default value, anyway.

2008-01-07  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs: Don't need "Tagging In Tomboy" note anymore, though
	  maybe "Notebooks In Tomboy" would be useful.

2008-01-06  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Fix compilation error when gtk+ < 2.10.

2008-01-05  Boyd Timothy <btimothy@gmail.com> 

	* data/images/Makefile.am: Added the two new
	  tomboy-new-notebook-*.png files into the list so
	  they'll be included in EXTRA_DIST.  Fixes `make
	  distcheck`.

2008-01-05  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Move toolButton initialization from
	  Initalize method to OnNoteOpened method, since accessing Note.Window
	  causes the buffer to be created (for each note on startup!).

2008-01-05  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tray.cs: Fix path in ActionManager.GetWidget call for the "Create
	  New Note" menu item.  Fixes the recent notes menu, except that Notebook
	  menu item placement isn't dynamic (always at bottom, yuck).

2008-01-05  Chris Scobell <chris@thescobells.com>
	* Tomboy/Notebooks/NotebookNoteAddin.cs: Set the 
	  Homogeneous property of the notebook toolbar button to
	  be false so that the size of the text in the label does
	  not affect the size of all the other toolbar buttons.

2008-01-04  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/TagManager.cs: Add a static string for a
	  template system tag.

	* Tomboy/RecentChanges.cs: Filter out template notes from
	  the list of notes.  Still need to update the status bar
	  at the bottom of the window to also reflect template
	  notes.

	* Tomboy/Tray.cs: Prevent template notes from appearing
	  in the main menu.

	* Tomboy/NoteWindow.cs: Expose the Delete button so that
	  other modules can disable it (in this case, a notebook
	  template note shouldn't be able to be deleted).

	* Tomboy/Notebooks/NotebookManager.cs: Don't give the
	  user an option to delete the template note when
	  deleting a notebook, they will be deleted.

	* Tomboy/Notebooks/Notebook.cs: Tag the notebook's
	  template note with the system template tag.

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Disable the
	  Notebook and Delete Toolbar Buttons when the note is a
	  template note.

	* Tomboy/NoteManager.cs: Tag the default template note
	  with the system template tag.

	* Tomboy/Note.cs: Added ContainsTag (Tag):bool so that
	  other modules can quickly (O(1) operation) check whether
	  a note has the specified tag (the system template tag
	  in this case).

2008-01-04  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Define CSC_DEFINES="-d:GTK_2_10" when the
	  system has Gtk+ 2.10 or newer so that we can safely
	  use the Gtk.LinkButton and use Gtk.Button when building
	  on older platforms.

	* Tomboy/PreferencesDialog.cs: Conditionally use
	  Gtk.LinkButton.

	* Tomboy/Utils.cs: Add a convenience AddButton () method
	  to allow a non-stock button with custom pixbuf.  Also
	  allow a custom pixbuf to be used for the main dialog
	  image.

	* Tomboy/Notebooks/CreateNotebookDialog.cs: Don't use
	  Gtk.MessageType.Other since that doesn't build on older
	  versions of Gtk.  Instead, specify a custom pixbuf in
	  the constructor so the dialog looks nicer.

	* Tomboy/Makefile.am: Compile in tomboy-new-notebook.png
	  and tomboy-new-notebook-dialog.png icons as resources.

	* data/images/tomboy-new-notebook-22.png: Stubbing this
	  out so it's easier for an artist to provide proper icons
	  later.

	* data/images/tomboy-new-notebook-48.png: Ditto.

	* data/images/Makefile.am: Install the tomboy-new-notebook
	  icons in their proper locations.

2008-01-03  Boyd Timothy <btimothy@gmail.com> 

	We're planning to implement a tasks interface in the future.
	This will allow developers to write relatively simple task
	add-ins to create tasks in a separate task management system
	(like EDS).  Until then, the current Tasks Add-in is pretty
	unstable and shouldn't be released as such.  This commit
	comments it out from being built/packaged.

	* Tomboy/configure.in: Removed Tomboy/Addins/Tasks/Makefile.

	* Tomboy/Addins/Makefile.am: Removed Tasks from SUBDIRS.

2008-01-03  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteWindow.cs: Fixed the accelerators for the Search and
	  Link buttons (prevents weird Gtk-WARNING messages too).

2008-01-03  Boyd Timothy <btimothy@gmail.com> 

	Modified our Gtk.Toolbar usage to not use the deprecated Append () calls
	anymore.  Also add a Notebook tool item in the NoteWindow:

	* Tomboy/Utils.cs: Extend Gtk.ToggleToolButton instead of
	  Gtk.ToggleButton to implement the ToolMenuButton class.  Removed the
	  seemingly unnecessary vert/horiz/is_important code.

	* Tomboy/RecentChanges: Ellipsize the name of the notebooks in the
	  notebooks column.

	* Tomboy/NoteWindow.cs: Modified the toolbar to use the non-deprecated
	  methods.

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Use a ToolMenuButton to expose
	  a Notebook button in the NoteWindow that will show the name of the
	  notebook the note is in.  The user can also quickly change which
	  notebook the note is in by clicking the button and selecting a new
	  notebook from the submenu.  This replaces the "Place in notebook"
	  item that was previously in the "Tools" menu.

	* Tomboy/NoteAddin.cs: Allow add-ins to add a new Gtk.ToolItem to the
	  NoteWindow.  These will be placed after the Delete button.

2008-01-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs: Check that previous notebook isn't
	  null when moving a note to a different notebook.  Patch courtesy of
	  Daiguren Hyōrinmaru.

2007-12-26  Jakub Steiner <jimmac@gimp.org>

	* data/images/tomboy-notebook-22: replace the placeholder with an
		actual notebook icon.

2007-12-24  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: "All notes" notebook has same context menu as
	  real notebooks (but Delete is disabled).  Also, double-clicking it opens
	  the default template note.
	* Tomboy/Notebooks/Notebook.cs: Override AllNoteNotebook.GetTemplateNote to
	  get/create the default template note.
	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Add
	  NotebooksTreeNoRowContextMenu to allow creating a new notebook by
	  right-clicking on the empty space in the notebooks treeview.

2007-12-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Update search results immediately
	  when a note is added/removed to/from a notebook by watching
	  the NotebookManager events.

	* Tomboy/Notebooks/NotebookManager.cs: Emit an event whenever a
	  notebook leaves or is placed into a notebook.

2007-12-22  Boyd Timothy <btimothy@gmail.com> 

	Introduce drag and drop so users can drag a note into a notebook
	in the Search All Notes Window:

	* Tomboy.mdp: Added NotebooksTreeView.cs.

	* Tomboy/RecentChanges.cs: Use NotebooksTreeView so drag and drop
	  will work.

	* Tomboy/Notebooks/NotebookManager.cs: Added MoveNoteToNotebook ().

	* Tomboy/Notebooks/NotebooksTreeView.cs: New TreeView used to
	  set up drag and drop.

	* Tomboy/Notebooks/NotebookMenuItem.cs: Moved the move to notebook
	  functionality out of this file and into
	  NotebookManager.MoveToNotebook ().

2007-12-22  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Removed NotebookPreferenceTabAddin.cs.

	* Tomboy/RecentChanges.cs: Removed the add/remove notebooks
	  buttons that were under the TreeView and moved the functionality
	  into the File/Edit and context menu.

	* Tomboy/Tomboy.addin.xml: Removed the NotebookPreferenceTabAddin.

	* Tomboy/Notebooks/NotebookManager.cs: Renamed RemoveNotebook items
	  to DeleteNotebook*.

	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Added code so the
	  Open Notebook Template Note and Delete Notebook actions will be
	  available.

	* Tomboy/Notebooks/NotebookPreferenceTabAddin.cs: Deleted this
	  file/feature now that users can manipulate notebooks from the
	  Search All Notes window.

	* data/UIManagerLayout.xml: Added a placeholder surrounding the
	  DeleteNoteAction so that the DeleteNotebookAction could be
	  placed directly underneath it.

2007-12-21  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Adjusted a GetString
	  call so the comment appears on the direct previous line so
	  it gets picked up by L10N tools.

2007-12-21  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Add add/remove buttons so users
	  can add/remove notebooks directly in this window.  Stubbed-out
	  tomboy-all-notes.png and tomboy-notebook.png.  Added event
	  handlers for all the notebook list interaction including when
	  you activate a row, it will open the template note.
	* Tomboy/Notebooks/NotebookManager.cs: Add PromptRemoveNotebook()
	  so any code can ask the user to remove a notebook.  Moved
	  the AllNotesNotebook class into Notebook.cs.
	* Tomboy/Notebooks/Notebook.cs: Added AllNotesNotebook class to
	  this file.
	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Don't open the
	  template note directly after creating a notebook.
	* Tomboy/Notebooks/NotebookPreferenceTabAddin.cs: Use end-style
	  in HButtonBox.
	* Tomboy/Makefile.am: Add tomboy-all-notes-22.png and
	  tomboy-notebook-22.png as resources.
	* data/images/Makefile.am: Install tomboy-all-notes-22.png and
	  tomboy-notebook-22.png.
	* data/images/tomboy-all-notes-22.png: Stubbed an icon (needs
	  some artist help!).
	* data/images/tomboy-notebook-22.png: Ditto.

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs: Use NotebooksWithAllNotesItem from
	  NotebookManager to allow the "All Notebooks" item to be at
	  the top of the notebooks TreeView.  Make sure no tags are
	  added to selected_tags when "All Notebooks" is selected.
	* Tomboy/Notebooks/NotebookManager.cs: Add in an AllNotesNotebook
	  and filter it out in most cases.  Provide this for the
	  Search All Notes window so that it can automatically be
	  part of the TreeView without extra fiddling.
	* Tomboy/Notebooks/Notebook.cs: Add 'virtual' keyword onto
	  the properties so this class can be overridden by the
	  AllNotesNotebook class.

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	Removing the tagging UI again in favor of notebooking:

	* Tomboy/RecentChanges.cs: Removed the tagging TreeView and
	  stubbed in a TreeView for displaying the Notebooks.  Added
	  handlers so that selecting a notebook filters the list of
	  notes to the ones only in the selected notebook.  TODO: still
	  need to add in code to add a "All Notes" item that appears at
	  the top of the list (use Ctrl+Click for now to deselect all
	  notebooks).
	* Tomboy/NoteWindow.cs: Removing the NoteTagBar from NoteWindow.
	  If we come up with a good way to implement tags, we can put
	  it back in (again).
	* Tomboy/Notebooks/NotebookNewNoteMenuItem.cs: Make the
	  Notebooks submenu show something like: New "Meetings" Note.

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookPreferenceTabAddin.cs: Fixed a
	  typo in the remove confirmation dialog.  "note" -> "not".

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs: Added
	  PromptCreateNewNotebook () here so creating a notebook
	  can be used from multiple areas in Tomboy.
	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Renamed the
	  "New Notebook Note" menu item to be just "Notebooks".  Added
	  a "New Notebook..." menu item to the Notebooks menu list
	  with a separator.
	* Tomboy/Notebooks/NotebookPreferenceTabAddin.cs: Moved the
	  code to prompt the user for a new notebook name to
	  NotebookManager.cs.

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookPrefrenceTabAddin.cs: Use
	  Window.Present () when opening a notebook's template note
	  so it gets forced to the front if it's already open.

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookManager.cs: Added the following
	  new convenience methods: GetNotebookFromNote(),
	  GetNotebookFromTag(), IsNotebookTag().
	* Tomboy/Notebooks/NotebookMenuItem.cs: Adjust code so a
	  "No notebook" menu item can be used which removes all
	  notebook tags from a note.
	* Tomboy/Notebooks/NotebookNoteAddin.cs: Add a "No notebook"
	  menu item at the top of the "Place in notebook" submenu.

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookNoteAddin.cs: Added a note for
	  translators about the word, "Place".

2007-12-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Added Tomboy/PreferenceTabAddin.cs and
	  Tomboy/Notebooks/NotebookPreferenceTabAddin.cs.
	* Tomboy/PreferencesDialog.cs: Add in tabs from all the
	  PreferenceTabAddins.  Removed the "Notebooks" tab since
	  it now exists in its own file as an add-in.
	* Tomboy/AddinManager.cs: Added GetPreferenceTabAddins ().
	* Tomboy/Tomboy.addin.xml: Define a new PreferenceTabAddin
	  extension point and add NotebookPreferenceTabAddin.
	* Tomboy/Notebooks/NotebookPreferenceTabAddin.cs: This is
	  all the code that used to be in PreferencesDialog.cs.
	* Tomboy/Makefile.am: Added PreferencesTabAddin.cs.
	* Tomboy/PreferenceTabAddin.cs: A new extension point that
	  allows us to add tabs in the preferences dialog using
	  Mono.Addins.

2007-12-20 Chris Scobell <chris@thescobells.com>

	* Tomboy/Notebooks/CreateNotebookDialog.cs: Move the pango 
	markup into a separate string to make the translators 
	jobs easier.
	
2007-12-20 Chris Scobell <chris@thescobells.com>

	* Tomboy/Notebooks/CreateNotebookDialog.cs: Prevent the user
	  from continuing when they have entered the name of an
	  already exiting Notebook and display an error message if so.
	* Tomboy/Notebooks/NotebookManager.cs: Add a method 
	  "NotebookExists" to check if a notebook exists with a given
	  name.

2007-12-19  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Notebooks/NotebookApplicationAddin.cs: Adding this
	  file too.  Forgot it earlier.  It's responsible for adding
	  a "New Notebook Note" menu item to the tray icon and also
	  to the File menu in the Search All Notes window.

2007-12-19  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteWindow.cs: Check for system tag before displaying
	  it in the tag bar.

2007-12-19  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Added all the new Tomboy/Notebooks/*.cs files.
	* Tomboy.mds: Guess monodevelop now wants the "./" removed when
	  specifying Tomboy.mdp.
	* Tomboy/PreferencesDialog.cs: Added a Notebooks page to allow
	  the user to define notebooks and open their template notes.
	* Tomboy/Utils.cs: Modified HIGMessageDialog to provide an
	  ExtraWidget property so that we don't have to rewrite so much
	  code when doing simple dialog boxes.
	* Tomboy/TagManager.cs: Fix the AllTags property to really
	  return system tags like the comment says so we can access
	  system tags.
	* Tomboy/Tray.cs: Reference the TrayNewNote UI action with the
	  correct path so the accelerator works properly.
	* Tomboy/Tomboy.addin.xml: Add references for the built-in
	  Notebook add-ins.
	* Tomboy/Notebooks/*.cs: The new built-in addin to support
	  notebooks in Tomboy.
	* Tomboy/NoteManager.cs: Expose GetNoteTemplateContent () so
	  that initial notebook templates can share the same text as
	  is used during a NoteManager.Create ().
	* Tomboy/Makefile.am: Compile Tomboy/Notebooks/*.cs.
	* data/UIManagerLayout.csml: Added some <placeholders> around
	  the new note menuitems so that the Notebook addin has more
	  control of where its menu item gets placed.

2007-12-18  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Use a Gtk.LinkButton for the Open
	  New Note Template button.

2007-12-18  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Added a section on the editing page for
	  "New Note Template".
	* Tomboy/NoteManager.cs: Added GetOrCreateTemplateNote() to allow the
	  new note template note to be created/accessed.  Also modified
	  CreateNewNote() to use the content of the new note template if it
	  exists.

2007-12-18  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteWindow.cs: Restored the FindBar at the bottom of the note
	  so the find functionality stays the same as previously stable-released
	  versions.  Also adjusted whitespace issues.

2007-12-18  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/TagManager.cs: Added methods for getting and creating system
	  tags directly.
	* Tomboy/RecentChanges.cs: Use IsProperty and IsSystem directly from Tag
	  instead of parsing for "system:".
	* Tomboy/Tag.cs: Add static SYSTEM_TAG_PREFIX = "system:" so the string
	  doesn't have to be hardcoded everywhere.  Also adjusted the constructor
	  to not have to parse for "system:" twice.
	* Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.cs: Use
	  TagManager.GetOrCreateSystemTag() instead of hardcoding "system:".

2007-12-17  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.3.

2007-12-17  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.2 release.

2007-12-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* test/DBusSearchTest.py: In-progress test tool for searching notes via
	  dbus.
	* Tomboy.mdp, Tomboy/Search.cs, Tomboy/RecentChanges.cs, Tomboy/Makefile.am:
	  Note searching refactored into new Search class.
	* Tomboy/RemoteControl.cs: Added new SearchNotes dbus method.

2007-12-13  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy/NoteWindow.cs: Don't select text on tagbar focus.

2007-12-13  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy/NoteWindow.cs: Focus Tag bar on open.

2007-12-13  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy/TagEntry.cs, Tomboy/NoteWindow.cs: Fixing some delegate logic to
	  fix build.

2007-12-13  Kevin Kubasik <Kevin@Kubasik.net> 

	* AUTHORS: Added myself
	* Tomboy/Tomboy.cs: Adding myself to authors.
	* Tomboy/NoteWindow.cs: Comment out the no-longer used LinkCompleter.
	  Keeping it in file incase we need it elsewhere later.
	* Tomboy/TagEntry.cs: Removing unused elements. Adding Comments.
	* Tomboy/NoteManager.cs: Added a simple starting note on tagging, needs to
	  be clarified and cleaned up

2007-12-13  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy.mdp, Tomboy/TagEntry.cs, Tomboy/NoteWindow.cs, Tomboy/Makefile.am:
	  Using a Gtk.Entry for tags. Usage is pretty easy, just Tab to see
	  completion, and Enter to select. 

2007-12-13  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/NoteWindow.cs: Fix positioning of autocomplete some.

2007-12-13  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/NoteWindow.cs: More code cleanup for readability, still have
	  autocomplete dropdown bugs.

2007-12-13  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/TagManager.cs, Tomboy/RecentChanges.cs, Tomboy/Tag.cs: Code
	  formatting and cleanup, also adding some comments.

2007-12-13  Kevin Kubasik <kevin@kubasik.net> 

	* Tomboy/NoteWindow.cs: Update code to actually _add_ new tags.

2007-12-11  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy/TagManager.cs, Tomboy/NoteWindow.cs: Committing inital autocomplete
	  support, its slow and needs some major optimization, but I'm holding off
	  until the Gtk quarks are fixed. Currently Alt inserts the selected
	  element, and ctrl scrolls down. 

2007-12-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: Removing unused Match class.  Patch courtesy of
	  gopi and GHOP.

2007-12-11  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy/TagManager.cs, Tomboy/RecentChanges.cs, Tomboy/Tag.cs,
	  Tomboy/NoteWindow.cs: Properly hide System and Property tags from the
	  user, this is a somewhat hackish solution and should probably just be
	  done with a GtkTreeFilter, but I couldn't get it to work. 

2007-12-08  Kevin Kubasik <Kevin@Kubasik.net> 

	* Tomboy.mdp, Tomboy/RecentChanges.cs, Tomboy/Tag.cs, Tomboy/NoteWindow.cs,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.cs: Initial implementation of
	  the new tagging bar, majory buggy and still needs a lot of work before
	  it can represent a real solution. Does not mask System or Property tags
	  in the search UI yet. I have a new widget to add which will overlay our
	  GtkTextView used for the tagging box and provide autocompletion for
	  existing tags. This will be committed some time tomorrow when I can
	  ensure it builds. The code formatting mess ensues, will tidy and remove
	  commened code once we have a feature-complete implementation.

2007-12-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: Adjust so the TaskTag will
	  compile.
	* Tomboy/Addins/Tasks/TaskTag.cs: Add new attributes so that we store
	  the properties in the note xml.

2007-12-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteManager.cs: Use generics for the list of notes.

2007-12-07  Kevin Kubasik <kkubasik@gnome.org> 

	* Tomboy.mdp, Tomboy/RecentChanges.cs, Tomboy/NoteWindow.cs: Re-Enable the
	  basic tagging interface. Should be source-similar with the new
	  formatting.

2007-12-07  John Anderson <sontek@gmail.com>
    *  All Files: Switched all files to using hard tabs instead of spaces

2007-12-06  John Anderson <sontek@gmail.com>
    *  Tomboy/PreferencesDialog.cs,
       Tomboy/NoteBuffer.cs,
       Tomboy/Preferences.cs,
       data/tomboy.schemas.in:
       Created an option in preferences to enable/disable auto bulleted lists

2007-12-06  John Anderson <sontek@gmail.com>
    *  test/Plugins/ExportToHTMLTest.cs,
       test/LoggerTest.cs,
       test/NoteManagerTest.cs,
       test/DummyNote.cs,
       test/NoteTest.cs,
       Tomboy/Logger.cs,
       Tomboy/PreferencesDialog.cs,
       Tomboy/Applet.cs,
       Tomboy/Utils.cs,
       Tomboy/panelapplet/BonoboUIVerb.cs,
       Tomboy/panelapplet/PanelAppletFactory.cs,
       Tomboy/panelapplet/ChangeSizeHandler.cs,
       Tomboy/panelapplet/ObjectManager.cs,
       Tomboy/panelapplet/PanelAppletFlags.cs,
       Tomboy/panelapplet/ChangeBackgroundHandler.cs,
       Tomboy/panelapplet/GnomeSharp.PanelAppletFactoryCallbackNative.cs,
       Tomboy/panelapplet/PanelApplet.cs,
       Tomboy/panelapplet/MoveFocusOutOfAppletHandler.cs,
       Tomboy/panelapplet/PanelAppletBackgroundType.cs,
       Tomboy/panelapplet/PanelAppletFactoryCallback.cs,
       Tomboy/ApplicationAddin.cs,
       Tomboy/Trie.cs,
       Tomboy/Undo.cs,
       Tomboy/TagManager.cs,
       Tomboy/AddinPreferenceFactory.cs,
       Tomboy/RecentChanges.cs,
       Tomboy/Tomboy.cs,
       Tomboy/AddinManager.cs,
       Tomboy/Tag.cs,
       Tomboy/NoteEditor.cs,
       Tomboy/Tray.cs,
       Tomboy/Watchers.cs,
       Tomboy/WrapBox.cs,
       Tomboy/RemoteControl.cs,
       Tomboy/NoteWindow.cs,
       Tomboy/Synchronization/SyncDialog.cs,
       Tomboy/Synchronization/SyncServiceAddin.cs,
       Tomboy/Synchronization/SyncUtils.cs,
       Tomboy/Synchronization/FuseSyncServiceAddin.cs,
       Tomboy/Synchronization/TomboySyncClient.cs,
       Tomboy/Synchronization/SyncManager.cs,
       Tomboy/Synchronization/FileSystemSyncServer.cs,
       Tomboy/RemoteControlProxy.cs,
       Tomboy/Addins/GalagoPresence/GalagoPresenceNoteAddin.cs,
       Tomboy/Addins/Evolution/EvolutionNoteAddin.cs,
       Tomboy/Addins/Tasks/TasksNoteAddin.cs,
       Tomboy/Addins/Tasks/ComplexMenuItem.cs,
       Tomboy/Addins/Tasks/TaskListWindow.cs,
       Tomboy/Addins/Tasks/TaskArchiver.cs,
       Tomboy/Addins/Tasks/TaskData.cs,
       Tomboy/Addins/Tasks/TaskManager.cs,
       Tomboy/Addins/Tasks/TaskTag.cs,
       Tomboy/Addins/Tasks/TaskOptionsDialog.cs,
       Tomboy/Addins/Tasks/Task.cs,
       Tomboy/Addins/Tasks/CellRendererDate.cs,
       Tomboy/Addins/Tasks/TasksApplicationAddin.cs,
       Tomboy/Addins/Tasks/DateButton.cs,
       Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs,
       Tomboy/Addins/StickyNoteImport/StickyNoteImportNoteAddin.cs,
       Tomboy/Addins/InsertTimestamp/InsertTimestampNoteAddin.cs,
       Tomboy/Addins/NoteOfTheDay/NoteOfTheDayPreferences.cs,
       Tomboy/Addins/NoteOfTheDay/NoteOfTheDayApplicationAddin.cs,
       Tomboy/Addins/NoteOfTheDay/NoteOfTheDayPreferencesFactory.cs,
       Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.cs,
       Tomboy/Addins/FixedWidth/FixedWidthTag.cs,
       Tomboy/Addins/FixedWidth/FixedWidthMenuItem.cs,
       Tomboy/Addins/FixedWidth/FixedWidthNoteAddin.cs,
       Tomboy/Addins/Backlinks/BacklinkMenuItem.cs,
       Tomboy/Addins/Backlinks/BacklinksNoteAddin.cs,
       Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs,
       Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs,
       Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs,
       Tomboy/Addins/ExportToHtml/NoteNameResolver.cs,
       Tomboy/Addins/ExportToHtml/ExportToHtmlDialog.cs,
       Tomboy/Addins/Bugzilla/BugzillaPreferences.cs,
       Tomboy/Addins/Bugzilla/BugzillaNoteAddin.cs,
       Tomboy/Addins/Bugzilla/InsertBugAction.cs,
       Tomboy/Addins/Bugzilla/BugzillaPreferencesFactory.cs,
       Tomboy/Addins/Bugzilla/BugzillaLink.cs,
       Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs,
       Tomboy/NoteBuffer.cs,
       Tomboy/NoteManager.cs,
       Tomboy/Preferences.cs,
       Tomboy/NoteTag.cs,
       Tomboy/AbstractAddin.cs,
       Tomboy/XKeybinder.cs,
       Tomboy/Note.cs,
       Tomboy/NoteAddin.cs,
       Tomboy/TagButton.cs,
       Tomboy/ActionManager.cs:
       Repaired the c# files to have consistent whitespace, no more mixed tabs and spaces. 

2007-12-05  Dave Foster <daf@minuslab.net>
	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: Added manual call to
	  QueueSave after task creation.
	* Tomboy/Addins/Tasks/TaskListWindow.cs: Removed unneeded function and
	  variable which was invalidated with my last commit.
	* Tomboy/Addins/Tasks/TaskManager.cs: Removed automatic call to
	  QueueSave when a task is created.

2007-12-04  Dave Foster <daf@minuslab.net>
	* Tomboy/Addins/Tasks/TaskListWindow.cs: Edit new task directly after a 
	  new task is added.
	* Tomboy/Addins/Tasks/TaskManager.cs: Support function to get TreePath
	  from a task.

2007-12-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Bugzilla/BugzillaNoteAddin.cs: Enable more flexible bugzilla
	  URLs, where "id=" can come after the initial "?" or after an "&".  Fixes
	  bug #500926.

2007-12-01  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Bugzilla/BugzillaPreferences.cs: Made a note to get the
	  BugzillaIcons directory in a more safe manner in the future.
	* Tomboy/Addins/Bugzilla/BugzillaLink.cs: Set bugzilla icon whenever the
	  "uri" attribute is set or initially read in.  This should fix bug
	  #429413.
	* Tomboy/NoteTag.cs: Added OnAttributeRead method to DynamicNoteTag, which
	  derived classes shoudl override if they need to take action as soon as a
	  particular attribute is read in.

2007-12-01  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncUtils.cs: Only require lsmod for IsFuseEnabled,
	  and gksu/etc and modprobe for EnableFuse.  Provide appropriate user
	  feedback when these tools are not available when needed.  Note that on
	  Fedora and other distros that don't ship a GUI 'su' tool by default, the
	  user will always receive a "Could not enable FUSE" error dialog until
	  they set the FUSE module up manually.

2007-11-12  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.2.

2007-11-12  Boyd Timothy <btimothy@gmail.com>

	* NEWS: Updated for 0.9.1 release.

2007-11-09  Boyd Timothy <btimothy@gmail.com>

	* Tomboy/tomboy-panel.in, Tomboy/tomboy.in: Applied
	  patch from Robert Buchholz to fix a security
	  vulnerability in the startup scripts and LD_LIBRARY_PATH.
	  Fixes #485224.

2007-11-06  Boyd Timothy <btimothy@gmail.com>

	* libtomboy/contrast.h, libtomboy/contrast.c,
	  libtomboy/Makefile.am, Tomboy/NoteTag.cs: Patch from
	  Gabriel de Perthuis to allow note text colors to
	  be readable with different contrast themes.  His patch
	  includes code from David Trowbridge's libcontrast.
	  Fixes #489559.

2007-11-02  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Addins/InsertTimestamp: Set svn:ignore property.

2007-10-30  Boyd Timothy <btimothy@gmail.com>

	* Tomboy/Watchers.cs: Prevent multiple "note title taken"
	  dialogs from appearing.  Fixes bugzilla.novell.com
	  #177857.

2007-10-29  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.9.1.

2007-10-29  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.9.0 release.
	* Tomboy/Tomboy.addin.xml: Bump the base version of the root addin
	  (tomboy) to 0.9.

2007-10-29  Boyd Timothy <btimothy@gmail.com> 

	* ChangeLog: Removed duplicate entry.

2007-10-17  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Watchers.cs: Fix from John Carr to prevent crashing when curly
	  braces ('{' or '}) are used in the title of a note.  Fixes #487702.

2007-10-15  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Bugzilla/Bugzilla.addin.xml: Bumped the version of Tomboy
	  required to 0.9 because of the new/changed Gdk.Pixbuf -> Gtk.Widget
	  support.  This will prevent newer versions of the bugzilla.dll just
	  puking out on older Tomboy versions.  I guess instead, it'll just not
	  load on an older version of Tomboy.

2007-10-14  Stefan Schweizer <steve.schweizer@gmail.com>

	* Tomboy/Addins/InsertTimestamp/InsertTimestampNoteAddin.cs,
	  Tomboy/Addins/InsertTimestamp/InsertTimestamp.addin.xml,
	  Tomboy/Addins/InsertTimestamp/Makefile.am,
	  Tomboy/Addins/Makefile.am, configure.in:
	  This addin adds an item to the tools menu that inserts a timestamp at
	  the cursor position. Fixes bug #359168.

2007-10-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncUtils.cs: Stop looking for bootLocalFile and
	  echoTool; we do not use them (previously used to try to set FUSE to
	  always load).  FindFirstExecutableInPath now searches a few common paths
	  in addition to those found in a user's $PATH.  For now those common
	  paths are /sbin, /bin, and /usr/bin.  This is the first step in fixing
	  bug #484644 and bug #479748.  More work still needs to be done.  For
	  example, if FUSE is enabled it doesn't matter if we can find modprobe or
	  a GUI sudo tool.  Also, the behavior when a GUI sudo tool is not found
	  needs to be tweaked/tested.

2007-10-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp: Added internal dbus-sharp files to MD solution, mostly just
	  for autocomplete convenience.

2007-10-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/Bugzilla/BugzillaNoteAddin.cs: Removing extraneous debug
	  statements.

2007-10-13  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteTag.cs: Patch from bugreports@nn7.de to fix bulleted list
	  spacing to not be so huge.  Fixes bug #415606.

2007-10-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs: Backing out fix for bug #449478.  Now the body of
	  the note content is always selected when creating a new note (title is
	  never automatically selected).  This restores the original behavior that
	  people seem to prefer.

2007-10-08  Boyd Timothy <btimothy@gmail.com>

	* Tomboy/NoteTag.cs: Move the null checking from Image
	  property into the Widget property.  Also create a new
	  object [] for TagChangedArgs to prevent a null exception.
	  And finally, wrap the Changed handler in a try/catch just
	  in case a handler pukes.  This will prevent a crash.

2007-10-08  Boyd Timothy <btimothy@gmail.com>

	Patch from Jeff Tickle to allow TextTags in Tomboy to insert
	widgets instead of just Gdk.Pixbufs (from bug #484537).

	* Tomboy/Addins/Bugzilla/InsertBugAction.cs: Set WidgetLocation
	  to null.
	* Tomboy/Addins/Bugzilla/BugzillaLink.cs: Remove override for
	  TextTag Image property since it's now handled in the super
	  class and wraps the Gdk.Pixbuf in a Gtk.Image.
	* Tomboy/NoteBuffer.cs: Replace the image queue with stuff
	  to deal with widget queue.
	* Tomboy/NoteTag.cs: Add a Widget property and convert the
	  Image property to use a Gtk.Image.
	* Tomboy/Note.cs: Handle the work of processing NoteTag
	  widgets.  There's now an AddChildWidget () call that can
	  be called during TextInsert events.  If a note has never
	  been displayed, the widget is added to the queue or
	  otherwise added immediately.  As soon as the note window
	  is instantiated, all widgets that have not been processed
	  are then inserted.

2007-10-08  Boyd Timothy <btimothy@gmail.com>

	Patch from Jeff Tickle to fix the highlighting problems.
	Fixes bug #392907.

	* Tomboy/Watchers.cs, Tomboy/NoteWindow.cs: Use
	  Buffer.GetSlice () instead of Buffer.GetText () because the
	  GetSlice call accounts for non-character items in the buffer
	  such as pixbufs and widgets.

2007-09-21  Sebastian Dröge  <slomo@circular-chaos.org>

	* Makefile.include:
	* Mono.Addins/Mono.Addins.Gui/Makefile.am:
	* Mono.Addins/Mono.Addins.Setup/Makefile.am:
	* Mono.Addins/Mono.Addins/Makefile.am:
	* configure.in: Allow compiling and linking against an external
	Mono.Addins version that is newer than 0.2. This has to be explicitely
	enforced with --with-mono-addins=system. Fixes bug #478887.

2007-09-20  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteEditor.cs: Correct check for ShiftMask when Delete key is
	  pressed.  Fixes bug #437684 (patch courtesy of Laurent Bedubourg). 
	  Perhaps we should use the same technique for our Ctrl+Enter
	  shortcut?

2007-09-17  Boyd Timothy <btimothy@gmail.com>

	These changes come from the Tasks Addin fixups patch from
	bug #462626:

	* configure.in: Re-enabled Tomboy/Addins/Tasks/Makefile.
	* Tomboy/Addins/Tasks/ComplexMenuItem.cs: New file that allows
	  proper checkbuttons to appear in Tomboy's main tray icon menu.
	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: Changed the code to attempt
	  to not modify the buffer mid-stream during events so it wouldn't
	  corrupt the TextIter.  Added code to handle deleting tasks when
	  the user highlights a range of text that incapsulates multiple
	  tasks.
	* Tomboy/Addins/Tasks/TaskListWindow.cs: Allow the due date and
	  priority columns in the Todo list window to be turned off (they
	  are off by default).  Also have an option to show completed tasks.
	  Completed tasks are not shown by default.
	* Tomboy/Addins/Tasks/TaskManager.cs: Added GetTasksForNote (Note note)
	  for easy task lookup by note.
	* Tomboy/Addins/Tasks/Tasks.addin.xml: Change the addin category to
	  'Tools' and enable by default.
	* Tomboy/Addins/Tasks/Makefile.am: Add ComplexMenuItem.cs.
	* Tomboy/Addins/Tasks/TasksUIManagerLayout.xml: Added menu items for
	  showing completed tasks, showing the due date and showing the
	  priority in the todo list window.
	* Tomboy/Addins/Tasks/TasksApplicationAddin.cs: Add the top five open
	  tasks to Tomboy's tray icon menu.
	* Tomboy/Addins/Makefile.am: Build the Tasks addin.
	* data/UIManagerLayout.xml: Add placeholder items into tomboy's main
	  trayicon menu so that addins can easily add extra items.

2007-09-17  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bumping trunk version to 0.9.0.  Start your engines!

2007-09-16  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/figures/tomboy-preferences-synchronization.png: Forgot to add
	  this earlier (thanks to Daniel Nylander for catching this!).

2007-09-16  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/figures/tomboy-preferences-hotkeys.png,
	  help/C/figures/tomboy-main-menu.png,
	  help/C/figures/tomboy-new-note.png,
	  help/C/figures/tomboy-preferences-add-ins.png,
	  help/C/figures/tomboy-panel.png,
	  help/C/figures/tomboy-preferences-plugins.png,
	  help/C/figures/tomboy-preferences-editing.png, help/C/tomboy.xml:
	  Updated all screenshots for help documentation.  Replaced
	  tomboy-preferences-plugins.png with tomboy-preferences-addins.png,
	  and also added tomboy-preferences-synchronization.png.

2007-09-16  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/tomboy.xml: GDP-recommended use of terms like "drop-down list"
	  and "menu".  Also eliminated usage of apostrohpes for contractions
	  and posession.

2007-09-16  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/tomboy.xml: Cleanup in the synchronization section.

2007-09-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Updated NEWS for 0.8.0.

2007-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* README: Updating Tomboy website URL.

2007-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/tomboy.xml: Minor sync draft update.
	* configure.in: Bump for 0.8.0 (next release).

2007-09-14  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/tomboy.xml: Draft content for synchronization section.  Other
	  minor style fixes.

2007-09-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* help/C/tomboy.xml: Updating help for upcoming 0.8.0 release. 
	  "Plugins" are now "add-ins".  Added stubs for note synchronization
	  content.

2007-09-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/StickyNoteImport/StickyNoteImportNoteAddin.cs: Don't
	  show import results dialog when doing an automatic import.  Less
	  irritating for user, and prevents a crash described in bug #475516
	  when running Tomboy as a panel applet.

2007-09-10  Boyd Timothy <btimothy@gmail.com>

	* configure.in: Bump version to 0.7.9.

2007-09-10  Boyd Timothy <btimothy@gmail.com>

	* NEWS: Updated for 0.7.8.

2007-09-10  Boyd Timothy <btimothy@gmail.com>

	* Tomboy/dbus-sharp/dbus-sharp/src/BusObject.cs,
	  MessageWriter.cs, IntrospectionSchema.cs, MatchRule.cs,
	  Message.cs, Mapper.cs, MessageFilter.cs, Connection.cs,
	  Protocol.cs, Signature.cs, MessageReader.cs, ExportObject.cs:
	  Update dbus-sharp to 0.4.2 stable version.  Fixes bug
	  #475622.

2007-09-10  Boyd Timothy <btimothy@gmail.com>

	* configure.in: Bump version to 0.7.8.

2007-09-10  Boyd Timothy <btimothy@gmail.com>

	* NEWS: Updated for 0.7.7.

2007-09-10  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FileSystemSyncServer.cs: Commit does not fail
	  if cleanup step fails.  Should still revamp cleanup code, though
	  (see TODOs).

2007-09-10  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs,
	  Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs:
	  Check for ability to list dir and read test files when saving a
	  sync configuration.  Some TODOs in there to add appropriate
	  TomboySyncExceptions when freeze doesn't apply.

2007-09-10  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinTreeWidget.cs: Added
	  clarifying comment for translators.
	* Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs,
	  Tomboy/Synchronization/FuseSyncServiceAddin.cs: Check for ability
	  to create, write to, and delete files when saving a sync
	  configuration.

2007-09-08  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: Padding/spacing/wrapping fixes
	  for SyncDialog.  Fixes bug #473354 (patch courtesy of Jerome
	  Haltom).

2007-09-05  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs,
	  Tomboy/Synchronization/SyncManager.cs: Minor cleanups, including
	  fix for being unable to sync after a previous sync attempt has
	  failed.

2007-09-03  Boyd Timothy <btimothy@gmail.com>

        * configure.in: Bump version to 0.7.7.

2007-09-03  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.7.6.

2007-09-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: Removing obsolete comment.

2007-09-03  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs,
	  Tomboy/Synchronization/SyncManager.cs: When renaming a note in
	  conflict, check new title against new/updated titles from server in
	  addition to existing notes on client.

2007-09-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* data/tomboy-addins.pc.in: Update plugins directory references to
	  reflect new addin infrastructure.  Fixes bug #472670, patch
	  courtesy of Robin Sonefors.

2007-09-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FileSystemSyncServer.cs: IsValidXmlFile now
	  includes check for file existence.  Stream/Writer usage managed by
	  'using' blocks, non-disposable objects closed using try/finally
	  blocks.
	* Tomboy/Synchronization/TomboySyncClient.cs: Stream/Writer usage
	  managed by 'using' blocks, non-disposable objects closed using
	  try/finally blocks.

2007-09-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs,
	  Tomboy/Synchronization/SyncManager.cs: Better handling of
	  exceptions during synchronization.  Entire sync thread is
	  surrounded in try/catch/finally, and when invoking the main gtk
	  thread, any exceptions are temporarily caught, and then rethrown in
	  the sync thread for consistency.  This should fix most sync-related
	  crashes.

2007-09-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RemoteControl.cs, Tomboy/Synchronization/SyncDialog.cs,
	  Tomboy/Synchronization/SyncManager.cs: Handle potential for
	  LoadForeignNoteXml exceptions.

2007-08-30  Boyd Timothy <btimothy@gmail.com> 

	Fixes bug #393249:
	
	* data/GNOME_TomboyApplet.server.in.in: Removed "--panel-applet"
	  command-line option to avoid deprecation warning.
	* data/Makefile.am: When launching as the panel applet, use the
	  tomboy-panel script instead of the tomboy script.
	* Tomboy/Applet.cs: Set the Tomboy.Tray once the panel applet is up and
	  running so other code can know about it.
	* Tomboy/Makefile.am: Process the tomboy-panel script.
	* Tomboy/Tomboy.cs: Allow the panel applet to set the tomboy tray
	  statically so other parts of the code/addins can access the tray
	  regardless of panel applet or tray icon mode.
	* Tomboy/tomboy-panel.in: New script that allows the panel applet to be
	  started without deprecation warnings from bonobo.

2007-08-30  Boyd Timothy <btimothy@gmail.com> 

	Fixes bug #459697:
	
	* COPYING, Tomboy/Addins/PrintNotes/COPYING: Added a blurb mentioning
	  that tomboy is distributed under the LGPL with exception to the
	  PrintNotes addin which is GPL.
	* Tomboy/Addins/PrintNotes/Makefile.am: Added GPL COPYING file inside
	  the PrintNotes directory.

2007-08-30  Boyd Timothy <btimothy@gmail.com> 

	Fix for bug #459697:
	
	* libtomboy/gtksourceprintjob.c, libtomboy/gtksourceprintjob.h,
	  libtomboy/gedit-print.c, libtomboy/gedit-print.h,
	  Tomboy/Addins/PrintNotes/gtksourceprintjob.c,
	  Tomboy/Addins/PrintNotes/gtksourceprintjob.h,
	  Tomboy/Addins/PrintNotes/gedit-print.c,
	  Tomboy/Addins/PrintNotes/gedit-print.h: Move gedit-print and
	  gtksourceprintjob from libtomboy to Addins/PrintNotes/ so that it
	  can be built & distributed separately from tomboy's main
	  executable.
	* Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs: Use libprintnotes
	  instead of libtomboy.
	* Tomboy/Addins/PrintNotes/Makefile.am: Build libprintnotes.so.
	* Tomboy/tomboy.in: Include the right path for libprintnotes when
	  running in the uninstalled directory.

2007-08-29  Boyd Timothy <btimothy@gmail.com>

        * Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: Modify the CSS
          so the note is exported in a more friendly format.  Fixes
          bug #463957.

2007-08-28  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* po/POTFILES.in: Adding FuseSyncServiceAddin.cs, which was mistakenly
	  left out.  Fixes bug #471260.

2007-08-27  Boyd Timothy <btimothy@gmail.com>

	* Tomboy/Synchronization/SyncDialog.cs: Use a TreeStore instead
	  instead of a ListStore to avoid a crash when users may click
	  on the TreeView headers.  Fixes bug #470620.

2007-08-27  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: When saving
	  configuration, throw TomboySyncException if addin is not supported.

2007-08-27  Boyd Timothy <btimothy@gmail.com>

	* configure.in: Bump version to 0.7.6.

2007-08-27  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Updated for 0.7.5.

2007-08-27  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: String work.

2007-08-27  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Improved sync pref widget sensitivity
	  behavior.  Nuke sync client manifest.xml on save as well as reset.

2007-08-26  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: Rename
	  CreateMountPath method to PrepareMountPath, and add a call to make
	  sure there is no existing FUSE mount at that path.
	* Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs: Pass
	  gnome-keyring-sharp exception messages along in
	  TomboySyncException.  Short on time to implement non-keyring
	  credential storage solution.

2007-08-26  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Check for TomboySyncException when
	  saving sync configuration.  Use exception message in error dialog
	  content.
	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: Adding
	  FuseMountTimeoutError and FuseMountDirectoryError members, to be
	  overriden by child classes that need to customize these error
	  messages.  MountFuse method throws TomboySyncException instead of
	  just returning false.  Check for existence of mountPath directory
	  after mounting...wdfs with incorrect user/pass credentials will
	  appear to mount correctly but Directory.Exists will return false.
	* Tomboy/Synchronization/SyncManager.cs: Added TomboySyncException
	  type, an extension of System.ApplicationException.
	* Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs,
	  Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs,
	  Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs: Throw
	  TomboySyncException when configuration is incorrect.

2007-08-26  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* test/DBusClientTest.py: Test driver for Tomboy's DBus interface. 
	  Currently provides coverage of note save/add/delete events.
	* Tomboy/RemoteControl.cs: Expose events for note save/add/delete over
	  DBus.  Fixes bug #465639 (patch courtesy of John Carr).

2007-08-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bumping version to 0.7.5.

2007-08-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Updating NEWS for 0.7.4

2007-08-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: Improvements to status strings
	  in Sync Dialog.

2007-08-13  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: Changing wording of main
	  paragraph in SyncDialog to mention how many notes were updated;
	  additional simplification.
	* Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs: Simplifying SSH
	  instructional text...should really go in help.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs,
	  Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs: Folder/Path
	  cleanups.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Added reminder to fix tabbing.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: Add "X note updates processed."
	  to bottom of SyncDialog.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Add "Advanced" dialog for sync tab that
	  exposes saved conflict handling behavior.  Ugly, but should be
	  rarely used.  Once we have autosync (which will undoubtedly have
	  associated preferences), this whole tab will need to be redesigned
	  anyway.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncUtils.cs: Alert user if enabling FUSE
	  fails.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Improved sensitivity behavior of
	  save/clear buttons on sync tab.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Fixing build-breaking typo.  Whoops!

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncServiceAddin.cs,
	  Tomboy/Synchronization/FuseSyncServiceAddin.cs,
	  Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs:
	  SyncServiceAddins now derives directly from ApplicationAddin.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/AddinManager.cs, Tomboy/PreferencesDialog.cs: Add
	  ApplicationAddinListChanged event to AddinManager.  Use in
	  PreferencesDialog to provide live updates in the Sync tab as addins
	  are enabled/disabled.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Sort sync addin combo box by name.

2007-08-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* MAINTAINERS: Update syntax to match
	  http://mail.gnome.org/archives/devel-announce-list/2007-August/msg00003.html

2007-08-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs,
	  Tomboy/Addins/WebDavSyncService/WebDavSyncServiceAddin.cs:
	  PreferencesDialog handles sensitivity of sync widgets.  Change
	  cursor to WAIT when saving sync settings.
	* Tomboy/Synchronization/FuseSyncServiceAddin.cs: FUSE mount attempt
	  times out after 10 seconds.
	* Tomboy/Addins/FileSystemSyncService/FileSystemSyncServiceAddin.cs:
	  Add "Browse..." button that presents a FileChooserDialog.
	* Tomboy/Addins/SshSyncService/SshSyncServiceAddin.cs: Removed all
	  password-related code and UI elements.  Added first attempt at
	  explaining need for ssh keys/daemon to user.

2007-08-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteEditor.cs: Add support for using shift+delete to perform a
	  "cut" operation.  Should fix bug #437684 (patch provided by Andrew
	  Fister).

2007-08-09  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Defines.cs.in: Fix for OpenSUSE build system issues, courtesy
	  of Michael Wolf.

2007-08-05  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp: Removing Mono.Security reference.  Not sure what that was
	  doing there.

2007-07-31  Boyd Timothy <btimothy@gmail.com> 

	* data/tomboy.schemas.in: Specify a default int value for
	  sync_conflict_behavior to avoid warnings at install time.

2007-07-30  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.7.4.

2007-07-30  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Added comment about removing Tagging UI.

2007-07-30  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Updated for 0.7.3 release.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Preferences.cs, data/tomboy.schemas.in: Adding sync
	  preferences to our GConf schema.  Moving these preferences to
	  /apps/tomboy/sync/*.

2007-07-30  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Synchronization/SyncDialog.cs: Fixed sentence "Preparing to
	  upload updates from server" -> "Preparing to upload updates to
	  server".

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/SyncUtils.cs: Add ArchLinux support (patch
	  courtesy of Dave Foster).

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/TomboySyncClient.cs,
	  Tomboy/Synchronization/SyncManager.cs,
	  Tomboy/Synchronization/FileSystemSyncServer.cs: Adding support for
	  server ID to prevent syncing against an empty or reinitialized
	  server (which could cause note loss/mangling).

2007-07-30  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/RecentChanges.cs, Tomboy/NoteWindow.cs: Commenting out the
	  tags UI for now.  There's not enough time to get it working well
	  for 0.8.  For more info, see bug #380634.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization/TomboySyncClient.cs,
	  Tomboy/Synchronization/SyncManager.cs: Reset client and local
	  manifest file if server has been wiped, or reinitialized without or
	  knowledge, etc.  Detection of this situation needs to be improved.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Fix crash when no SyncServiceAddins
	  found.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tomboy.addin.xml: Fixing objectType for SyncServiceAddin
	  extension point.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in, Tomboy.mdp, Tomboy/PreferencesDialog.cs,
	  Tomboy/Tomboy.cs, Tomboy/AddinManager.cs, Tomboy/Watchers.cs,
	  Tomboy/Tomboy.addin.xml, Tomboy/RemoteControl.cs,
	  Tomboy/NoteWindow.cs, Tomboy/Addins/Evolution/Evolution.addin.xml,
	  Tomboy/Addins/Makefile.am,
	  Tomboy/Addins/Bugzilla/Bugzilla.addin.xml, Tomboy/NoteManager.cs,
	  Tomboy/Preferences.cs, Tomboy/Makefile.am, Tomboy/Note.cs,
	  Tomboy/ActionManager.cs, po/POTFILES.in, po/POTFILES.skip: Merging
	  in the rest of the tomboy-sync branch.  In additon to note
	  synchronization functionality, this brings in various bug fixes,
	  tagging updates to the DBus API, and other goodies.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Gnome.Keyring: Copying Gnome.Keyring bundle from tomboy-sync.

2007-07-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Synchronization, Tomboy/Synchronization/SyncDialog.cs,
	  Tomboy/Synchronization/SyncServiceAddin.cs,
	  Tomboy/Synchronization/SyncUtils.cs,
	  Tomboy/Synchronization/FuseSyncServiceAddin.cs,
	  Tomboy/Synchronization/TomboySyncClient.cs,
	  Tomboy/Synchronization/SyncManager.cs,
	  Tomboy/Synchronization/FileSystemSyncServer.cs,
	  Tomboy/Addins/FileSystemSyncService,
	  Tomboy/Addins/WebDavSyncService, Tomboy/Addins/SshSyncService:
	  Copying new files from tomboy-sync branch.

2007-07-21  Boyd Timothy <btimothy@gmail.com> 

	Removing the Tasks Addin from being built/compiled
	for 0.8.  It's not ready and this should prevent users
	corrupting their notes.
	
	* configure.in: Commented out the line to build
	  Tomboy/Addins/Tasks/Makefile.
	* Tomboy/Addins/Makefile.am: Removed Tasks from the SUBDIRS line.

2007-07-20  Jakub Steiner <jimmac@ximian.com>

	* data/images/tag-22.png
	* data/images/tag-32.png
	* data/images/tag-24.png
	* data/images/tag-16.png
	* data/images/tag-48.png
	* data/images/tag.svg: make the icon look less 'inactive'
	* data/images/artwork.svg: use one canvas for all "source" in
		future.

2007-07-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Plugins, Tomboy/Plugins/Makefile.am,
	  Tomboy/Plugins/checkbox-done.png, Tomboy/Plugins/checkbox-todo.png,
	  Tomboy/Plugins/.cvsignore: Removing Tomboy/Plugins/.

2007-07-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in: Bump version to 0.7.3.

2007-07-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* NEWS: Updated NEWS for 0.7.2.

2007-07-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/GalagoPresence/GalagoPresence.addin.xml,
	  Tomboy/Addins/Evolution/Evolution.addin.xml,
	  Tomboy/Addins/PrintNotes/PrintNotes.addin.xml,
	  Tomboy/Addins/Bugzilla/Bugzilla.addin.xml: Changing category to
	  "Desktop Integration".  Categories could still use some love.

2007-07-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Preferences.cs, data/tomboy.schemas.in: Removing use of
	  enabled_plugins GConf key.

2007-07-11  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Reverting this because it was accidentally checked-in
	  with references.

2007-07-11  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Added a missing semi-colon in a string.
	* po/POTFILES.in: Commented out many of the Mono.Addins code since we
	  don't really use them directly in Tomboy.  Also added the
	  *.addin.xml files.  I don't any strings are being extracted at this
	  point, but hopefully eventually.

2007-07-11  Boyd Timothy <btimothy@gmail.com> 

	Fixes for make distcheck:
	
	* Tomboy/Addins/ExportToHtml/Makefile.am: Include ExportToHtml.xsl in
	  EXTRA_DIST.
	* po/POTFILES.in: Added EvolutionNoteAddin.cs,
	  GalagoPresenceNoteAddin.cs, and removed PluginManager.cs.

2007-07-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in, Tomboy.mdp,
	  Tomboy/Addins/GalagoPresence/GalagoPresenceNoteAddin.cs,
	  Tomboy/Addins/GalagoPresence/Makefile.am,
	  Tomboy/Addins/GalagoPresence/GalagoPresence.addin.xml,
	  Tomboy/Addins/Makefile.am: Migrating GalagoPresencePlugin to
	  GalagoPresenceNoteAddin, using Mono.Addins.

2007-07-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* configure.in, Tomboy.mdp, Tomboy/Plugins/Evolution.cs,
	  Tomboy/Addins/Evolution,
	  Tomboy/Addins/Evolution/Evolution.addin.xml,
	  Tomboy/Addins/Evolution/Makefile.am,
	  Tomboy/Addins/Evolution/EvolutionNoteAddin.cs,
	  Tomboy/Addins/Makefile.am: Migrate EvolutionPlugin to
	  EvolutionNoteAddin, using Mono.Addins.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/PreferencesDialog.cs: Add in AddinInfoDialog so a user can
	  view the information about an addin in a separate dialog when they
	  click the information button.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Create Makefile for StickyNoteImport addin.
	* Tomboy.mdp: Remove the old StickyNoteImport plugin and replace it
	  with the addin.
	* Tomboy/Plugins/StickyNoteImport.cs: Moved this code to the new
	  StickNoteImport addin.
	* Tomboy/Addins/StickyNoteImport,
	  Tomboy/Addins/StickyNoteImport/StickyNoteImportNoteAddin.cs,
	  Tomboy/Addins/StickyNoteImport/StickyNoteImport.addin.xml,
	  Tomboy/Addins/StickyNoteImport/Makefile.am: The new
	  StickyNoteImport addin.
	* Tomboy/Addins/Makefile.am: Add StickyNoteImport to SUBDIRS.
	* po/POTFILES.in: Change the path for the StickyNoteImport addin.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Addd PrintNotes addin Makefile.
	* Tomboy.mdp: Remove the old PrintNotes plugin and replace it with the
	  PrintNotes addin.
	* Tomboy/Plugins/PrintNotes.cs: Moved this to
	  Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs.
	* Tomboy/Addins/PrintNotes,
	  Tomboy/Addins/PrintNotes/PrintNotesNoteAddin.cs,
	  Tomboy/Addins/PrintNotes/PrintNotes.addin.xml,
	  Tomboy/Addins/PrintNotes/Makefile.am: The new PrintNotes addin.
	* Tomboy/Addins/Makefile.am: Add PrintNotes to SUBDIRS and also split
	  it out onto a separate line since it was beginning to be too long.
	* po/POTFILES.in: Replace the old PrintNotes plugin source with the new
	  addin.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Added makefile for NoteOfTheDay addin.
	* Tomboy.mdp: Moved NoteOfTheDay from a plugin to an addin.
	* Tomboy/Plugins/NoteOfTheDay.cs: Moved the NoteOfTheDay plugin to be
	  an addin.
	* Tomboy/Addins/Makefile.am: Added NoteOfTheDay to SUBDIRS.
	* Tomboy/Addins/NoteOfTheDay,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDayPreferences.cs,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDayApplicationAddin.cs,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.addin.xml,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDayPreferencesFactory.cs,
	  Tomboy/Addins/NoteOfTheDay/Makefile.am,
	  Tomboy/Addins/NoteOfTheDay/NoteOfTheDay.cs: The new NoteOfTheDay
	  ApplicationAddin.
	* po/POTFILES.in: Updating references from old NoteOfTheDay plugin to
	  NoteOfTheDay addin.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/AddinManager.cs: Don't use the non-existence of an addin
	  category to determine a built-in addin.  It turns out that the
	  built-in (root) addin isn''t returned in this call anyhow.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Add Tomboy/Addins/FixedWidth/Makefile.
	* Tomboy.mdp: Added the files needed for the FixedWidth addin.
	* Tomboy/Plugins/FixedWidth.cs: Moved FixedWidth.cs (old plugin) to be
	  an addin.
	* Tomboy/Addins/FixedWidth, Tomboy/Addins/FixedWidth/FixedWidthTag.cs,
	  Tomboy/Addins/FixedWidth/FixedWidthMenuItem.cs,
	  Tomboy/Addins/FixedWidth/FixedWidthNoteAddin.cs,
	  Tomboy/Addins/FixedWidth/Makefile.am,
	  Tomboy/Addins/FixedWidth/FixedWidth.addin.xml: The new FixedWidth
	  addin.
	* Tomboy/Addins/Makefile.am: Added FixedWidth to SUBDIRS.
	* po/POTFILES.in: Fixed the path for the translatable strings for the
	  FixedWidth addin.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Backlinks/Backlinks.addin.xml,
	  Tomboy/Addins/Bugzilla/Bugzilla.addin.xml: Changed the category
	  name to "Tools".
	* Tomboy/Addins/Tasks/Tasks.addin.xml: Changed the category name to
	  "Experimental".

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/ExportToHTML: Renaming to ExportToHtml.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Added Tomboy/Addins/ExportToHtml/Makefile.
	* Tomboy.mdp: Remove the old ExportToHTML reference and include the
	  source files for the new ExportToHtml addin.
	* Tomboy/Plugins/ExportToHTML.cs, Tomboy/Plugins/ExportToHTML.xsl:
	  Moved these files to Tomboy/Addins/ExportToHtml/.
	* Tomboy/Addins/Makefile.am: Add ExportToHtml to SUBDIRS.
	* Tomboy/Addins/ExportToHtml,
	  Tomboy/Addins/ExportToHtml/ExportToHtmlNoteAddin.cs,
	  Tomboy/Addins/ExportToHtml/ExportToHtml.addin.xml,
	  Tomboy/Addins/ExportToHtml/Makefile.am,
	  Tomboy/Addins/ExportToHtml/NoteNameResolver.cs,
	  Tomboy/Addins/ExportToHtml/ExportToHtmlDialog.cs,
	  Tomboy/Addins/ExportToHtml/ExportToHtml.xsl: The new ExportToHtml
	  addin.
	* po/POTFILES.in: Look in the new addin path for ExportToHtml strings.

2007-07-10  Boyd Timothy <btimothy@gmail.com> Unless note is created using the "Link"
	  button, select title when create new notes (instead of content). 
	  Fixes bug #449478 (patch from Yonatan Oren).

	* Tomboy/Addins/Backlinks/Makefile.am: Use an "ADDIN_NAME" variable to
	  be consistent with the other addins.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Removed the old reference to Tomboy/Plugins/Bugzilla.cs.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Add Tomboy/Addins/Bugzilla/Makefile
	* Tomboy.mdp: Added all the individual Bugzilla Addin source files.
	* Tomboy/Plugins/Bugzilla.cs, Tomboy/Addins/Makefile.am,
	  Tomboy/Addins/Bugzilla,
	  Tomboy/Addins/Bugzilla/BugzillaPreferences.cs,
	  Tomboy/Addins/Bugzilla/BugzillaNoteAddin.cs,
	  Tomboy/Addins/Bugzilla/InsertBugAction.cs,
	  Tomboy/Addins/Bugzilla/Bugzilla.addin.xml,
	  Tomboy/Addins/Bugzilla/BugzillaPreferencesFactory.cs,
	  Tomboy/Addins/Bugzilla/Makefile.am,
	  Tomboy/Addins/Bugzilla/BugzillaLink.cs: New Bugzilla Addin created
	  in Tomboy/Addins/Bugzilla/ (formerly Tomboy/Plugins/Bugzilla.cs).
	* po/POTFILES.in: Moved translatable strings from
	  Tomboy/Plugins/Bugzilla.cs ->
	  Tomboy/Addins/Bugzilla/BugzillaPreferences.cs

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Removed references to "plugin" and "Plugin".  Don't
	  create the Tomboy/Plugins/Makefile anymore.
	* Tomboy.mdp: Don't build PluginManager.cs anymore since it's not used.
	* Tomboy/PluginManager.cs: Removing old PluginManager.cs.
	* Tomboy/Tomboy.cs: Removed the "--check-plugin-unloading" cmd-line
	  option for now.
	* Tomboy/AddinManager.cs: Only return addins in the GetAllAddins ()
	  call that have a category specified.  This allows us to leave the
	  category off of built-in addins (all the addins in Watchers.cs).
	* Tomboy/Watchers.cs: Changed the watcher plugins to be addins.
	* Tomboy/Tomboy.addin.xml: Added extension information for all the
	  built-in addins in Watchers.cs.
	* Tomboy/NoteManager.cs: Removed all PluginManager references.
	* Tomboy/Makefile.am: Don't build PluginManager.cs anymore.
	* data/tomboy-addins.pc.in: New file (used to be tomboy-plugins.pc.in).
	* data/Makefile.am: Build tomboy-addins.pc instead of
	  tomboy-plugins.pc.
	* data/tomboy-plugins.pc.in: Renamed to tomboy-addins.pc.in.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Added AddinPreferenceFactory.cs.
	* Tomboy/PreferencesDialog.cs: Changed to use the AddinManager instead
	  of the PluginManager.  Replaced the "Plugins" tab with a new
	  "Add-ins" tab.
	* Tomboy/ApplicationAddin.cs: Added an Initialized:bool property to
	  allow the addin manager to know whether to initialize again.
	* Tomboy/AddinPreferenceFactory.cs: New class to allow addins to
	  provide a preferences dialog.
	* Tomboy/Tomboy.cs: Pass in the AddinManager to the PreferencesDialog
	  instead of the old PluginManager.
	* Tomboy/AddinManager.cs: Added code to track app addins and note
	  addins so that they can be enabled and disabled at runtime and be
	  properly initialized and shut down.
	* Tomboy/Tomboy.addin.xml: Added a new extension point to allow addins
	  to provide preferences.
	* Tomboy/Addins/Backlinks/Backlinks.addin.xml: Set a category and
	  enable this addin by default.
	* Tomboy/Addins/Tasks/Tasks.addin.xml: Set a category and disable this
	  addin by default.
	* Tomboy/Addins/Tasks/TasksApplicationAddin.cs: Added code to signal
	  when this addin is initialized.
	* Tomboy/Makefile.am: Don't compile the Plugins directory anymore.  We
	  need to transition these over to addins ASAP.  Also added
	  AddinPreferenceFactory.cs.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Mono.Addins.Setup/AssemblyInfo.cs,
	  Mono.Addins.Setup/Mono.Addins.Setup/ConsoleAddinInstaller.cs,
	  Mono.Addins/Mono.Addins/IAddinInstaller.cs,
	  Mono.Addins/Mono.Addins/InstanceExtensionNode.cs,
	  Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs,
	  Mono.Addins.Gui/Mono.Addins.Gui/AddinInstaller.cs
	  Mono.Addins.Gui/Mono.Addins.Gui/AddinInstallerDialog.cs: Missed these
	  new files that are also part of the Mono.Addins 0.2 release.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup.ProgressMonitoring/ConsoleProgressMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup.ProgressMonitoring/ProgressStatusMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup.ProgressMonitoring/NullProgressMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/SetupService.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/IProgressMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/AddinInfo.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/AddinStore.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/SetupTool.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/AddinRepositoryEntry.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/RepositoryRegistry.cs,
	  Mono.Addins/Mono.Addins/AssemblyInfo.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Serialization/BinaryXmlReader.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/Addin.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/GettextCatalog.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ExtensionContext.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/IProgressStatus.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ExtensionNode.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/RuntimeAddin.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/TypeExtensionNode.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ConsoleProgressStatus.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/AddinInfo.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ExtensionTree.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/NodeAttributeAttribute.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/TreeNode.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/AddinRegistry.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/AddinManager.cs,
	  Mono.Addins/Mono.Addins/Makefile.am,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/NodeTypeAttribute.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/Extension.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/AddinDescription.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ExtensionNodeType.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ExtensionPoint.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ExtensionNodeDescription.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ObjectDescriptionCollection.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ConditionTypeDescription.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinUpdateData.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/DatabaseConfiguration.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/Util.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/SetupProcess.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinScanResult.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinDatabase.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/FileDatabase.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinHostIndex.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/ProcessProgressStatus.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinScanner.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.ErrorDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/NewSiteDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/ManageSitesDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinManagerWindow.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/Services.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinInstallDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/ErrorDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinManagerDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/AssemblyInfo.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/generated.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/gui.stetic,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs:
	  Upgraded the embedded Mono.Addins to Mono.Addins 0.2.

2007-07-10  Boyd Timothy <btimothy@gmail.com> 

	* Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup.ProgressMonitoring/ConsoleProgressMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup.ProgressMonitoring/ProgressStatusMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup.ProgressMonitoring/NullProgressMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/SetupService.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/IProgressMonitor.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/AddinInfo.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/AddinStore.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/SetupTool.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/AddinRepositoryEntry.cs,
	  Mono.Addins/Mono.Addins.Setup/Mono.Addins.Setup/RepositoryRegistry.cs,
	  Mono.Addins/Mono.Addins/AssemblyInfo.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Serialization/BinaryXmlReader.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/Addin.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/GettextCatalog.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ExtensionContext.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/IProgressStatus.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ExtensionNode.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/RuntimeAddin.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/TypeExtensionNode.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ConsoleProgressStatus.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/AddinInfo.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/ExtensionTree.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/NodeAttributeAttribute.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/TreeNode.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/AddinRegistry.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins/AddinManager.cs,
	  Mono.Addins/Mono.Addins/Makefile.am,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/NodeTypeAttribute.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/Extension.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/AddinDescription.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ExtensionNodeType.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ExtensionPoint.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ExtensionNodeDescription.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ObjectDescriptionCollection.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Description/ConditionTypeDescription.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinUpdateData.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/DatabaseConfiguration.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/Util.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/SetupProcess.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinScanResult.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinDatabase.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/FileDatabase.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinHostIndex.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/ProcessProgressStatus.cs,
	  Mono.Addins/Mono.Addins/Mono.Addins.Database/AddinScanner.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.ErrorDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/NewSiteDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/ManageSitesDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinManagerWindow.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/Services.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinInstallDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/ErrorDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/Mono.Addins.Gui/AddinManagerDialog.cs,
	  Mono.Addins/Mono.Addins.Gui/AssemblyInfo.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/generated.cs,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/gui.stetic,
	  Mono.Addins/Mono.Addins.Gui/gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs:
	  Upgraded the embedded Mono.Addins to Mono.Addins 0.2.

2007-07-07  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs: Unless note is created using the "Link"
	  button, select title when create new notes (instead of content). 
	  Fixes bug #449478 (patch from Yonatan Oren).

2007-07-04  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tomboy.cs: (From tomboy-sync) --open-note command line option
	  now accepts a file path as an argument.  It will attempt to create
	  a new note using the specified file as the note XML.  This works
	  great in conjunction with Giver.
	* Tomboy/RemoteControl.cs: (From tomboy-sync) Added
	  SetNoteContentsCompleteXml as an interface to
	  Note.LoadForeignNoteXml.
	* Tomboy/Note.cs: (From tomboy-sync) Applying John Carr's XmlContent
	  patch from bug #440562.  Adding or removing tags should now cause a
	  note to be saved.  Added Note.LoadForeignNoteXml method to reload
	  note data from a foreign XML source.  Added
	  NoteArchiver.GetRenamedNoteXml and NoteArchiver.GetTitleFromNoteXml
	  to assist with renaming directly on in the note's XML.

2007-07-03  Boyd Timothy <btimothy@gmail.com> 

	* MAINTAINERS: Added Sandy to the list.

2007-07-03  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Adding in the Mono.Addins code to the project right now
	  so it's easier to hack up a patch for having installed addins that
	  are disabled by default.

2007-07-03  Boyd Timothy <btimothy@gmail.com>

        * configure.in, Makefile.include, Tomboy/Makefile.am,
	  Tomboy/tomboy.in, Makefile.am, po/POTFILES.in,
	  Tomboy/Mono.Addins: Changed the location of Mono.Addins
	  to the root of the project.  Doing this to keep in sync with
	  the tomboy-sync branch, where this was done have shorter
	  paths in the tarball.

2007-07-03  Boyd Timothy <btimothy@gmail.com>

        * configure.in: Added [tar-pax] as a AM_INIT_AUTOMAKE option so
          that make distcheck will work (deal with long path names when
          creating the tarball).
        * po/POTFILES.skip: Added data/GNOME_TomboyApplet.server.in so
          make distcheck will work.

2007-06-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Plugins/ExportToHTML.xsl: Change HTML export link/title colors
	  to match new note link/title colors.  Fixes bug #449597 (patch
	  courtesy of Stefan Schweizer).

2007-06-22  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/RecentChanges.cs: Removing unused Gtk.HPaned.

2007-06-17  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Addins/*, Tomboy/Mono.Addins/*: svn:ignore love.

2007-06-11  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Set the minimum width to 200
	  pixels and ellipsize the task summary.

2007-06-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: Added code to watch when a
	  newline is pressed so that a task/todo list can be continued or
	  ended depending on the previous line.
	* Tomboy/Addins/Tasks/TaskManager.cs: Commented-out code that throws an
	  exception when a task with the same name/summary is created (allow
	  duplicate tasks).

2007-06-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: Delete the task when the user
	  uses the backspace key to remove an entire todo line character by
	  character.  Not working yet to highlight a bunch of lines and
	  remove multiple todo items.

2007-06-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Utils.cs: Added a show_time:bool argument to Changed
	  GetPrettyPrintDate that allows a pretty print date to optionally
	  show the time.
	* Tomboy/RecentChanges.cs: Update GuiUtils.GetPrettyPrintDate () call
	  to pass in true to show the time.
	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: Fix possible null reference
	  problem when applying task tag.  Open the TaskOptionsDialog in the
	  center of the NoteWindow.
	* Tomboy/Addins/Tasks/TaskListWindow.cs: Show the time in the completed
	  date column.  Don't show the time in the due date column.  Center
	  the TaskOptionsDialog in the center of the TaskListWindow when
	  opening options.  Prevent possible null reference exception in
	  CompareTasks ().
	* Tomboy/Addins/Tasks/TaskOptionsDialog.cs: Added summary entry and
	  completed check button.  Add Cancel/Save buttons.
	* Tomboy/Addins/Tasks/CellRendererDate.cs,
	  Tomboy/Addins/Tasks/DateButton.cs: Added the option to not show the
	  time.

2007-06-07  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Add column sorting by allowing
	  the user to click on the column headings.

2007-06-06  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Select the row that was
	  right-clicked on before popping up the context menu.
	* Tomboy/Addins/Tasks/TasksUIManagerLayout.xml: Rearrange the order of
	  the context menu items.

2007-06-06  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Change the sensitivity of the
	  OpenOriginNoteAction at selection change.
	* Tomboy/Addins/Tasks/TasksUIManagerLayout.xml: Place the
	  OpenOriginNote menuitem in the File menu.

2007-06-06  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Make the note icon smaller
	  (8px).  Added code to open the origin note (exposed in the
	  right-click menu).
	* Tomboy/Addins/Tasks/TasksUIManagerLayout.xml: Add an "Open Origin
	  Note" menu item in the context menu.

2007-06-06  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/TaskListWindow.cs: Add an OriginNote column that
	  shows a note icon next to tasks created originally inside of a
	  note.
	* Tomboy/Addins/Tasks/TaskData.cs: Set the default priority for
	  newly-created tasks to TaskPriority.None.
	* Tomboy/Addins/Tasks/TaskTag.cs: Fix strikethrough so that it is off
	  for incomplete tasks.
	* Tomboy/Addins/Tasks/Task.cs: Add code to cleanup references to
	  non-existing notes.

2007-06-06  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Removed old reference to Tomboy/Plugins/Backlinks.cs. 
	  Added Tomboy/Addins/Tasks/TasksNoteAddin.cs.
	* Tomboy/AddinManager.cs: Surround initializing and adding the
	  NoteAddins with try/catch.
	* Tomboy/Addins/Tasks/TasksNoteAddin.cs: New NoteAddin to watch when
	  users type new tasks inline in a note.
	* Tomboy/Addins/Tasks/TaskArchiver.cs, Tomboy/Addins/Tasks/TaskData.cs,
	  Tomboy/Addins/Tasks/Task.cs: Added OriginNoteUri so a task can be
	  associated with the note it was created in.
	* Tomboy/Addins/Tasks/TaskListWindow.cs: Use the static events from
	  TaskManager.
	* Tomboy/Addins/Tasks/TaskManager.cs: Queue a save on a newly created
	  task.  Convert the task events to static so that other classes can
	  register for them before TaskManager may be fully initialized.
	* Tomboy/Addins/Tasks/TaskTag.cs: Don't allow this tag to be activated
	  anymore (use right-click instead).  Allow the status to be updated.
	   Stubbed-out checkbox pixbuf (commented-out).
	* Tomboy/Addins/Tasks/TaskOptionsDialog.cs: Expose the Task object as a
	  property.
	* Tomboy/Addins/Tasks/Tasks.addin.xml: Add TasksNoteAddin and fix
	  reference to TasksApplicationAddin.
	* Tomboy/Addins/Tasks/Makefile.am: Add TasksNoteAddin.cs.
	* Tomboy/Addins/Tasks/TasksApplicationAddin.cs: Rename TasksAddin ->
	  TasksApplicationAddin.
	* Tomboy/NoteBuffer.cs: Added a GetDynamicTag to allow addins to get
	  DynamicNoteTag instances based off a Gtk.TextIter.
	* Tomboy/NoteManager.cs: Initialize NoteAddins before NotePlugins.

2007-06-05  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Addins/Tasks/Tasks.dll: Oops.  Removing this file since it
	  never should have been committed.
	* Tomboy/Addins/Tasks/TasksApplicationAddin.cs: Add a "Tools" menu to
	  the Search All Notes window where users can launch the To Do List
	  window.
	* data/UIManagerLayout.xml: Added a <placeholder> element into the Main
	  Window's UI definition so that addins can add new menu items (such
	  as "Tools") before the Help menu.

2007-06-05  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Added Tomboy/Addins/Tasks/Makefile.
	* Tomboy.mdp: Added Tomboy/Addins/Tasks/*.cs.
	* Tomboy/Addins/Tasks/*: New Tasks Addin (not
	  fully implemented yet ... there's no NoteAddin for it yet).
	* Tomboy/Addins/Makefile.am: Added Tasks to SUBDIRS.

2007-06-05  Boyd Timothy <btimothy@gmail.com> 

	Adding in initial support for Tomboy Addins (via Mono.Addins framework):
	
	* configure.in: Generate Makefiles for Mono.Addins and the new
	  Backlinks addin.
	* Tomboy.mdp: Adding Tomboy/AbstractAddin.cs,
	  Tomboy/ApplicationAddin.cs,Tomboy/NoteAddin.cs,
	  Tomboy/AddinManager.cs, Tomboy/Addins/Backlinks/*.cs.
	* Makefile.include: New file with variables that any Makefile.am can
	  use as a convenience.
	* Tomboy/Plugins/TaskArchiver.cs, Tomboy/Plugins/TaskListWindow.cs,
	  Tomboy/Plugins/TaskData.cs, Tomboy/Plugins/TaskManager.cs,
	  Tomboy/Plugins/TaskOptionsDialog.cs, Tomboy/Plugins/TaskTag.cs,
	  Tomboy/Plugins/Task.cs, Tomboy/Plugins/CellRendererDate.cs,
	  Tomboy/Plugins/TasksPlugin.cs,
	  Tomboy/Plugins/TasksUIManagerLayout.xml,
	  Tomboy/Plugins/DateButton.cs: Removing the Tasks Plugin temporarily
	  (in the process of converting it to a Tomboy Addin).
	* Tomboy/Plugins/Backlinks.cs: Converted this into a Tomboy.NoteAddin.
	* Tomboy/Plugins/Makefile.am: Use Makefile.include.  Removed the
	  Backlinks and Tasks Plugins (converting them to Addins).
	* Tomboy/ApplicationAddin.cs, Tomboy/AddinManager.cs,
	  Tomboy/Tomboy.addin.xml, Tomboy/Addins/Makefile.am,
	  Tomboy/AbstractAddin.cs, Tomboy/NoteAddin.cs: Part of the new
	  Tomboy Addin (Mono.Addins).
	* Tomboy/Tomboy.cs: Call ApplicationAddin.Initialize () when Tomboy
	  starts up.
	* Tomboy/Defines.cs.in: Added SYS_ADDINS_DIR so system addins can be
	  loaded at runtime.
	* Tomboy/Addins/Backlinks/BacklinkMenuItem.cs,
	  Tomboy/Addins/Backlinks/Makefile.am,
	  Tomboy/Addins/Backlinks/BacklinksNoteAddin.cs,
	  Tomboy/Addins/Backlinks/Backlinks.addin.xml: Part of the new
	  Backlinks Addin (used to be Tomboy/Plugins/Backlinks.cs).
	* Tomboy/NoteManager.cs: Initialize and call Tomboy.AddinManager at
	  startup and when new notes are loaded (just like happens with
	  PluginManager).
	* Tomboy/Makefile.am: Build Mono.Addins and also Addins.  Added
	  AbstractAddin.cs, AddinManager.cs, ApplicationAddin.cs, and
	  NoteAddin.cs.  Include Tomboy.addin.xml as a resource so
	  Mono.Addins will pick it up off of Tomboy.exe.
	* Tomboy/Mono.Addins/*: Mono.Addins copied from f-spot/trunk on 04 Jun 2007.
	* Tomboy/tomboy.in: Set a MONO_PATH so the Addin DLLs can be loaded
	  properly.
	* Makefile.am: Use Makefile.include.

2007-06-02  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteEditor.cs: Allow opening notes with keyboard in bullet
	  list.  Fixes part of bug #433244 (patch from Stefan Schweizer).

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/TaskArchiver.cs, Tomboy/Plugins/TaskListWindow.cs:
	  Adjust for TaskPriority.Undefined.
	* Tomboy/Plugins/TaskOptionsDialog.cs: Add in the priority and all the
	  goodies that go with it to allow the user to change a task's
	  priority.
	* Tomboy/Plugins/Task.cs: Add "Undefined" as another TaskPriority.
	* Tomboy/Plugins/DateButton.cs: Update the label when the date is set.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/CellRendererDate.cs: Position the text vertically so
	  it matches with the other columns in the TreeView.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/CellRendererDate.cs: Use the proper foreground color
	  when the cell is selected.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/Plugins/DateTimeChooserDialog.cs,
	  Tomboy/Plugins/Makefile.am: Remove DateTimeChooserDialog.cs since
	  it's not replaced with a Calendar popup.
	* Tomboy/Plugins/CellRendererDate.cs: Use a calendar popup window
	  instead of the DateTimeChooser.  Still need to figure out how to
	  get the calendar popup to appear directly below the currently
	  selected date.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/Plugins/Makefile.am: Added TaskOptionsDialog.cs
	  and DateButton.cs.
	* Tomboy/Plugins/TaskArchiver.cs: Load in details directly instead of
	  the <text> element surrounding it.
	* Tomboy/Plugins/TaskListWindow.cs: Use
	  Tomboy.GuiUtils.GetPrettyPrintDate ().  Also show the task options
	  when activated/opened.
	* Tomboy/Plugins/TaskOptionsDialog.cs: Initial/stub of little dialog to
	  allow the user to edit the details of a task.
	* Tomboy/Plugins/DateTimeChooserDialog.cs: Add more options to the
	  calendar display options.
	* Tomboy/Plugins/CellRendererDate.cs, Tomboy/RecentChanges.cs: Use
	  Tomboy.GuiUtils.GetPrettyPrintDate ().
	* Tomboy/Plugins/DateButton.cs: DateButton kindly donated by Banshee
	  (abock).  Modified it a little bit to deal directly with a
	  DateTime.
	* Tomboy/Utils.cs: Added GetPrettyPrintDate () so other classes can use
	  this.  Also made it deal with dates in the future.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/DateTimeChooserDialog.cs: Remove old comments.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/DateTimeChooser.cs: Use Gtk.Calendar instead.
	* Tomboy/Plugins/DateTimeChooserDialog.cs: Use Gtk.Calendar instead of
	  coming up with our own thing.
	* Tomboy/Plugins/CellRendererDate.cs: Added code to make the date
	  chooser use the existing value and also allow the user to cancel
	  selecting a new date without causing the date value to change.
	* Tomboy/Plugins/Makefile.am: Removed DateTimeChooser.cs since
	  Gtk.Calendar is exactly what we need.

2007-06-01  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/TaskListWindow.cs: Added Completion Date and Priority.
	   Also fixed the default size so the window will be a decent size.

2007-05-31  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/Plugins/Makefile.am: Added CellRendererDate.cs,
	  DateTimeChooser.cs, and DateTimeChooserDialog.cs.
	* Tomboy/Plugins/DateTimeChooser.cs: Stubbed out DateTimeChooser
	  widget.  This is just a placeholder for right now.
	* Tomboy/Plugins/TaskListWindow.cs: Add a DueDate column that uses a
	  CellRendererDate.
	* Tomboy/Plugins/DateTimeChooserDialog.cs: New dialog to display the
	  DateTimeChooser within a dialog.
	* Tomboy/Plugins/CellRendererDate.cs: New CellRenderer to display/edit
	  a DateTime inside of a TreeView.

2007-05-31  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/TaskListWindow.cs: Added code to create a new task
	  from this window and select it.

2007-05-31  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Added TaskListWindow.cs.
	* Tomboy/Plugins/TaskListWindow.cs: New Window to show the list of
	  tasks.
	* Tomboy/Plugins/TaskManager.cs: Added a public property to expose the
	  Tasks ListStore.  Also emit changes in the ListStore when a task is
	  renamed, saved, or status changes.
	* Tomboy/Plugins/TasksPlugin.cs: Add a "To Do List" to Tomboy's Icon
	  Menu.  Load the UIManager xml for the TaskListWindow actions.
	* Tomboy/Plugins/Makefile.am: Added TaskListWindow.cs.  Added
	  TasksUIManagerLayout.xml as a resource.
	* Tomboy/Plugins/TasksUIManagerLayout.xml: UIManager XML file for the
	  Task List Window.
	* Tomboy/RecentChanges.cs: Removed unused code which was giving
	  compiler warnings.

2007-05-31  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/Plugins/TaskArchiver.cs,
	  Tomboy/Plugins/checkbox-done.png, Tomboy/Plugins/TaskData.cs,
	  Tomboy/Plugins/TaskManager.cs, Tomboy/Plugins/TaskTag.cs,
	  Tomboy/Plugins/Task.cs, Tomboy/Plugins/TasksPlugin.cs,
	  Tomboy/Plugins/Makefile.am, Tomboy/Plugins/checkbox-todo.png: Added
	  Tomboy/Plugins/TasksPlugin.cs, Tomboy/Plugins/Task.cs,
	  Tomboy/Plugins/TaskManager.cs, Tomboy/Plugins/TaskData.cs,
	  Tomboy/Plugins/TaskArchiver.cs, Tomboy/Plugins/TaskTag.cs,
	  Tomboy/Plugins/checkbox-done.png, Tomboy/Plugins/checkbox-todo.png.
	
	  This is some initial work on the Tasks Plugin.  The TaskManager now
	  loads, is able to create/delete tasks.  No UI is built on top of
	  this yet.  That's the next step.

2007-05-30  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs: Added NoteDirectoryPath property.

2007-05-14  Boyd Timothy <btimothy@gmail.com>

	* configure.in: Bump version to 0.7.2.

2007-05-14  Boyd Timothy <btimothy@gmail.com>

	* data/images/Makefile.am: Fixed typos to properly uninstall the
	  tomboy-tag.png images.

2007-05-14  Boyd Timothy <btimothy@gmail.com> 

	* ChangeLog: Fixed whitespace on previous commits.
	* NEWS: Updated for 0.7.1.

2007-05-14  Boyd Timothy <btimothy@gmail.com>

	* NEWS: Update for 0.7.1.

2007-05-14  Boyd Timothy <btimothy@gmail.com>

	* Tomboy/PreferencesDialog.cs: Patch from Everaldo Canuto to
	  surround NoteSpellChecker with #if FIXED_GTKSPELL.  Fixes bug
	  #438145.
	* Tomboy/PluginManager.cs: Ditto.
	* Tomboy/Watchers.cs: Ditto.

2007-05-14  Boyd Timothy <btimothy@gmail.com>

	* configure.in: Patch from Everaldo Canuto to add support for
	  a po/LINGUAS file.  Fixes bug #409940.
	* po/LINGUAS: New file that allows translators to add a new language
	  without having to modify configure.in directly.

2007-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* www, www/index.html, www/default.css, www/img, www/img/intro.gif,
	  www/img/maildropdnd.png, www/img/windows-small.png,
	  www/img/galago-tomboy.png, www/img/bulletpoint.gif,
	  www/img/pinned-notes.png, www/img/tomboy.png,
	  www/img/applet-small.png, www/img/search-small.png: Deleting www/
	  directory from repository.  Tomboy website is now maintained in
	  GNOME SVN here:
	  svn.gnome.org/svn/gnomeweb-wml/trunk/www.gnome.org/projects/tomboy/
	  .

2007-05-12  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* README: Fix mailing list link in README file.  Will need to do this
	  again when we move to mail.gnome.org.

2007-05-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/Makefile.am: Added NoteEditor.cs.
	* Tomboy/NoteEditor.cs: This class was originally part of
	  NoteWindow.cs.
	* Tomboy/NoteWindow.cs: Removed the NoteEditor class and put it in its
	  own file.

2007-05-08  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp, Tomboy/Makefile.am: Added PreferencesDialog.cs.
	* Tomboy/PreferencesDialog.cs: New file for the PreferencesDialog
	  class.  This used to be inside the Preferences.cs file.  This
	  should help locate the class easier and make porting to other
	  platforms a little easier.
	* Tomboy/Preferences.cs: Removed the PreferencesDialog class and put it
	  in its own file.

2007-05-06  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Utils.cs: Fire ExitingEvent when receiving SaveYourself signal
	  from the GNOME session.  Mostly fixes bug #305118 (patch from
	  Stefan Schweizer).

2007-04-26  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteManager.cs, Tomboy/Preferences.cs, Tomboy/Note.cs,
	  data/tomboy.schemas.in: Make Tomboy remember open/closed state of
	  notes in between sessions.  The GConf pref to enable/disable this
	  feature (/apps/tomboy/enable_startup_notes) is not exposed in the
	  UI yet, but it defaults to enabled.  Fixes bug #305118 (patch from
	  Stefan Schweizer).

2007-04-26  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/Bugzilla.cs: Patch from Frederic Crozat to
	  create the custom images directory if it doesn't exist.
	  Fixes bug #430599.

2007-04-25  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/NoteWindow.cs: Use the tomboy-tag icon in the note toolbar.
	* data/images/Makefile.am: Added the tag icons for install/uninstall.

2007-04-25  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Note.cs: Unpin notes when they are deleted to keep the
	  menu_pinned_notes GConf entry clean.  Fixes bug #425619 (Patch from
	  Stefan Schweizer).

2007-04-24  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp: Removing references to gtk#/gnome# 2.10 assemblies. 
	  Didn't mean to commit this.

2007-04-24  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Plugins/FixedWidth.cs, Tomboy/Plugins/GalagoPresence.cs,
	  Tomboy/Plugins/Backlinks.cs, Tomboy/Plugins/Evolution.cs,
	  Tomboy/Plugins/PrintNotes.cs, Tomboy/Plugins/StickyNoteImport.cs,
	  Tomboy/Plugins/Bugzilla.cs, Tomboy/Plugins/ExportToHTML.cs,
	  Tomboy/Plugins/NoteOfTheDay.cs, Tomboy/Tomboy.cs,
	  Tomboy/Defines.cs.in: Replacing references to Tomboy website with a
	  new constant: Defines.TOMBOY_WEBSITE.  Fixes bug #432844.

2007-04-24  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tomboy.cs: Remove mention of donations in the About dialog.  Fixes bug #432843.

2007-04-24  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/NoteWindow.cs: Set default font to GNOME document font instead
	  of default Pango font.  Fixes bug #409939 (patch from Andrew
	  Fister).

2007-04-23  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Bump version to 0.7.1.

2007-04-23  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Update for 0.7.0.

2007-04-23  Boyd Timothy <btimothy@gmail.com> 

	* NEWS: Removed debug line that spit out when new tags are added from
	  notes.

2007-04-23  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tray.cs: Fixed spacing.

2007-04-23  Boyd Timothy <btimothy@gmail.com> 

	* configure.in: Don't automatically check for the dbus service
	  directory.  Instead, allow packagers to set
	  --with-dbus-service-dir=DIR.  This allows "make distcheck" to work
	  much easier since it won't attempt to install any files outside of
	  prefix.

2007-04-23  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Tray.cs, data/UIManagerLayout.xml: Keep static menu items in
	  predictable locations closest to tray icon.  Initial crack at
	  fixing bug #431839.  Current heuristic for determining which way
	  (up or down) the menu will open could use some work.

2007-04-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/WrapBox.cs: Applied modified patch from Stefan Schweizer to
	  delete the TextChildAnchors inside Remove ().  Added a Dictionary
	  to track the TextChildAnchors so this is an O(1) operation.

2007-04-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Note.cs: Make sure every note has a create and changed date
	  set.  If loading an existing note and they're not set already, use
	  the creation and last write times.  This fixes a problem of someone
	  copying a set of tomboy notes to a newer computer and seeing the
	  last modified date being set to the last modified date of the file.

2007-04-20  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Plugins/NoteOfTheDay.cs: Reverting to previous version now
	  that tagging has landed on trunk.

2007-04-20  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy.mdp: Added references to TagManager.cs, Tag.cs, TagButton.cs
	  and WrapBox.cs.
	* Tomboy/PluginManager.cs: Add NoteTagsWatcher (from Watchers.cs) to
	  the list of built-in plugins.
	* Tomboy/TagManager.cs: Static class to provide access to tags
	  throughout the application.
	* Tomboy/RecentChanges.cs: Added a rudimentary TreeView to the
	  left-hand side of the window to show tags with checkboxes which
	  filters the list by tags.
	* Tomboy/Tag.cs: New class to represent a tag.
	* Tomboy/Watchers.cs: Added NoteTagsWatcher (NotePlugin) whose main job
	  is to remove tags from the TagManager when no more notes are tagged
	  with the tag.
	* Tomboy/WrapBox.cs: Code from Alp
	  (http://svn.ndesk.org/ndesk/Parts/WrapBox.cs) that provides a
	  container that will wrap widgets.  This is used in NoteTagBar in
	  the NoteWindow.
	* Tomboy/NoteWindow.cs: Added NoteTagBar which allows users to
	  add/remove tags to their notes.  Need to change the tag icon in the
	  toolbar.
	* Tomboy/Makefile.am: Include TagManager.cs, Tag.cs, TagButton.cs and
	  WrapBox.cs.
	* Tomboy/Note.cs: Read and write tags in the archiver.  AddTag () and
	  RemoveTag () added on Note.  Each note keeps track of which tags is
	  is tagged with.  TagAdded, TagRemoving, and TagRemoved events added
	  to Note.
	* Tomboy/TagButton.cs: Button used in the NoteTagBar to allow a user to
	  remove an existing tag from a note.

2007-04-20  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy/Plugins/NoteOfTheDay.cs: Removing references to uncommitted
	  tagging code.  When tagging patch lands on trunk, this should be
	  restored to the previous version.

2007-04-19  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Plugins/NoteOfTheDay.cs: Added a settings dialog with
	  a button so the user can easily open/create the Today:
	  Template note.  This addresses part of the issue mentioned
	  in bug #387580.

2007-04-19  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Preferences.cs: Keep track of plugin setting dialogs in a
	  Dictionary so that they don't have to be modal dialogs.

2007-04-17  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Watchers.cs: Fix title replace debug log message to use the
	  right parameters.

2007-04-16  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* extra/epiphany-extension/maketomboynote.py: Added Tomboy icon to menu
	  entry with a hard-coded path.  If note with site title already
	  exists, open note but do not modify.

2007-04-15  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* extra, extra/epiphany-extension,
	  extra/epiphany-extension/maketomboynote.py,
	  extra/epiphany-extension/maketomboynote.ephy-extension: Initial
	  import of basic Epiphany extension.

2007-04-10  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	reviewed by: Sanford Armstrong

	* Tomboy/NoteTag.cs:

	Change colors to match the Tango palette. Fixes bug #411909.

2007-04-09  Boyd Timothy <btimothy@gmail.com> 

	* Tomboy/Makefile.am: Changed EXTRA_DIST so it always includes the
	  internal dbus-sharp *.cs files.  Fixes bug #427933.

2007-03-20  Boyd Timothy <btimothy@gmail.com> 

	Fixes bug #418567.
	
	* Tomboy/PluginManager.cs: Removed code to update/copy the
	  DefaultPlugins.desktop file from Tomboy.exe into place.
	* Tomboy/Makefile.am: Removed DefaultPlugins.desktop from being
	  included as a resource.
	* data/DefaultPlugins.desktop.in.in: This file is no longer needed.
	* data/Makefile.am: Removed DefaultPlugins.desktop.in.
	* po/POTFILES.in: Removed data/DefaultPlugins.desktop.in.in.

2007-03-20  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp, Makefile.am: Adding `make run` support for running
	  uninstalled Tomboy.

2007-03-12  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Tray.cs: Reverse the order of the if/else statement to check
	note.IsPinned first.  Fixes bug #417590.

2007-03-12  Boyd Timothy  <btimothy@gmail.com>

	* data/tomboy.desktop.in: Changed category from "Application" to
	GNOME;GTK; as directed by
	http://live.gnome.org/GnomeGoals/ApplicationCategory.  Fixes bug
	#417364.

2007-03-12  David Trowbridge  <trowbrds@gmail.com>

	* Tomboy/Plugins/Bugzilla.cs:
	  - More code cleanup.

2007-03-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* data/GNOME_TomboyApplet.xml, Tomboy/Applet.cs, Tomboy/NoteWindow.cs:
	  Removing "Open Plugins Folder" menu items from everywhere except
	  for Preferences dialog.  Fixes bug #414326.

2007-03-11  David Trowbridge  <trowbrds@gmail.com>

	* Tomboy/Plugins/Bugzilla.cs:
	  - Pretty up the main settings window.

2007-03-11  David Trowbridge  <trowbrds@gmail.com>

	* Tomboy/Plugins/Bugzilla.cs:
	  - Fix whitespace issues that were making me sad.

2007-03-11  Sandy Armstrong <sanfordarmstrong@gmail.com> 

	* Tomboy.mdp, Tomboy.mds: Adding extremely basic MonoDevelop solution. 
	  Probably requires version 0.13 or greater.

2007-03-05  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.7.0 (new development is open again
	in trunk).

2007-03-05  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Fix typo of calling 0.6.0, 0.5.10.

2007-03-05  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.6.0 (stable release).

	* NEWS: Update for 0.6.0.

2007-03-05  Sandy Armstrong  <sanfordarmstrong@gmail.com

	* Tomboy/PluginManager.cs: When attaching plugins to notes, be sure to
	iterate through a copy of the list of notes, as notes may be added or
	removed to the list by the plugins that are being instantiated.  Fixes
	bug #414957.

2007-03-05  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Preferences.cs: Patch from Sanford Armstrong to make the plugins
	Settings button be insensitive by default and prevent null reference crash.
	Fixes bug #414933.
	
2007-03-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteWindow.cs: Respect Emacs keybindings for Ctrl-W and Ctrl-N.
	Fixes bug #412402.
	
2007-03-01  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteWindow.cs: Use RadioMenuItem.Activated instead of the Toggled
	event.  This makes it so that even if "Normal" or another font size is
	already selected, a large selection of text (with multiple sizes) can be
	sized to the selected font.  Fixes bug #412404.
	
2007-03-01  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/StickyNoteImport.cs: Use the Defines.VERSION string since
	this is a built-in/official plugin.
	
2007-03-01  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Cleaned up the check for ndesk-dbus-1.0 by not using an
	else statement.  Additional cleanup fix for bug #405577.
	
2007-03-01  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Watchers.cs: Added a comment in the code about why the previous
	change is needed (bug #413234).
	
2007-02-28  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Watchers.cs: Don't check for link == this.Note.  Fixes bug
	#413234.
	
2007-02-28  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteManager: Use Note.QueueSave () instead of Note.Save () when
	creating the start notes so they both get saved.  Fixes bug #413230.
	
2007-02-26  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.10.
	
2007-02-26  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.9.
	
2007-02-26  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in: Bump minimum required gtk-sharp2 to 2.6.0.  From bug
	#412130.

2007-02-26  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteWindow.cs: Deal with multiple uris dropped from nautilus by
	making sure multiple <link:uri> tags are used.  Fixes bug #412355.
	
2007-02-26  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* configure.in: Bump minimum required gtk/gdk to 2.6.0.  From bug #412130.
	* libtomboy/tomboyutil.c: Remove #ifdef that is obsolete since gtk/gdk
	>=2.6.0 is now required.

2007-02-26  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Plugins/Evolution.cs: Pay attention to the x and y position where
	the user drag and drops links so the cursor position can be adjusted before
	inserting the link.  Fixes bug #330964.

	* Tomboy/Plugins/Bugzilla.cs: Ditto.

	* Tomboy/NoteWindow.cs: Ditto.
	
2007-02-26  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* Tomboy/RecentChanges.cs:
	* Tomboy/XKeybinder.cs:

	Search dialog should open in foreground if it's invoked
	from a keybinding. Fixes bug #411924, patch by Sanford
	Armstrong.

2007-02-25  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	Fixes for bug 410314:
	* Tomboy/Plugins/FixedWidth.cs: Set author to OFFICIAL_AUTHOR, website
	to official Tomboy website.
	* Tomboy/Plugins/GalagoPresence.cs: Ditto.
	* Tomboy/Plugins/Backlinks.cs: Ditto.
	* Tomboy/Plugins/Evolution.cs: Ditto.
	* Tomboy/Plugins/PrintNotes.cs: Ditto.
	* Tomboy/Plugins/StickyNoteImport.cs: Ditto.
	* Tomboy/Plugins/Bugzilla.cs: Ditto.
	* Tomboy/Plugins/ExportToHTML.cs: Ditto.
	* Tomboy/Plugins/NoteOfTheDay.cs: Ditto.
	* Tomboy/PluginManager.cs: Added OFFICIAL_AUTHOR constant for use by
	plugins maintained by Tomboy project.
	* Tomboy/Tomboy.cs: Updated website to gnome.org URL.

2007-02-25  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* Tomboy/Preferences.cs:
	* data/tomboy.schemas.in:

	Default font settings should not enable the 'use custom
	font' checkbox. Fixes bug #358974.

2007-02-24 Chris Scobell <chris@thescobells.com>
	* Tomboy/Utils.cs: Check for > 0 SelectionData Length before
	proceding to process the drag-and-drop data. This prevents a crash
	when dragging an email with a blank subject from evolution. Fixes
	bug #408859.
	
	* Tomboy/Plugins/Evolution.cs: Ditto.
	
	* Tomboy/Plugins/Bugzilla.cs: Ditto.
	
2007-02-20  Boyd Timothy  <btimothy@gmail.com>

	* data/tomboy.schemas.in: Remove NoteOfTheDayPlugin from the default
	enabled plugins since this is an advanced feature of Tomboy that has
	confused many.
	
	* Tomboy/Preferences.cs: Ditto.

2007-02-15  Alp Toker  <alp@atoker.com>

	* configure.in: Correct the non-detected D-Bus service file prefix.

2007-02-13  Yair Hershkovitz  <yairhr@gmail.com>

	* configure.in: Added "he" to ALL_LINGUAS

2007-02-13  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/StickyNoteImport.cs: Reapply fix for bug #404739.

2007-02-12  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.9.

2007-02-12  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.8.

2007-02-12  Chris Scobell <chris@thescobells.com>

	* Tomboy/Undo.cs: When creating an InsertAction from a InsertText
	event use the Length property of the text as the length given by the
	InsertText event appears to be the length of the text in bytes not
	characters, which breaks undo/redo for languages which have their
	characters encoded in more than 1 byte. Fixes bug #407205.

2007-02-12  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Fixed --enable-dbus=no configure error.  Previous patch
	for bug #405577 did not account for building without dbus support.

2007-02-12  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/RemoteControlProxy.cs: Patch from Sebastian Dröge to reorder
	registration and name requesting of the dbus object.  Fixes bug #406224.

2007-02-12  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.8.

2007-02-12  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.7.

2007-02-09  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/StickyNoteImport.cs: Remove fix for bug #404739.  Not a
	complete revert; still check for null on Shutdown, and kept
	sticky_xml_path as a static member (no need to construct for each
	instance).

2007-02-09  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteTag.cs: Use "new" instead of "override" for TagChanged event
	so that Tomboy will build in newer versions of gtk-sharp (Sebastian Dröge).

2007-02-09  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/StickyNoteImport.cs : When first plugin instance is
	initialized, check for existence of Sticky Notes XML file.  If file does
	not exist, never add "Import Sticky Notes" menu item for rest of Tomboy
	instance lifetime.  Fixes bug #404739.

2007-02-09 Chris Scobell <chris@thescobells.com>
	
	Fixes for bug #405603:

	* NoteBuffer.cs: Change the signature of FindDepthTag so that it no longer
	unnecessarily requires the TextIter to be passed by reference. When 
	inserting text at the start of a bulleted line change the direction of 
	the bullet to match	the writing direction of the text. Add an event 
	handler	for the DeleteRange event which changes the direction of a 
	bulleted line to match the new first character after the previous one is
	deleted. When a new line is added in the middle of a bulleted line make
	sure that the new bulleted inserted at the start of the new line is the 
	same direction as the first character on that line. Add a "direction" 
	parameter to InsertBullet so that it can use the DepthNoteTag of the 
	correct writing direction. Add a ToggleSelectionBullets method which 
	toggles bullets on or off in the selection.
	
	* NoteWindow.cs: Remove ugly toggle bullets hack.
	
	* NoteTag.cs: Add a "Direction" property to specify the writing direction that
	the tag is for. Add a "rtl" attribute to the DepthNoteTag serialized XML.
	When creating a new DepthNoteTag set either the LeftMargin for a LTR direction
	or the RightMargin for a RTL direction.
	
	* Undo.cs: Store the writing direction for an InsertBulletAction so that the 
	InsertBullet can be redone using the correct direction.
	
	* Plugins/ExportToHTML.xsl: Output the "dir" attribute on list-items.

2007-02-08  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/dbus-sharp/*: Updated dbus-sharp and dbus-sharp-glib to 0.4.0 and
	0.3.0 respectively; number of fixes and performance improvements including
	a fix for surviving a session bus restart (bug #404738).

2007-02-08  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Patch from Sebastian Dröge to check for ndesk-dbus being
	installed in the GAC.  Fixes bug #405577.
	
	* Tomboy/Makefile.am: Don't compile tomboy's copy of dbus-sharp if
	ndesk-dbus is already installed, but use the installed version.

2007-02-05  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/dbus-sharp/dbus-sharp-glib/glib/GLib.cs: Copied similar code from
	f-spot (submitted by alp/dbus-sharp owner) to fix a crash caused by the
	dbus session restarting.  Fixes bug #404738.
	* Tomboy/dbus-sharp/dbus-sharp-glib/glib/GLib.IO.cs: Ditto.

2007-02-05  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.7.

2007-02-05  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.6.

2007-02-05  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Tray.cs: Only pad the icon when running as the panel applet.
	Additional fix for bug #403500.

2007-02-03  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteManager.cs: Patch from Tommi Asiala to add a sentence about
	autosave in the start note.

2007-02-03  Boyd Timothy  <btimothy@gmail.com>

	* AUTHORS: Add Chris.
	
	* Tomboy/Tomboy.cs: Add Chris to the about dialog authors.

2007-02-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Tray.cs: Don't scale small non-SVG icons in the panel or tray.
	Fixes bug #403500.

2007-02-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Rename "NotD" -> "Today" so it's easier
	to learn what the purpose of the Note of the Day plugin is for.

2007-02-02  Boyd Timothy  <btimothy@gmail.com>

	Patch from Mathias Hasselmann to fix bug #387579.

	* configure.in: Set up a custom INTLTOOL_UPDATE script to make xgettext
	PluginInfo aware.
	
	* pot-update.in: New file (this is the script).
	
	* Tomboy/PluginManager.cs: Add code to call Catalog.GetString for name
	and description.
	
	* Tomboy/Plugins/Backlinks.cs: Updated PluginInfo syntax so it's
	localizable.
	* Tomboy/Plugins/Bugzilla.cs: Ditto.
	* Tomboy/Plugins/StickyNotesImport.cs: Ditto.
	
	* Tomboy/Plugins/Evolution.cs: Added initial plugin name and description.
	* Tomboy/Plugins/ExportToHTML.cs: Ditto.
	* Tomboy/Plugins/FixedWidth.cs: Ditto.
	* Tomboy/Plugins/GalagoPresence.cs: Ditto.
	* Tomboy/Plugins/NoteOfTheDay.cs: Ditto.
	* Tomboy/Plugins/PrintNotes.cs: Ditto.

2007-02-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Patch from Chris Scobell to fix bug #403745. Fix
	problem where upon deserialization bullets can get formatting tags due to
	the order is which tags are applied.  In the OnTagApplied handler remove
	any existing tags if the tag being applied is a DepthNoteTag.

2007-02-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Patch from Chris Scobell to fix bug #403408.  Add
	a method 'CanMakeBulletedList' which returns true if the cursor is at a
	line that can be made into a bulleted list (i.e., anything but the first
	line which has the title). Add checks to IncreaseDepth, DecreaseDepth and
	AddNewLine which use this method to determine if they should apply bullet
	operations.
	
	* Tomboy/NoteWindow.cs: In RefreshState make the bulleted list toggle
	formatting menu item senstive only if CanMakeBulletedList returns true.

2007-02-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Patch from Chris Scobell to fix bug #403033.  Fix
	bug where an empty list item was being serialized as: "<list-item/> rather
	than as "<list-item></list-item>" by using WriteFullEndElement instead of
	WriteEndElement. Fix bug where if the last line in a note was part of a
	bulleted list it would be incorrectly identified as having a following
	line with a depth.

2007-02-01  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Applet.cs: Use the ShowPreferencesAction to show the preferences
	dialog.  Fixes bug #403290.
	
	* Tomboy/Tomboy.cs: Handle opening the preferences dialog here so that both
	the panel applet and notification area icon use this via ActionManager.
	Also fixed OnShowHelpAction to prevent Tomboy from crashing when the user
	accesses the help from the search window menu in panel applet mode.
	
	* Tomboy/Tray.cs: Removed PreferencesDialog handling here (moved to
	Tomboy.cs).

2007-02-01  Boyd Timothy  <btimothy@gmail.com>

	* libtomboy/gedit-print.c: Patch from Changwoo Ryu to add
	xgettext:no-c-format to the line before "%A %x, %X" so translations
	can be properly made for this string.  Fixes bug #356448.

2007-01-31  Boyd Timothy  <btimothy@gmail.com>

	Patch from Chris Scobell to fix bug #403026:
	
	* Tomboy/NoteBuffer.cs: Hook up a handler to the TagChanged signal on
	the NoteBuffer which removes formatting tags from any bullets in the
	selection. Modify the IsActiveTag and ToggleActiveTag methods so that
	they ignore the bullet character and look at the first character in the
	list item instead.
	
	* Tomboy/NoteTag.cs: Remove the tag properties on the DepthNoteTags
	that were previously used to override formatting tags. Give the
	DepthNoteTags an explicit point size and tweak the indent so that
	wrapped lines line up better.

2007-01-31  Boyd Timothy  <btimothy@gmail.com>

	The following files fix bug #378400 by allowing the search window to
	update when notes are saved.
	
	* Tomboy/Note.cs: Add a Saved event.
	
	* Tomboy/NoteManager.cs: Watch Note.Saved event.  Add NoteSaved
	event.
	
	* Tomboy/RecentChanges.cs: Watch NoteManager.NoteSaved event.  Update
	list of notes when a NoteSaved event occurs.  Save the current selection
	when rebuilding the list of notes.

2007-01-30  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Tray.cs: Take into account which direction the panel is
	oriented (horizontally/vertically) and add a little padding around
	the tray/panel icon.  Additional fix for bug #354416.

2007-01-30  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Patch from Chris Scobell to adjust the
	increase/decrease code to account for all lines that are highlighted
	when increase/decrease are pressed.  Fixes bug #402338.

2007-01-29  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.6.

2007-01-29  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.5.

2007-01-29  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/dbus-sharp/dbus-sharp/src/BusObject.cs: Update DBusSharp to
	include bugfixes from dbus-sharp-0.3.1.
	* Tomboy/dbus-sharp/dbus-sharp/src/Connection.cs: Ditto.
	* Tomboy/dbus-sharp/dbus-sharp/src/DBus.cs: Ditto.
	* Tomboy/dbus-sharp/dbus-sharp/src/Introspection.cs: Ditto.
	* Tomboy/dbus-sharp/dbus-sharp/src/Signature.cs: Ditto.
	* Tomboy/dbus-sharp/dbus-sharp/src/UnixNativeTransport.cs: Ditto.

2007-01-29  Boyd Timothy  <btimothy@gmail.com>

	Patch from Chris Scobell to fix bugs #395100 and #402075:
	
	* Tomboy/NoteBuffer.cs: Change bullets so that the space after the
	bullet is treated as part of the bullet and the user is prevented from
	removing it.  Fix bug where tags continuing over the start of a new list
	were not being properly closed.  Fix bug caused be bugzilla plugin where
	the bug image got inserted before the bullet.  When serializing check that
	a tag is serializable before unwinding the other tags on the tag stack to
	prevent tags such as those from gtkspell from breaking up other tags.
	Fix bug where the start or end of tags would get lost because they started
	or ended inside the region which has the bullet character and the space
	after the bullet.
	
	* Tomboy/NoteTag.cs: Add weight, style and strikethrough properties to
	the depth note tags so that they are unaffected by the bold, italic and
	strikethough formatting operations.
	
	* Tomboy/NoteWindow.cs: Check the selection on mouse button press to
	prevent operations such as right click > cut from messing up the bullets
	in a note.

2007-01-23  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Rolling back changes for bulleted-list space
	character fix (reopened bug #395100).
	* Tomboy/NoteTag.cs: Ditto.
	* Tomboy/NoteWindow.cs: Ditto.

2007-01-23  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Util.cs: Ignore when SetProcessName fails by surrounding it with
	a try/catch.  It's not a necessity for running tomboy.  Fixes bug #399755.

2007-01-23  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Applied patch from Chris Scobell to prevent extra
	space character from being used inside bulleted lists (directly after the
	bullet character).  Fixes bug #395100.
	* Tomboy/NoteTag.cs: Ditto.
	* Tomboy/NoteWindow.cs: Ditto.

2007-01-22  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Undo.cs: Applied patch from Stefan Schweizer to prevent a
	crash when backspacing over an Evolution link in a note.  Fixes 
	bug #349183.

2007-01-22  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Applet.cs: Don't use the "ShowHelpAction" to display the help
	in this case because the handler expects to use the Gdk.Screen from the
	tray icon.  Fixes bug #399490.

2007-01-22  Boyd Timothy  <btimothy@gmail.com>

	* data/DefaultPlugins.desktop.in.in: Removed "Version" key from the
	file since it's not a required to be present and most .desktop files
	do not specify it
	(http://standards.freedesktop.org/desktop-entry-spec/latest/ar01s05.html).
	Fixes bug #399446.
	* data/tomboy.desktop.in: Ditto.

2007-01-22  Boyd Timothy  <btimothy@gmail.com>

	* data/Makefile.am: Removed comment about only installing the
	tomboy.desktop for KDE.  Since we now install this regardless, the
	comment no longer makes sense.

2007-01-22  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/PluginManager.cs: Check existing DefaultPlugins.desktop file
	and upgrade it if it doesn't contain the correct directory.  Fixes
	bug #399442.

2007-01-19  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.5.

2007-01-19  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.4.

2007-01-19  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Tomboy.cs: Use DBus to open the search window in the
	Tomboy instance that is already running inside RegisterRemoteControl ().
	This gives the user feedback that something occurs when they attempt
	to launch Tomboy again when it's already running.  Fixes bug #350707.
	Also added open_start_here to the TomboyCommandLine.NeedsExecute so
	"--start-here" will work.

2007-01-18  Boyd Timothy  <btimothy@gmail.com>
	
	* www/index.html: Redirect to the website's new home on GNOME
	(http://www.gnome.org/projects/tomboy).  The content is still in
	SVN, just inside the gnomeweb-wml project
	(gnomeweb-wml/trunk/www.gnome.org/projects/tomboy/).

2007-01-18  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/RecentChanges.cs: Changed current_matches to store the
	match count instead of an array list of matches (since the actual
	matches aren't used in this window).  Use Note.TextContent instead
	of Note.Buffer to prevent the note buffer from being loaded, which
	causes it to be "accessed/saved" without the user actually viewing
	the note.  Fixes bug #397717.
	
2007-01-18  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Tomboy.cs: Track when Tomboy runs as a panel applet so the
	QuitTomboyAction can be disabled.  Fixes Ctrl+Q crash in bug #397700.
	
2007-01-17  Boyd Timothy  <btimothy@gmail.com>
	
	* www/index.html: Changed references from CVS -> SVN.
	
2007-01-17  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/NoteWindow.cs: Added "bool scroll_to_hit" as a parameter to
	PerformSearch () so it can be called without scrolling the cursor to
	the first hit.  Modified Buffer.InsertText and Buffer.DeleteRange
	handlers to call PerformSearch (false) after a 500ms delay.  This
	updates the search as the user types and prevents note corruption.
	Fixes bug #397223.
	
2007-01-16  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Plugins/Evolution.cs: Applied patch from Stefan Schweizer to
	allow the Evolution Plugin to work with an Evolution exchange account.
	Fixes bug #397390.
	
2007-01-12  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Plugins/NoteOfTheDay.cs: Removed unused Gtk.CheckMenuItem
	variable.
	
2007-01-12  Boyd Timothy  <btimothy@gmail.com>
	
	The following files fix bug #315222 – Renaming Start Here breaks key
	bindings.
	
	* data/tomboy.schemas.in: Added /apps/tomboy/start_note.
	
	* Tomboy/Note.cs: Change Note.IsSpecial property to check the Note.Uri
	to determine whether it's special instead of checking it's title.
	
	* Tomboy/NoteManager.cs: Maintain a start_note_uri in GConf to keep
	track of which note should be deemed the "Start Here" note.  Set the
	URI in GConf when the Start Here note is first created.  Also looks for
	the existing Start Here note and sets the URI if it's blank (for
	existing Tomboy users).  Add a StartNoteUri property.
	
	* Tomboy/Preferences.cs: Added START_NOTE_URI preference.
	
	* Tomboy/RemoteControl.cs: Added FindStartHereNote so --start-here
	command-line option doesn't break.
	
	* Tomboy/Tomboy.cs: Updated the --start-here option to open the correct
	note.
	
	* Tomboy/Tray.cs: Paste to the start note specified in GConf.  Add the
	start note specified in GConf to the Tomboy's main menu.  Drag and drop
	text to the correct start note.
	
	* Tomboy/XKeybinder.cs: Bind to the "Start Here" keybinding to the
	start note specified in GConf.

2007-01-11  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Removed the "Create Note of the Day"
	menu item from the Tools menu since plugins are enabled/disabled from
	the configurable plugins UI in the preferences dialog.  If it's disabled
	there, the plugin won't run.  Fixes bug #383765.

2007-01-11  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Modified CheckNewDay so that it
	uses both the title_prefix and DateTime.Date (time set to 00:00:00)
	to check whether to create a new note.  Fixes bug #382190.

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/RemoteControl.cs: Added patch from John Stowers to allow
	DBus clients to retrieve the version of Tomboy (fixes bug #394501).

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteBuffer.cs: Applied patch from Chris Scobell to fix bug in
	serialization of lists that start with and item of depth greater than
	zero (bug #319221).

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Bump version to 0.5.4.

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* NEWS: Update for 0.5.3.
	* www/index.html: Ditto.

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Change of plans again.  Assume a root install.  Added
	--enable-dbus-service-dir-check and --enable-panelapplet-srvdir-check
	variables with defaults of "yes".  Non-root users will now be able
	to disable these checks and successfully run a "make install" without
	permission errors.

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/RemoteControl.cs: Patch from John Stowers (bug #393389)
	to improve DBus interface for note synchronization.
	
	* Tomboy/Note.cs: Make setting note.XmlContent work for open notes.

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* data/tomboy.1: Fixed typo "thir" -> "their" in man page documentation.
	Fixes bug #394167.

2007-01-08  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteManager.cs: Added additional instructions in the Start Here
	note to explain how to use Links in Tomboy.  This is primarily for brand
	new users of Tomboy.

2007-01-06  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/StickyNoteImport.cs: Added PluginInfo attribute.

2007-01-05  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteWindow.cs: Added a Control+N keybinding so a keyboard user
	can easily create a new note.

2007-01-05  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Do not have configure automatically detect the panel
	applet server directory (detection is now commented out).  Packagers will
	need to apply a patch to re-enable the detection.  This change allows
	"make install" to work without permission problems for non-root users.

2007-01-05  Boyd Timothy  <btimothy@gmail.com>

	* configure.in: Do not have configure automatically detect the DBus
	services directory (detection is now commented out).  Packagers will need
	to apply a patch to re-enable the detection.  This change allows
	"make install" to work without permission problems for non-root users.
	Fixes bug #379427.

2007-01-05  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/NoteManager.cs: Added environment variable TOMBOY_PLUGINS_PATH
	to safer plugin development (patch from Adam Lofts, bug #378650).

2007-01-04  Boyd Timothy  <btimothy@gmail.com>

	* help/C/tomboy.xml: Updated copyright for 2007.
	* NEWS: Ditto.
	* README: Ditto.
	* Tomboy/Tomboy.cs: Ditto.
	* www/index.html: Ditto.

2007-01-04  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/PluginManager.cs: Changed SystemException -> Exception to catch
	any exception that might occur when doing a Process.Start () to show the
	plugins directory (fixes crasher bug #351703).
	
2007-01-04  Boyd Timothy  <btimothy@gmail.com>

	* data/tomboy.schemas.in: Added /apps/tomboy/export_html/export_linked_all.
	
	* Tomboy/Plugins/ExportToHTML.cs: Added "Include all other linked notes"
	checkbox to the Export to HTML dialog (Fix for bug #351517).  Also includes
	code to fix bug #350977 by preventing recursive links from being evaluated.
	
	* Tomboy/Plugins/ExportToHTML.xsl: Prevent recursive links (bug #350977) by
	using an <xsl:key> to keep track of already processed note titles.  Allow
	exporting of recursive links (bug #351517).
	
	* Tomboy/Preferences.cs: Added /apps/tomboy/export_html/export_linked_all.
	
2007-01-02  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Logger.cs: Fixed compiler warning.  Removed unused exception
	variable.
	
	* Tomboy/Note.cs: Ditto.  Use a DateTime format when reading and writing
	dates in NoteArchiver.
	
	* Tomboy/NoteManager.cs: Ditto.  Removed unused exception variable.
	
	* Tomboy/NoteWindow.cs: Ditto.  Removed unused variable "encoded_words"
	from the NoteFindBar.
	
	* Tomboy/PluginManager.cs: Ditto.  Removed ambiguity between
	System.Collections.IEnumerable and
	System.Collections.Generic.IEnumerable<T>.
	
	* Tomboy/RemoteControl.cs: Ditto.  Removed unused exception variables.
	
	* Tomboy/Utils.cs: Ditto.
	
	* Tomboy/Watchers.cs: Ditto.
	
	* Tomboy/XKeybinder.cs: Ditto.
	
	* Tomboy/Plugins/Backlinks.cs: Ditto.  Removed unused CompareNoteTitles.
	
	* Tomboy/Plugins/ExportToHTML: Ditto.  Removed unused exception variables.
	
	* Tomboy/Plugins/NoteOfTheDay.cs: Ditto.

2007-01-02  Boyd Timothy  <btimothy@gmail.com>

	Applied patch from Mathias Hasselmann (Bug #383772) to prevent
	Gtk-WARNING messages when deleting notes.
	
	* Tomboy/Note.cs: Added HasBuffer and HasWindow properties.
	
	* Tomboy/PluginManager.cs: Added IsDisposing property to prevent problems
	returning the Buffer and Window when a plugin is being disposed.
	
	* Tomboy/Plugins/Evolution.cs: Check HasWindow during Shutdown.
	
	* Tomboy/Plugins/FixedWidth.cs: Check HasWindow in OnDestroyed.

2006-12-20  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/NoteBuffer.cs: Applied patch from Chris Scobell (Bug #319221)
	to prevent text from being inserted before a bullet by moving the cursor
	after the bullet.

2006-12-19  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/NoteBuffer.cs: Fix for bug #387452 by using escaped UTF-8
	characters for bullets instead of including them directly in the source
	code.

2006-12-18  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Tomboy.cs: Fix for bug #386010 by not assuming the next argument
	has a length greater than 0.  It could be "".  Also, moved the
	"--check-plugin-unloading" option to be printed out in the usage as the
	last option.

2006-12-18  Boyd Timothy  <btimothy@gmail.com>
	
	* configure.in: Bump version to 0.5.3.

2006-12-18  Boyd Timothy  <btimothy@gmail.com>
	
	* NEWS: Update for 0.5.2.
	* www/index.html: Ditto.  Also added information about the latest
	stable release (0.4.1) to the page.

2006-12-18  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/NoteBuffer.cs: Applied patch from Chris Scobell (Bug #319221)
	to add bulleted list support.  Added code to watch newlines to determine
	whether they begin with "*" or "-" to start new bulleted lists.  Code
	also added to increase and decrease bulleted list depth (indent).
	* Tomboy/NoteTag.cs: Ditto.  Added DepthNoteTag.
	* Tomboy/NoteWindow.cs: Ditto.  Added accelerators to manipulate tab
	depth for bullted lists (Tab, Shift-Tab, Alt-RightArrow, Alt-LeftArrow).
	Create new bullted list by using "*" or "-" at beginning of line or by
	selecting "Bullets" from the "Text" menu.
	* Tomboy/Undo.cs: Ditto.  Added ChangeDepthAction and InsertBulletAction.
	* Tomboy/Plugins/ExportToHTML.xsl: Ditto.  Convert <list> tags to HTML
	during an export.

2006-12-14  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/Backlinks.cs: Open the note findbar with the original
	note's title filled in (so the link is highlighted).

2006-12-14  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/Backlinks.cs: Reverted back to an ArrayList since
	the List<T>.Sort () method isn't quite implemented completely on older
	versions of Mono.
	
2006-12-14  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Preferences.cs: Use "Settings" instead of "Preferences"
	in the Plugins pane, so it's less confusing with the dialog
	title.  Be anal about code formatting.  

2006-12-14  Boyd Timothy  <btimothy@gmail.com>

	DBusSharp released new tarballs today.  Upgrading to dbus-sharp-0.3 and
	dbus-sharp-0.2.
	
		* Improved support for multi-threaded use, FreeBSD support...
		* API change: The NameReply enum is now RequestNameReply to bring
		  it in line with the spec.

	* Tomboy/dbus-sharp/dbus-sharp/src/Address.cs, Authentication.cs,
	Bus.cs, BusObject.cs, Connection.cs, DBus.cs, DProxy.cs, Introspection.cs,
	Mapper.cs, Message.cs, MessageReader.cs, MessageWriter.cs, Protocol.cs,
	Signature.cs, SocketTransport.cs (new), Transport.cs,
	UnixNativeTransport.cs, UnixTransport.cs (new), Wrapper.cs.
	* Tomboy/dbus-sharp/dbus-sharp-glib/glib/GLib.cs
	
	* Tomboy/RemoteControlProxy.cs: Changed "NameReply" -> "RequestNameReply"
	since it changed in dbus-sharp.
	
2006-12-14  Boyd Timothy  <btimothy@gmail.com>

	The following files address bug #381357 by adding a Menubar to the
	Search All Notes window.  They also add in consumption of
	Gtk.UIManager and Gtk.Action(s).
	
	* data/Makefile.am: Include UIManagerLayout.xml in EXTRA_DIST.
	
	* data/UIManagerLayout.xml: The XML file needed for Gtk.UIManager.
	Includes entries for the Search All Notes menubar, a context menu
	for the Search All Notes window, and the TrayIcon menu.
	
	* Tomboy/ActionManager.cs: New file to manage Tomboy's consumption
	of Gtk.Action(s) and Gtk.UIManager.  Using the UIManager should
	allow plugins to tie in to Tomboy's UI more easily.
	
	* Tomboy/Applet.cs: Event handlers now activate the global actions
	in the ActionManager.
	
	* Tomboy/Makefile.am: Added ActionManager.cs as a source file.  Added
	UIManagerLayout.xml as a resource.
	
	* Tomboy/RecentChanges.cs: Added a menubar (uses the UIManager).
	Removed Close button.  Added right-click menu so users can open/delete
	a note from the TreeView with a context menu.
	
	* Tomboy/Tomboy.cs: Make "--search" work also for non-dbus.  Added about
	dialog (originally in Tray.cs).  Added code to verify that the tray icon
	gets added to the NotificationArea (when not running as a panel applet).
	If the tray icon doesn't appear, the Search All Notes window is opened
	automatically.  Set up global actions and action handlers that can be
	called anywhere in Tomboy via Tomboy.ActionManager ["<action name>"].
	Activate ();.
	
	* Tomboy/Tray.cs: Moved ShowAbout to Tomboy.cs.  Changed the popup menu
	to use the UIManager so plugins can eventually add things to the menu
	if absolutely necessary.
	
	* Tomboy/Utils.cs: Initialize ActionManager and added public static
	accessor for it to the Application class.

2006-12-14  Boyd Timothy  <btimothy@gmail.com>

	* data/tomboy.schemas.in: Added "BacklinksPlugin" as a default enabled
	plugin.
	* Tomboy/Preferences.cs: Ditto.

	* Tomboy/Plugins/Backlinks.cs: New Backlinks plugin to allow users to see
	what other notes link to the current note.
	* Tomboy/Plugins/Makefile.am: Ditto.
	
2006-12-14  Alex Graveley  <alex@beatniksoftware.com>

	* data/images/pinup.png: Make the inactive icon grey instead of
	green to make it more visually distinct from the green pushed-in
	and hover icons.

2006-12-12  Matic Zgur  <mr.zgur@gmail.com>

	* configure.in: Added sl to ALL_LINGUAS

2006-12-08  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/Bugzilla.cs: Added simple UI configuration for adding
	custom icons.
	
	* Tomboy/Plugins/ExportToHTML.cs: Added code to detach event handlers when
	being disabled so there are no leaks.
	* Tomboy/Plugins/NoteOfTheDay.cs: Ditto.
	* Tomboy/Plugins/PrintNotes.cs: Ditto.
	* Tomboy/Plugins/StickyNoteImport.cs: Ditto.
	
2006-12-07  Boyd Timothy  <btimothy@gmail.com>

	The following files provide configurable plugins.  More history is in
	Bug #380636.  Kudos to Mathias Hasselmann for all the time spent making
	this a reality.
	
	* data/tomboy.schemas.in: Added a "enabled_plugins" setting with defaults.
	
	* Tomboy/Defines.cs.in: Added AssemblyInformationalVersion.
	
	* Tomboy/PluginManager.cs: Use System.Collections.Generic for everything.
	Added an attribute class to allow attributes (like name, version, etc.) on
	plugins.  Added code to enable only the plugins set in GConf under the
	"enabled_plugins" setting.  Detect when plugins are unloaded whether they
	are leaving around references (usually event handlers) and warn the
	developer.
	
	* Tomboy/Preferences.cs: Added support for the "enabled_plugins" setting.
	Added a "Plugins" tab in the preferences dialog so users can: 1) see all
	the installed plugins, 2) enable/disable plugins, and 3) configure plugins
	that are configurable.
	
	* Tomboy/Tomboy.cs: Added the command-line option "--check-plugin-unloading"
	that enables checks for leaks when users manually disable plugins.
	
	* Tomboy/Tray.cs: Pass in the PluginManager to the preferences dialog.

2006-12-06  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Util.cs: Fixed HIGMessageDialog to vertically align the
	dialog icon at the top.  Without this, the icon would float in
	the middle of the message on the left and look weird.

2006-12-06  Boyd Timothy  <btimothy@gmail.com>

	* data/.cvsignore: com.beatniksoftware.Tomboy.service ->
	org.gnome.Tomboy.service.
	* data/com.beatniksoftware.Tomboy.service.in: Ditto.
	* data/org.gnome.Tomboy.service.in: Ditto.
	* data/Makefile.am: Ditto.
	* Tomboy/RemoteControl.cs: Ditto.
	* Tomboy/RemoteControlProxy.cs: Ditto.
	* tomboy.spec.in: Ditto.

2006-12-05  Ales Nyakhaychyk  <nab@mail.by>

	* configure.in: Add 'be' to ALL_LINGUAS

2006-11-27  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Preferences.cs: Renamed "Table of Contents" (old) ->
	"Search All Notes".

2006-11-27  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Tomboy.cs: Added GETTEXT initialization as the first
	thing Tomboy does before parsing command-line parameters.  This
	Allows --start-here and command-line usage output to function in
	non-English languages.  Also fixed --search command-line usage
	string.

	* Tomboy/Util.cs: Removed GETTEXT initialization.

2006-11-25  Jakub Steiner <jimmac@ximian.com>

	* Tomboy/RecentChanges.cs: use a search action icon defined in the
		icon naming spec instead of gnome-searchtool.
	* data/images/pindown.png
	* data/images/pinup-active.png
	* data/images/pinup.png
	* data/images/stock_bug.png
	* data/images/stock_mail.png: update in tango style
	* data/images/gnome-searchtool.png: this looks like it could be
		removed, but keeping it (in tango style) to be safe.

2006-11-22  Boyd Timothy  <btimothy@gmail.com>
	
	* configure.in: Bump version to 0.5.2.

2006-11-22  Boyd Timothy  <btimothy@gmail.com>
	
	* NEWS: Update for 0.5.1.
	* www/index.html: Ditto.  Also added information about the latest
	stable release (0.4.1) to the page.
	
	* www/img/applet-small.png: New screenshot from 0.5.1.
	* www/img/search-small.png: Ditto.
	* www/img/windows-small.png: Ditto.

2006-11-22  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/dbus-sharp/dbus-sharp/src/Connection.cs: Updates from
	the DBusSharp project to support reading of non-native endian
	messages.  D-Bus capabilities should now work on PPC.
	* Tomboy/dbus-sharp/dbus-sharp/src/MessageReader.cs: Ditto.

2006-11-22  Boyd Timothy  <btimothy@gmail.com>
	
	* data/Makefile.am: Install tomboy.desktop.
	
	* data/tomboy.desktop.in: Use for GNOME and KDE now and use
	the "--search" command-line option.
	
	* Tomboy/RemoteControl.cs: Added DisplaySearch and
	DisplaySearchWithText to remotely open the Search All Notes
	window.
	
	* Tomboy/Tomboy.cs: Added "--search" command-line option.

2006-11-22  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Utils.cs: Don't print errors loading icon names
	prematurely.  Set ToolMenuButton to not FocusOnClick and use the
	toolbar's relief style, since these are available in Gtk#2.

	* Tomboy/Tray.cs: Rename "Table of Contents" back to "Search All
	Notes", since it's more easily understood.

	* Tomboy/NoteWindow.cs: Use Gtk.Drag.DestGetTargetList instead of
	using a DllImport.  Add "Find in This Note" menu item to Text
	menu, which opens the search bar.  Add back "Search All Notes" to
	context menu, and "Search" button to toolbar, replacing the ToC.
	Set FocusOnClick=false for find bar buttons so they don't steal
	cursor focus.

	* Tomboy/RecentChanges.cs: Name the dialog "Search All Notes", and
	clear out the unused min/max hits stuff.  Use "gnome-searchtool"
	as the dialog icon.

2006-11-21  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/dbus-sharp/dbus-sharp/src/IntrospectionSchema.cs: Removed
	this file as it will fail on an older mono and neither is used in any
	code path.  These files will eventually be used for doing DBus on
	non-linux platforms, but they are not ready yet.
	* Tomboy/dbus-sharp/dbus-sharp/src/UnixMonoTransport.cs: Ditto.

2006-11-21  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/NoteWindow.cs: Added code to 1) Regain focus into the
	TextView when the NoteFindBar is hidden (closed) and 2) automatically
	select/scroll to the first match found during a search.

2006-11-21  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/TrayIcon.cs: Added code to pay attention to when the width
	OR height change individually (instead of just taking the Min of
	them).  Fixes bugs #354416 (panel resizing), #352432 (1x1 TrayIcon),
	and #354417 (tintin code removal - sorry Alex).
	
	* Tomboy/Makefile.am: Remove -resource:tintin.png line.

	* data/images/Makefile.am: Remove tintin.png from noinst_DATA.

	* data/images/tintin.png: Removed this file.

2006-11-21  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Makefile.am: Fix for Bug #329535.  Changed the wrapper to
	only run "Uninstalled Tomboy" if it is started from the <full path to
	Tomboy source code>/Tomboy directory.  This makes the wrapper script
	more secure (see Comment #1 in the bug).
	* Tomboy/tomboy.in: Ditto.

2006-11-20  Boyd Timothy  <btimothy@gmail.com>
	
	* configure.in: Detect where to install the DBus service file by
	reading dbus-1.pc.
	
	* tomboy.spec.in: Install the DBus service file in the correct
	location.
	
	* data/Makefile.am: Ditto.

2006-11-20  Boyd Timothy  <btimothy@gmail.com>

	Integrated patch files from Sebastian Dröge (Bug # 357848) to fix
	Tomboy's DBus story.  Tomboy now uses NDesk's DBusSharp (managed
	DBus) which requires .NET 2.0 (we have to use "gmcs" instead of
	"mcs" now).
	
	* configure.in: Test for "gmcs" instead of "mcs".  Remove checks for
	libdbus.
	
	* Tomboy/dbus-sharp/*.cs: Removed old dbus-sharp bindings.
	
	* Tomboy/dbus-sharp/dbus-sharp/*: New NDesk.DBusSharp code.

	* Tomboy/dbus-sharp/dbus-sharp-glib/*: Ditto.
	
	* Tomboy/Makefile.am: "mcs" -> "gmcs".  Build managed DBus.
	
	* Tomboy/RemoteControl.cs: Code modified to use NDesk.DBus.
	* Tomboy/RemoteControlProxy.cs: Ditto.
	* Tomboy/Tomboy.cs: Ditto.  Also modified the code to ensure that
	only one Tomboy instance is allowed to run at a time (when using
	DBus).
	
	* Tomboy/Plugins/Makefile.am: "mcs" -> "gmcs".
	
	* test/Makefile.am: Ditto.

2006-11-20  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/NoteWindow.cs: Fixed FindBar to not actively search for
	matches when it's not visible.  PerformSearch was being called even
	when the FindBar had never been shown (extra work that didn't need
	to be going on).

2006-11-16  Boyd Timothy  <btimothy@gmail.com>
	
	* www/img/applet-small.png: New screenshot from 0.5.0 release.
	* www/img/search-small.png: Ditto.
	* www/img/windows-small.png: Ditto.
	
	* www/index.html: Update for 0.5.0.

2006-11-16  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Search.cs: Removed.  This file is no longer needed since
	the search interface has been replaced by the integrated search in
	the ToC and the FindBar in individual notes.

2006-11-16  Boyd Timothy  <btimothy@gmail.com>
	
	* configure.in: Bump version to 0.5.1.

2006-11-16  Boyd Timothy  <btimothy@gmail.com>
	
	* NEWS: Update for 0.5.0.
	
	* README: Modified instructions for bug reporting to direct people
	to use bugzilla.gnome.org.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>
	
	* Makefile.am: Added MAINTAINERS to EXTRA_DIST.

2006-11-15  David Trowbridge  <trowbrds@gmail.com>

	* Tomboy/NoteBuffer.cs: Rearranged the way tags with an Image
	attribute actually apply that image to the buffer, to work around
	Gtk.TextBuffer suckage.  Made it so that the image gets removed from
	the buffer when the tag is removed.

	* Tomboy/NoteTag.cs: Added an ImageLocation parameter, which is used
	to track the location in the buffer of the image associated with a
	tag.  This makes it possible to reliably remove the image.

	* Tomboy/Undo.cs: Rework SplitterActions to take into account the
	delayed nature of tag image inserts/removals in their offset positions
	during undo/redo for the tags that these operations end up removing
	from the buffer.

	* Tomboy/Plugins/Bugzilla.cs: Remove the BugzillaWatcher class, since
	the image changes above make it possible to just use the builtin image
	facilities within tomboy.

	Change InsertBugAction to do the same kind of tag offset magic as
	InsertAction and EraseAction (see Undo.cs changes).

	Add bug icon facilities back now that everything supports icons in a
	way that's powerful and robust enough to satisfy me (mostly).  At the
	moment this allows icons to be customized per-bugzilla host via
	sticking the file in ~/.tomboy/BugzillaIcons/{host}.png.  I do
	eventually intend to have some GUI for customizing this (along with
	maybe favicon magic).

	* Tomboy/Plugins/Makefile.am: Move the bugzilla plugin into the
	installed-plugins target, since I'm happy enough with it now to ship
	to the world.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/RecentChanges.cs: Fixed a problem where a destroyed
	Table of Contents window was being called by the NoteRenamed
	event, causing a null reference exception.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>
	
	* Tomboy/Tray.cs: Added Boyd, David, Ryan, Sandy, and
	Sebastian to the About Dialog's authors list.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>
	
	* data/images/Makefile.am: Added tomboy-note-*.png for
	inclusion in EXTRA_DIST.

	* Tomboy/Makefile.am: Added tomboy-note-16.png as the
	default tomboy-note.png resource.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>
	
	* data/images/tomboy*.png,svg: Updated the icons to the
	ones jimmac created.

	* data/images/Makefile.am: Install/uninstall
	tomboy-note-16.png and tomboy-note-22.png.
	
	* Tomboy/Tray.cs: Changed the NoteMenuItem to use the
	updated tomboy-note-16.png.
	
	* Tomboy/RecentChanges.cs: Now uses tomboy-note-22.png to
	show notes in the TreeView.

2006-11-15  Alex Graveley  <alex@beatniksoftware.com>

	* AUTHORS: Add Boyd, David, Ryan, Sandy, and Sebastian.

	* MAINTAINERS: New file with me and Boyd listed.  Needed for
	bugmaster to set up bugzilla admin rights.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Note.cs: Changed CreateExistingNote() to use the
	create date passed inside the NoteData (which was read from
	an existing note file) instead of using DateTime.MinValue.
	Fixes bug #375380.
	
	* Tomboy/Plugins/NoteOfTheDay.cs: Added a try/catch around
	the code that calls NoteManager.Create() to prevent failures
	from crashing Tomboy altogether.  Worst case scenario now is
	that the NoteOfTheDay Plugin doesn't create new notes.

2006-11-15  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Preferences.cs: "Open 'All Notes' window" -> "Open
	'Table of Contents'".  Also added mnemonic widgets to the
	keybinding labels.

2006-11-15  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: "All Notes" -> "Table of Contents".

	* Tomboy/RecentChanges.cs: Make into a singleton.  Figure out if
	we want to keep it around or desroy it on hide.

	* Tomboy/NoteWindow.cs: Add "ToC" button to toolbar, which open
	the new searchable Table of Contents.  Add Ctrl-O keybinding.
	Use Find instead of Search in context menu.  Add Open Table of
	Contents context menu item.

	* Tomboy/Makefile.am (CSFILES): Don't build Search.cs.

2006-11-14  Boyd Timothy  <btimothy@gmail.com>

	* Implemented the new search interface bug #348023 (Improved
	Search Interface).

	* Tomboy/NoteWindow: Added a find bar for searching within an
	individual note.
	
	* Tomboy/Preferences.cs: Modified the option in the preferences
	dialog to open the "All Notes" (RecentChanges) instead of the
	old search dialog.
	
	* Tomboy/RecentChanges.cs: Modified the code to provide the
	Table of Contents and Search interface in one dialog.
	
	* Tomboy/RemoteControl.cs: Removed a call to NoteFindDialog (the
	old search dialog) and added a call to open the find bar in the
	note window for the DisplayNoteWithSearch() method.
	
	* Tomboy/Tray.cs: Removed the "Table of Contents" and "Search
	Notes" menu items and replaced it with one "All Notes" menu item.

2006-11-14  Boyd Timothy  <btimothy@gmail.com>

	* tomboy.spec: Updated the BuildRequires and Requires lines to use
	gtk-sharp2 instead of just gtk-sharp.

	* data/tomboy-plugins.pc.in: Updated the Requires line to use
	gtk-sharp-2.0 instead of gtk-sharp.

2006-11-12  David Trowbridge  <trowbrds@gmail.com>

	* Tomboy/NoteTag.cs: Add a new "CanSplit" field.  This field is used
	to notate tags which only make sense so long as the text within them
	is unchanged; examples of this are bugzilla bug numbers or contacts.

	* Tomboy/Undo.cs: Add an abstract SplitterAction class which deals
	with the mechanics of inserting/deleting text in the middle of tags
	which are marked as un-splittable.  Change InsertAction and
	EraseAction to inherit from SplitterAction.

	* Tomboy/Utils.cs: Add TextRange.RemoveTag.

	* Tomboy/Plugins/Bugzilla.cs: Add an Undo action for inserting a bug
	and stick it on the undo stack when the drop occurs.

2006-11-12  Alex Graveley  <alex@beatniksoftware.com>

	* data/images/Makefile.am (noinst_DATA): Add stock_bug.png to
	noinst_DATA.

	* data/images/stock_bug.png: Add the stock bug icon.

	* Tomboy/Plugins/Bugzilla.cs: Add David Trowbridge's bugzilla
	plugin (from patch in comment #4 on bug 354378).

	* Tomboy/Plugins/Makefile.am: Create Bugzilla plugin, but don't
	install it by default.  Install the FixedWidth and NoteOfTheDay
	plugins default now though.

2006-11-11  Miguel de Icaza  <miguel@novell.com>

	* Tomboy/NoteTag.cs: Do not store boolean flags on the hashtable
	as those are quite large (boxing, bools, hashtable) instead use a
	bitfield.

	344k reduction on my system.

2006-11-09  Alex Graveley  <alex@beatniksoftware.com>

	* data/tomboy.schemas.in: Add menu_note_count and
	menu_pinned_notes schemas.

	* Tomboy/Tray.cs: Add a NoteMenuItem widget that subclasses
	Gtk.ImageMenuItem and packs in a pin icon, which allows clicking
	to pin the note to the tomboy menu.  The pinup icon is replaced
	with pinup-active when the mouse hovers over the pin.  Show all
	pinned notes in the Tomboy menu, and respect the menu_note_count
	GConf key as the minimum number of notes to show.

	* Tomboy/Preferences.cs: Add menu_note_count and menu_pinned_notes
	GConf key default values.

	* Tomboy/Note.cs: In Note, add IsPinned getter which checks if the
	note's URI is in the menu_pinned_notes GConf, and setter which
	adds the URI.

	* data/images/Makefile.am (noinst_DATA): Add pinup.png,
	pinup-active.png, and pindown.png.
	* Tomboy/Makefile.am (RESOURCES): Include these pin images in the
	assembly.

	* Tomboy/Logger.cs: In FileLogger handle IOException when creating
	~/.tomboy.log.

2006-10-15  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Logger.cs: Store the log in ~/.tomboy.log.  Storing in
	~/.tomboy/log chokes if the directory isn't created yet, so just
	avoid this putting the log in the home directory.

2006-09-20  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/ExportToHTML.cs: Fixed bug #336507 by changing
	the ExportToHTMLDialog to extend Gtk.FileChooserDialog.  With this
	also comes overwrite notification.

2006-09-19  Boyd Timothy  <btimothy@gmail.com>

	* Tomboy/Plugins/ExportToHTML.cs: Fix bug #351664 by adding
	try/catch around the code that attempts to load the exported note
	into a web browser.  If opening a web browser fails, a dialog will
	alert the user that the note was exported successfully.  Also, the
	export preferences are not saved unless the note is exported
	successfully.

2006-09-19  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Logger.cs: Patch from Jeff Rose to output timestamped log
	data to ~/.tomboy/log and to the console.

	* Tomboy/Applet.cs: Keep the menu verb callbacks in a static
	member, since they are being reaped unexpectedly, causing crashes
	sometimes when opening Preferences.

2006-09-06  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Bump version to 0.5.0.  This alters the versioning
	scheme used for future releases: Y version numbers will be odd for
	Gnome devel cycle releases, and even for stable releases.  So
	0.5.x is for Gnome 2.17 and 0.6.x will be Gnome 2.18.
	
2006-09-06  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Remove hard gtkspell dependency, as it is now
	detected at runtime.  Bump version to 0.4.2.

	* Tomboy/Defines.cs.in: Add GNOME_HELP_DIR, used for opening the
	help manual.

	* Tomboy/Note.cs: In NoteDataBufferSynchronizer, when setting the
	xml text, flush the buffer contents and reload it.

	* data/GNOME_TomboyApplet.xml: Add Help menu item, move Open
	Plugins Folder first, followed by a separator to match the context
	menu layout of other applets.

	* Tomboy/NoteWindow.cs: Bind F1 to opening help.

	* Tomboy/Applet.cs: Add Help menu item to applet and tray icon
	context menus.

	* Tomboy/Utils.cs: Add ShowHelp utility which opens the
	Tomboy manual.

	* Tomboy/PluginManager.cs: Catch exceptions thrown during plugin
	creation, such as the one NoteSpellChecker may throw.

	* Tomboy/Preferences.cs: Show spell check option if
	NoteSpellChecker.GtkSpellAvailable.

	* Tomboy/Watchers.cs: In NoteSpellChecker, detect gtkspell
	availability at runtime.

2006-09-06  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: In NoteLinkWatcher, highlight links at
	sentence boundaries as well as word boundaries.  This fixes
	linking to notes with titles ending or beginning in punctuation.

	* Tomboy/Applet.cs: Fix bug #354416 by setting the
	PanelAppletFlags.ExpandMinor flag to get sizing updates, and
	overriding OnChangeSize to set the icon's size request.

2006-09-05  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Add support for using a note
	titled "NotD: Template" as a template for each "Note of the Day".

2006-09-05  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Update version to 0.4.0.
	* NEWS: Ditto.

2006-09-02  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Set $ENABLE_GTKSPELL if gtkspell-2.0 is installed.
	This makes gtkspell optional as required for GNOME release.

	* Tomboy/Makefile.am: Pass -define:ENABLE_DBUS if it's enabled.

	If gtkspell isn't enabled...
	* Tomboy/Watchers.cs: Conditionally include NoteSpellChecker.
	* Tomboy/Preferences.cs: Don't show spell check enable checkbox,
	and don't pack the font button to fill the extra space.
	* Tomboy/PluginManager.cs: Don't create NoteSpellChecker objects.

2006-09-04  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/dbus-sharp/Connection.cs: Use dbus_connection_close
	instead of disconnect which no longer exists in DBUS 0.90.

2006-09-03  Priit Laes <plaes@cvs.gnome.org>

	* configure.in: Added 'et' to ALL_LINGUAS

2006-09-02  Brent Smith  <gnome@nextreality.net>

	* help/C/figures/tomboy-new-note.png:
	* help/C/figures/tomboy-preferences-editing.png:
	* help/C/figures/tomboy-preferences-hotkeys.png:
	* help/C/tomboy.xml: Finished the documentation
	* help/ChangeLog:

2006-09-01  Brent Smith  <gnome@nextreality.net>

	* help/C/figures/tomboy-new-note.png:
	* help/C/figures/tomboy-panel.png:
	* help/C/figures/tomboy-preferences-editing.png:
	* help/C/figures/tomboy-preferences-hotkeys.png:
	* help/C/figures/tomboy-tools.png:
	* help/C/tomboy.xml:
	* help/ChangeLog:
	unfinished version of Tomboy manual; committed so Alex can branch.

2006-08-31  Danilo Segan  <danilo@gnome.org>

	* configure.in: Added Serbian (sr, sr@Latn) to ALL_LINGUAS.

2006-08-27  Sandy Armstrong <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/StickyNoteImport.cs: Added support for automatic
	import of Sticky Notes upon first run of Tomboy with this plugin
	installed.

	* Tomboy/Preferences.cs: Added handling of
	STICKYNOTEIMPORTER_FIRST_RUN GConf key.

	* data/tomboy.schemas.in: Added STICKYNOTEIMPORTER_FIRST_RUN to GConf
	schema.

	* Tomboy/NoteManager.cs: When loading plugins for all notes, use
	copy of notes ArrayList, since the real list may get modified
	during the initialization of a plugin (like when automatically
	importing Sticky Notes on first run of Tomboy).

2006-08-22  Ani Peter <peter.ani@gmail.com>

	* configure.in: Added Malayalam (ml) to the ALL_LINGUAS

2006-08-20  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2006-08-19  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Makefile.am: Substitute $DBUS_SOVERSION for
	@DBUS_SOVERSION@ in generated Tomboy.exe.config.

	* configure.in: Detect the DBUS .so version.

2006-08-19  Subhransu Behera  <arya_subhransu@yahoo.co.in>

	* configure.in: Added Oriya (or) to the ALL_LINGUAS.

2006-08-17  Sandy Armstrong <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Reverted NotD Template patch,
	since it broke the string freeze for GNOME 2.16.
	
	* NEWS: Removed NotD template bullet.

2006-08-16  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added ku (Kurdish) to ALL_LINGUAS

2006-08-16  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* Tomboy/Note.cs: NoteArchiver now works on NoteData instead of
	Notes.  Also, the Read methods now return a new instance instead
	of getting an instance passed.

2006-08-16  Raivis Dejus  <orvils@gmail.com>

	* configure.ac: Added "lv" (Latvian) to ALL_LINGUAS.
	* po/lv.po: Added Latvian Translation.

2006-08-16  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* Tomboy/Note.cs: NoteData is now identified by an immutable URI.
	Introduced a new class NoteDataBufferSynchronizer that
	synchronizes a NoteBuffer instance and a NoteData instance. Moved
	code from class Note into this new class. Moved rewriting of
	obsolete XML files from class Note to class NoteArchiver.

	* test/Makefile.am: Also link against $(TOMBOY_LIBS).

	* test/NoteTest.cs: Test case for NoteDataBufferSynchronizer.

2006-08-16  Alex Graveley  <alex@beatniksoftware.com>

	* NEWS: Update with NotD template bullet.

	* configure.in: Require dbus-1 >= 0.90, which has libdbus-1.so.3.

	* Tomboy/Tomboy.exe.config.in: Link libdbus-1.so.3 instead of
	libdbus-1.so.3, which fixes a crash where older versions of
	libdbus are linked in with newer versions of libdbus-glib.  Fixes
	bug #350463.

2006-08-15  Sandy Armstrong  <sanfordarmstrong@gmail.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Add support for using a note
	titled "NotD: Template" as a template for each "Note of the Day".

2006-08-10  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tomboy.cs: Cleanup the main class by subclassing the new
	Application helper.

	* Tomboy/Utils.cs: Add Application, a new calls to encapsulate
	application-level utilities such as setting up gettext,
	registering exit signal handlers and sending an exiting event,
	setting up session management, and setting program name by calling
	prctl(2) (new, allows `killall tomboy` behavior).

	* Tomboy/RemoteControlProxy.cs: Add GetInstance and Register
	methods, to encapsulate DBUS calls.

2006-08-09  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Search.cs: Make the text entry grab focus on shown,
	instead of Close if the dialog was dismissed using Close
	previusly.

2006-08-09  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/dbus-sharp/Connection.cs: Check IntPtr handle is correct
	type, fixes an old crash detailed in bugs.freedesktop.org #5716.
	* Tomboy/dbus-sharp/Message.cs: Ditto.

	* Tomboy/Tray.cs: Override size_allocate to reload the best
	fitting icon for the new allocation, so that tray/panel icon fits
	as much space as possible.

	* Tomboy/Utils.cs (GetIcon): Scale icon stored in resources using
	bilinear.

2006-08-09  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* Tomboy/Note.cs: Split class NoteData out of class Note. NoteData
	is a moderately dumb data store and doesn't contain any
	application logic.
	
	* test/NoteTest.cs: Test case for class NoteData.

2006-08-09  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Run & Destroy the about dialog.

2006-08-08  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs (NoteLinkWatcher.OnNoteRenamed): Fix typo
	that totally horks links when renaming the linked note.
	(NoteLinkWatcher.DoHighlight): Only link against whole
	words/phrases, so that e.g. notes named "sed" are not highlighted
	inside "sedimentary".

2006-08-08  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS

2006-08-08  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Bump to version 0.3.10 following GNOME 2.16 Beta 2
	freeze.

2006-08-07  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Call GNOME_COMMON_INIT.

	* autogen.sh: Switch to using gnome-autogen.sh.

	* Delete intltool-extract.in intltool-merge.in intltool-update.in,
	which are installed by gnome-autogen.sh.

2006-08-07  Alex Graveley  <alex@beatniksoftware.com>

	* NEWS: Update a little for 0.4.

	* configure.in: Fix the build: remove help/C/Makefile.

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Add scrollkeeper
	uninstall mojo.  Don't install schemas on distcheck.

2006-08-07  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Use Gtk.AboutDialog, instead of Gnome.About.

2006-08-06  Alex Graveley  <alex@beatniksoftware.com>

	* tomboy.spec.in (Requires): dbus-sharp -> dbus-glib.

	* configure.in: Check for dbus and dbus-glib-1, not dbus-sharp.

	* Tomboy/Makefile.am (ASSEMBLIES): Don't link DBUS_LIBS.  If dbus
	is enabled, compile dbus-sharp/*.cs.

	* Tomboy/Tomboy.exe.config.in: Include dbus-1 and dbus-glib-1
	linkage.

	* Tomboy/dbus-sharp/*.cs: Include the deprecated dbus-sharp
	bindings.

	* Tomboy/Plugins/Makefile.am (ASSEMBLIES): Don't link DBUS_LIBS.

2006-08-06  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: Ref TextIter arguments that mutate the
	TextBuffer, since the old version is deprecated.
	* Tomboy/Utils.cs: Ditto.
	* Tomboy/Undo.cs: Ditto.
	* Tomboy/Tray.cs: Ditto.
	* Tomboy/NoteWindow.cs: Ditto.
	* Tomboy/Plugins/Evolution.cs: Ditto.

	* Tomboy/panelapplet/PanelApplet.cs: Inhibit unused member
	warnings for autgen'd code.
	* Tomboy/panelapplet/BonoboUIVerb.cs: Ditto.

2006-08-06  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Don't run the preferences dialog in a recursive
	main loop, instead just show it and destroy the dialog after the
	response signal.  Keep the current preferences instance around so
	we can focus it instead of opening duplicate windows.

2006-08-02  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Preferences.cs: Don't italicize descriptions, use
	sentence capitalization for checkbox labels where applicable, and
	"Spellcheck" -> "Spell check".

2006-07-28  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/RecentChanges.cs: Set the ListStore's sort function after
	loading the note data, as otherwise the sorting slows down loading
	drastically.  Show the total number of notes at the buttom.

2006-07-27  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteManager.cs: Skip notes whose XML cannot be parsed.

	* Tomboy/PluginManager.cs: Catch exception thrown by Process.Start
	if executable not found.

2006-07-27  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tomboy.cs: Add session manager auto-restart for tray icon
	mode.  Use TOMBOY_PATH as default note location if --note-path not
	specified.

	* Tomboy/NoteManager.cs: Remove default constructor.

	* Tomboy/PluginManager.cs: Print missing directory error message,
	instead of full trace.

2006-07-26  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tomboy.cs: Handle SIGINT (not SIGQUIT).

2006-07-26  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/panelapplet/*.cs: Add these GTK# generated bindings, with
	the fix for PanelApplet.OnBackgroundChanged applied.
	
	* Tomboy/Applet.cs: GTK#2 panel applet bindings are still broken
	for setting the background pixmap/transparency, so use the
	custom-built variant instead.

	* Tomboy/Makefile.am (CSFILES): Build panelapplet/*.cs (once again).

	* Tomboy/Tomboy.cs: Use _Gnome.PanelApplet.

	* data/GNOME_TomboyApplet.xml: When using PanelApplet.SetupMenu,
	the XML doesn't work if it has the <Root> or <popups> elements.
	Go figure.

2006-07-25  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/StickyNoteImport.cs: When uniquifying titles by
	appending numbers, start at 2.  A few minor string changes.

2006-07-25  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/StickyNoteImport.cs: Initial Sticky Note importer
	plugin from Sanford Armstrong.

	* Tomboy/Plugins/Makefile.am (plugins_DATA): Install the Sticky
	Note importer by default.

2006-07-24  Abel Cheung  <abel@oaka.org>

	* configure.in: Added "zh_HK" "zh_TW" to ALL_LINGUAS.

2006-07-24  Alex Graveley  <alex@beatniksoftware.com>

	* libtomboy/gtksourceprintjob.c (create_layout_for_para): Do not
	include error underlines.  Avoids printing out spelling error
	indicators, fixing bug #339846.

	* Tomboy/Plugins/ExportToHTML.cs: Avoid infinite recursion by
	keeping track of resolved note entities, and returning null if
	already resolved.

	* Tomboy/Note.cs: Make IsNew return true if note was created in
	the last 24 hours.  Fixes bug #343078.

	* configure.in: Don't require libpanelapplet to build, but if it
	is present, lookup the .server install location.

	* libtomboy/gedit-print.c (gedit_print_job_info_new): Use
	locale-friendly date/time formats in printed page footer.  Advice
	from James Henstridge, in bug #345509.

2006-07-24  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/GalagoPresence.cs: Update plugin for Galago 0.5.0
	API.  Patch from Kevin Kubasik.

	* configure.in (GALAGO): Check for Galago 0.5.0.

2006-07-24  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Don't show translator credits if we aren't
	translating.

	* Tomboy/RecentChanges.cs: Translate "Note" column header.

2006-07-24  Alex Graveley  <alex@beatniksoftware.com>

	Remove Tintin icon from Tomboy due to legal restrictions. :-(

	Patch originally from Gary Ekker of Novell...

	* Tomboy/Makefile.am: Remove tintin.png, stock_notes.png and
	gnome-stock-searchtool.png resources.  Add 48x48 tomboy.png and
	gnome-searchtool.png.
	* Tomboy/NoteWindow.cs: Set window IconName to "tomboy".
	* Tomboy/Preferences.cs: Ditto.
	* Tomboy/RecentChanges.cs: Ditto.  Use 22px "tomboy" icon for notes.
	* Tomboy/Tray.cs: Ditto.  Use 16px "tomboy" icon for notes in menu.
	* Tomboy/Search.cs: Ditto.  Set IconName to "stock_search".
	* Tomboy/Utils.cs: Make GetIcon take an icon size, and first
	lookup the icon in the Gtk icon theme before falling back to the
	assembly's resources.
	* data/tomboy.desktop.in: Use Icon=tomboy.
	* data/GNOME_TomboyApplet.server.in.in: Use icon="tomboy.png".
	* data/images/Makefile.am: Install tomboy icons into correct size
	icon theme directory, and call gtk-update-icon-cache.
	* data/images/tomboy.svg: New Tango icon.
	* data/images/tomboy.png: New Tango icon.
	* data/images/tomboy-16.png: New Tango icon.
	* data/images/tomboy-22.png: New Tango icon.
	* data/images/tintin.png: Remove.

2006-07-23  Alex Graveley  <alex@beatniksoftware.com>

	* libtomboy/eggtrayicon.c: Patch from Dan Winship to setup tray
	icon transparency.

	A few more tomboy-0-4 merges...
	
	* Tomboy/NoteTag.cs: XX_Large -> XXLarge.

	* Tomboy/Watchers.cs: SetText -> Text.

2006-07-23  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tomboy.cs: Patch from Dan Winship to avoid crash in DBUS
	bindings.  Fixes bug 328930.

2006-07-23  Alex Graveley  <alex@beatniksoftware.com>

	Partial port of changes from tomboy-0-4 branch to build against
	Gtk#2 and Mono 1.1.13...

	- Use GuiUtils.DetachMenu when calling Gtk.Menu.AttachToWidget,
	since this can't be null for some reason.

	- Remove Tomboy/panelapplet/*.

	* tomboy.spec.in: Install tomboy.desktop, don't install
	GNOME_TomboyApplet.xml.

	* data/Makefile.am: Install the tomboy.desktop file.
	I believe the other non-RedHat desktops have caught up with
	supporting OnlyShowIn=KDE.

	* Tomboy/Watchers.cs: Drop old gtkspell compatibility code.

	* Tomboy/Utils.cs: Update for Gtk.Menu.Popup API change.

	* Tomboy/Tomboy.cs: Syscall.signal -> Stdlib.signal.

	* Tomboy/Search.cs: Gtk.Combo -> Gtk.ComboBoxEntry.  Keep previous
	searches in an ArrayList.  Remove GLib.Markup.EscapeText bug
	workaround.
	
	* Tomboy/RecentChanges.cs: Update for chaged SetSortFunc API.

	* Tomboy/NoteWindow.cs: In NoteTextMenu,
	don't store accel_group.

	* Tomboy/Makefile.am: Don't build panelapplet/*.  Don't define
	OLD_GTKSPELL_CSFLAGS.

	* libtomboy/tomboyutil.c: Remove tomboy_widget_set_bg_pixmap.

	* Tomboy/Applet.cs: Switch to using Gnome.PanelApplet.  Drop
	stored reference (hopefully not needed anymore).  BackgroundType
	-> PanelAppletBackgroundType.  Drop tomboy_widget_set_bg_pixmap.
	
	* configure.in: Bump version to 0.3.9.  Drop old gtkspell checks.
	Switch to gtk-sharp-2.0, gnome-sharp-2.0, and gconf-sharp-2.0.

2006-07-22  Christopher Orr  <chris@orr.me.uk>

	* Tomboy/Note.cs: Moved note deletion UI to new NoteUtils class.
	* Tomboy/NoteWindow.cs:
	* Tomboy/RecentChanges.cs: Allow note deletion via Delete key.

2006-07-22  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* Tomboy/NoteManager.cs: Hardcode the path to the plugins directory to
	~/.tomboy/Plugins.

2006-07-21  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* test/Plugins/ExportToHTMLTest.cs: Mute the logger while executing
	tests.

2006-07-20  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* Tomboy/Logger.cs:
	* Tomboy/Makefile.am: New Logger class to replace existing calls to
	Console.WriteLine.
	* test/LoggerTest.cs:
	* test/Makefile.am: Test case.
	* Tomboy/Applet.cs:
	* Tomboy/Note.cs:
	* Tomboy/NoteBuffer.cs:
	* Tomboy/NoteManager.cs:
	* Tomboy/NoteTag.cs:
	* Tomboy/NoteWindow.cs:
	* Tomboy/PluginManager.cs:
	* Tomboy/Search.cs:
	* Tomboy/Tomboy.cs:
	* Tomboy/Trie.cs:
	* Tomboy/Utils.cs:
	* Tomboy/Watchers.cs:
	* Tomboy/XKeybinder.cs:
	* Tomboy/Plugins/Evolution.cs:
	* Tomboy/Plugins/ExportToHTML.cs:
	* Tomboy/Plugins/GalagoPresence.cs:
	* Tomboy/Plugins/NoteOfTheDay.cs: Use Logger instead of
	Console.WriteLine, where appropriate.

	* Tomboy/Note.cs: Made Note constructors private and instead
	introduced factory methods CreateNewNote and CreateExistingNote.
	NoteArchiver is now a singleton.

	* Tomboy/NoteManager.cs: Split methods FirstRun and
	CreateTrieController out of NoteManager and made them protected
	virtual to allow overriding in test cases. Use new Note factory
	method.

	* test/DummyNote.cs: A DummyNoteArchiver class for use in unit tests.

	* test/NoteTest.cs: Use the new Note factory method.

	* test/Makefile.am: Added DummyNote.cs. Made test target
	phony. Test now depends on Tomboy.exe, so if tomboy is rebuilt,
	the tests are also rebuilt. MONO_PATH now includes the Plugins
	directory.

	* Tomboy/Plugins/ExportToHTML.cs: Don't use the on-disk copy of
	the note for exporting, but an in-memory copy.
	
	* test/Plugins/ExportToHTMLTest.cs: Test case.
	
	* test/Makefile.am: Added Plugins/ExportToHTMLTest.cs.

2006-07-06  Kostas Papadimas <pkst@gnome.org>

	* configure.in: Added Greek (el) to ALL_LINGUAS

2006-07-03  Runa Bhattacharjee <runabh@gmail.com>

	* configure.in: Added Bengali India (bn_IN) to ALL_LINGUAS.

2006-06-30  Guntupalli Karunakar  <karunakar@indlinux.org>
	
	* configure.in: Added Dzongkha (dz) to ALL_LINGUAS.
	* configure.in: Added Hindi (hi) to ALL_LINGUAS.

2006-06-24  Runa Bhattacharjee <runa@bengalinux.org>
	* configure.in: Added Bengali (bn) to ALL_LINGUAS.

2006-06-20  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* libtomboy/gtksourceprintjob.c:
	* libtomboy/gedit-print.c:
	* libtomboy/tomboykeybinder.c:
	* libtomboy/tomboyutil.c:
	* libtomboy/tomboyutil.h:
	* Tomboy/Plugins/GalagoPresence.cs:
	* Tomboy/Plugins/Evolution.cs:
	* Tomboy/Plugins/ExportToHTML.cs:
	* Tomboy/Plugins/NoteOfTheDay.cs:
	* Tomboy/Tray.cs:
	* Tomboy/Watchers.cs:
	* Tomboy/Applet.cs:
	* Tomboy/PluginManager.cs:
	* Tomboy/NoteWindow.cs:
	* Tomboy/NoteManager.cs:
	* Tomboy/Preferences.cs:
	* Tomboy/XKeybinder.cs:
	* Tomboy/Search.cs:
	* Tomboy/Note.cs:
	* Tomboy/RecentChanges.cs:
	* Tomboy/Tomboy.cs: Warning fixes.

	* Tomboy/Note.cs: New method NoteArchiver.Write (TextWriter, Note).
	* Tomboy/Plugins/ExportToHTML.cs: WriteHTMLForNote: Use NoteArchiver
	  as source for the XSLT transformation, instead of reading the note
	  file from disc.

2006-06-19  I Felix  <ifelix25@gmail.com>

	* configure.in: Added 'ta' to the ALL_LINGUAS.

2006-06-14  Ankit Patel  <ankit644@yahoo.com>

	* configure.in: Added 'gu' to the ALL_LINGUAS.

2006-06-13  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	* test/NoteManagerTest.cs:
	* test/Makefile.am: Added a test case for the NoteManager.
	
	* Tomboy/NoteManager.cs: Extract Method on NoteManager
	constructor.  New methods (partly virtual): CreatePluginManager,
	DirectoryExists, CreateDirectory, CreateNotesDir, LoadNotes. Made
	CreateStartNote virtual.

2006-06-07  Sebastian Rittau  <srittau@jroger.in-berlin.de>

	Added support for NUnit unit tests.

	* configure.in: Check for NUnit. Added test/Makefile.
	* Makefile.am: Added test to SUBDIRS and a test target.
	* test/Makefile.am: New file.
	* test/NoteTest.cs: New file. Currently contains only one dummy test.

2006-05-26  David Trowbridge  <trowbrds@gmail.com>

	* data/tomboy.schemas.in: Add gnome URL handler entries

2006-04-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Make Joe even happier.
	* po/no.po: Same.

2006-02-07  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2006-02-03  Alex Graveley  <alex@beatniksoftware.com>

	* libtomboy/gtksourceprintjob.c: Fix warnings about char
	signedness.
	* libtomboy/gedit-print.c: Ditto.

2006-02-02  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Bump version to 0.3.5.
	* NEWS: Update for 0.3.5.
	* www/index.html: Ditto, and add link to screencast.

2006-01-31  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/Evolution.cs: Catch //account/source/url URI
	parse errors, and print the offending URI to the console.

2006-01-30  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/Makefile.am: Always EXTRA_DIST the Evolution and
	Galago sources, otherwise make dist won't include them.

	* Tomboy/Tomboy.cs: Fix compile breakage when D-BUS not enabled.

2006-01-29  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteBuffer.cs: When reading note XML, handle unregistered
	tags gracefully.

	* Tomboy/Watchers.cs: Avoid checking the "gtkspell-misspelled" tag
	for spellcheckability: it will always fail since it isn't created
	by Tomboy.  Fixes spellchecking.

	* Tomboy/NoteWindow.cs: Use GLib.ConnectBefore with
	OnPopulatePopup so that the GtkSpell submenu will be the first
	item.

2006-01-29  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.xsl: Add inline Base64 encoded
	version of stock_mail.png when linking to emails.

2006-01-28  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.xsl: Add support for "datetime",
	"monospace", and "link:evo-mail" note tags.

2006-01-26  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: Select the title text when there is a title
	name clash.

2006-01-26  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Applet.cs: Use Tomboy.DefaultNoteManager instead of
	creating one ourselves.

	* Tomboy/Tomboy.cs: Add a --note-path, to specify the directory to
	use for loading and storing notes.  Create a NoteManager with this
	path, and expose it through DefaultNoteManager.

	* www/index.html: Add a Reporting Bugs section.

2006-01-26  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Bump version to 0.3.4.

	* README: Update copyright to 2006.
	* www/index.html: Ditto.  Point to 0.3.4 tarball, and update text.
	* Tomboy/Tomboy.cs: Ditto.
	* Tomboy/Tray.cs: Ditto.
	* NEWS: Ditto.  Add some 0.3.4 bullets.

	* Tomboy/Plugins/FixedWidth.cs: Use "(C)" instead of copyright
	character, which chokes gettext.

2006-01-25  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: In the handler for middle button clicks, only
	return true if the primary clipboard has some text to paste, and
	block waiting for it.  This is a broken workaround the fact that
	eating middle clicks blocks the panel applet from being moved.

2006-01-24  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/PluginManager.cs: Extend the NotePlugin interface with
	AddTextMenuItem, which adds a menu item to the Text menu.

	* Tomboy/Plugins/FixedWidth.cs: Use AddTextMenuItem, and drop all
	manual menu item handling.  Set CanGrow and CanUndo on the
	monospace tag, so it behaves as it should.  Disconnect from Text
	menu's Shown event in OnDestroyed instead of the finalizer.

2006-01-23  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: In NoteRenameWatcher, fix jrb's bug:
	inserting newlines in the title line doesn't update the title.
	Only call Update in OnMarkSet if he mark is the insertion mark.
	In Update, if setting editing_title state, call Changed. Remove
	all other calls to Changed.

2006-01-22  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/RecentChanges.cs: Call SetSortColumnId on the list store,
	which sets the defualt sort order and causes the treeview to draw
	the sort indicator by default.

2006-01-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.in: Added ru and vi to ALL_LINGUAS.

2006-01-06  Ryan Lortie  <desrt@desrt.ca>

	* Tomboy/Plugins/FixedWidth.cs:
	* Tomboy/Plugins/Makefile.am: Add plugin for fixed-width font style.

2006-01-02  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/RecentChanges.cs: Rename "Recent Changes" to "Table of
	Contents".  
	* Tomboy/Tray.cs: Ditto.

2005-12-31  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteManager.cs: Handle link title text better, by
	stripping whitespace, using only the first line of selected text
	and using other lines as the new note body.  Throw Create
	exceptions on empty titles, or if the title is already taken.

	* Tomboy/NoteWindow.cs: Handle note create exceptions with an
	error dialog, use NoteManager.SplitTitleFromContent to split title
	from selection for use in matching existing notes.

	* Tomboy/Tray.cs: Handle note create exceptions with an error
	dialog.

	* Tomboy/RemoteControl.cs: Handle Create exceptions silently.
	* Tomboy/Watchers.cs: Ditto.
	* Tomboy/XKeybinder.cs: Ditto.

	* Tomboy/Utils.cs: InterruptableTimeout: clear timeout_id on
	cancel.

	* Tomboy/Plugins/NoteOfTheDay.cs: Do a better job cleaning up on
	shutdown.

2005-12-29  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Rename "Plugins" menu to "Tools".

	* data/GNOME_TomboyApplet.xml: Remove "..."

2005-12-26  Alex Graveley  <alex@beatniksoftware.com>

	* NEWS: Add some 0.3.4 bullets.

	* Tomboy/Watchers.cs: Use NoteBuffer.GetBlockExtents in
	NoteUrlWatcher & NoteLinkWatcher's text input handling, which
	should speed up typing in large paragraphs.

	* Tomboy/Utils.cs (TextTagEnumerator): Use left gravity for
	current position mark.  This fixes the Gaim/Evo plugin, which
	attempt to inline replace existing text.
	(InterruptableTimeout): In Reset, allow an optional EventArgs
	argument passed to timeout handlers.

	* Tomboy/Trie.cs: Add MaxLength property to return the longest key
	length.

	* Tomboy/NoteBuffer.cs: Add new GetBlockExtents, which takes a
	start/end iter and extends it to encompass the text of the current
	paragraph, within some threshold, and avoids splitting tags in
	half.

2005-10-19  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/tomboy.in: Only pass --debug when running an uninstalled
	target.

2005-10-19  Alex Graveley  <alex@beatniksoftware.com>
	
	* Tomboy/Plugins/GalagoPresence.cs: Split trie creation into two
	phases, which makes the code a little cleaner.

	* Tomboy/Plugins/Makefile.am (EVO_RESOURCES): Add
	data/images/stock_mail.png.

	* Tomboy/Plugins/Evolution.cs: Set the link:evo-mail tag's Image
	attribute to the resource "stock_mail.png".

	* Tomboy/NoteTag.cs: Add Image attribute, which fires the tag's
	Changed signal when set.  In NoteTagTable, fire a TagChanged even
	whenever a tag's Changed signal is emitted.

	* Tomboy/NoteBuffer.cs: Add rudimentary tag image support, by
	inserting a NoteTag's image on TagChanged or TagApplied.  Be sure
	to adjust the offsets when deserializing notes to account for the
	new image anchor 'character'.

2005-10-06  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Correctly show any opened notes in Tomboy
	menu. This behavior has been there forever, but a bug existed
	which would break from looking for open notes after the 18th note.
	(Only include notes with mapped windows.)

2005-10-04  Pawan Chitrakar  <pchitrakar@gmail.com>

	* configure.in: Added ne in ALL_LINGUAS

2005-09-28  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Add some visual feedback during a middle-button
	paste operation, using Gtk.Drag.Highlight.

2005-09-28  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Tray.cs: Implement feature request from Mig... handle
	middle button click by prepending the Primary clipboard text to
	"Start Here" along with a date/time stamp.  Factor out this
	insertion to PrependTimestampedText, and se it for URL drops as
	well.

	* Tomboy/NoteTag.cs: Add "datetime" tag, used for visually
	formatting the date string inserted with URL drops and middle
	button paste to the tray icon.

2005-09-27  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/Makefile.am: Build Evolution.dll.

	* Tomboy/Plugins/GalagoPresence.cs: Update to using a custom
	NoteTag to handle opening Galago person links.

	* Tomboy/Plugins/Evolution.cs: New Evolution email linking plugin.
	Handles dropped emails, inserting the message subject as a link
	which when clicked opens the mail in Evolution.  Parsing the mime
	message is done using Gmime#.

	* Tomboy/Watchers.cs: In NoteSpellChecker, use
	NoteTagTable.TagIsSpellCheckable().

	In NoteUrlWatcher, connect to link:url's new NoteTag.Activated
	signal to handle opening links, and remove an unnedded URL
	massaging step.  

	In NoteLinkWatcher, connect to link:internal's and link:broken's
	new NoteTag.Activated signal to handle opening links.

	In MouseHandWatcher, remove link:internal click handling, and
	handle mouse-hand hovering and key press events generically for
	any "activatable" tags.

	* Tomboy/PluginManager.cs: Use IsSubclassOf() for determining
	plugin types, instead of explicitly comparing the base type.

	* Tomboy/NoteBuffer.cs: Remove NoteTagTable.  Add support for
	NoteTag's Read/Write serialization in NoteBufferArchiver.

	* Tomboy/NoteTag.cs: New file, move NoteTagTable here, add new
	NoteTag and DynamicNoteTag classes.

	* configure.in: Add check for Gmime#, used by the new Evolution
	plugin.

2005-09-20  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/Makefile.am: Install GalagoPresence.dll if it is
	built.

	* Tomboy/Plugins/GalagoPresence.cs: Strip broken image insertion
	for now, so this is actually functional.

2005-09-20  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Add --enable-galago option.

	* Tomboy/Plugins/Makefile.am: Make the GalagoPresence.dll compile
	conditional based on ENABLE_GALAGO (set by configure).

2005-09-20  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/GalagoPresence.cs: Initial commit, very broken.

	* libtomboy/gtksourceprintjob.c: Fix missed conversion from
	GTK_IS_SOURCE_VIEW -> GTK_IS_TEXT_VIEW.

	* Tomboy/Plugins/Makefile.am: Build GalagoPresence.dll and add it
	to noinst_DATA.

	* Tomboy/Watchers.cs: Store and use tags at initialization
	throughout, instead of looking up tags on-demand.  Update link
	Watcher to new Trie API.

	* Tomboy/Trie.cs (AddKeyword): Assign 'n' to null to avoid
	confusing mcs-1.1.9.  Change API to return a set of TrieHits.

2005-09-06  Ilkka Tuohela  <hile@iki.fi>

	* configure.fi: Added "fi" to ALL_LINGUAS.

2005-08-30  Dan Damian  <dand@gnome.ro>

	* configure.in: Added "ro" to ALL_LINGUAS.

2005-08-15  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: Undo last change causing lingering
	link:internal tag to hang around after partial delete.

2005-08-13  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/NoteOfTheDay.cs: Add NotD plugin.

	* Tomboy/Preferences.cs: "Ok" -> "Close".  Fixes bug 313382.

	* data/Makefile.am (server_in_files): Install
	GNOME_TomboyApplet.server to PANELAPPLET_SERVER_DIR.

	* configure.in (PANELAPPLET_SERVER_DIR): AC_SUBST this value from
	the pkg-config variable, to give the install location of the panel
	applet .server file.

2005-08-10  Alex Graveley  <alex@beatniksoftware.com>

	* configure.in: Bump version to 0.3.3.
	* NEWS: Update for 0.3.3.
	* www/index.html: Point to 0.3.3 tarball.

	* data/Makefile.am: Make distcheck happy regarding
	DefaultPlugins.desktop*.

	* Tomboy/Plugins/Makefile.am (EXTRA_DIST): Add ExportToHTML.xsl.

	* Tomboy/Makefile.am: Don't specify path to Defines.cs, since this
	may be generated in a different location from srcdir.

	* Tomboy/Watchers.cs: Remove unused NoteRelatedToWatcher.  In
	NoteLinkWatcher, use the NoteManager's trie controller.  In
	NoteSpellChecker, only attempt to fixup GtkSpell's misspelling tag
	for really old versions (<2.0.6), to avoid a crash when deleting
	notes.

	* Tomboy/NoteManager.cs: Move TrieController here, and create one
	as a member of NoteManager.

	* Tomboy/panelapplet/generated/PanelAppletSharp.cs: Aggregate
	generated signal callback class files into a single file.  This
	fixes distcheck, which dies on long tar path names.

2005-08-04  MAxim Dziumanenko <mvd@mylinux.ua>

	* configure.in: Add "uk" (Ukrainian) to ALL_LINGUAS.

2005-07-31  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Note.cs: Add DebugSave conditional method, and some calls
	for all the Save entry points.  Delete the temp '~' write file
	when saving.

	* Tomboy/NoteBuffer.cs: Add note-title as an unserialized tag
	again, to avoid saving notes on open when NoteRenameWatcher
	reapplies the title tag.

	* Tomboy/Watchers.cs: In NoteRenameWatcher, use TitleTag property
	to get the note-title tag.

2005-07-13  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/RemoteControl.cs: Check that NoteManager.Create() hasn't
	failed.
	* Tomboy/Tray.cs: Ditto.
	* Tomboy/XKeybinder.cs: Ditto.

	* Tomboy/NoteManager.cs: Protect against creating notes with
	titles containing only whitespace.

	* Tomboy/Utils.cs: Clean up formatting a bit.

2005-07-10  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Utils.cs: Check parsed uri is non-null.  Fixes bug
	170686.

2005-07-08  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Add DefaultMargin (always 8) accessor.
	Call InsertWithTags with "link:url" so URLs with spaces are
	inserted as-is.

	* Tomboy/Note.cs: Store the TagTable used by the buffer and add an
	accessor.

	* Tomboy/NoteBuffer.cs: Rename TagIsIgnored to TagIsSerializable.

2005-07-02  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/PluginManager.cs: Fix bug 308867, a startup crash on
	missing system Plugins directory. Patch from Michael Levy
	<mlevy@wardium.homeip.net>.

	* Tomboy/Plugins/PrintNotes.cs: Remove using Gnome.

2005-06-30  Enver ALTIN  <ealtin@parkyeri.com>

	* configure.in: Add Turkish (tr) to ALL_LINGUAS.
	* po/tr.po (new): Added initial Turkish translation.

2005-06-28  Raja R Harinath  <rharinath@novell.com>

	* Tomboy/Makefile.am (RESOURCES): DefaultPlugins.desktop is found
	in the builddir.

2005-06-18  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Note.cs: Don't center new notes. Avoids overlapping note
	windows.

	* Tomboy/Search.cs: Unhighlight if the dialog is not visible.

2005-06-14  Chris Toshok  <toshok@hungry.com>

	* libtomboy/gtksourceprintjob.c (create_layout_for_para): comment
	out call to pango_layout_set_ellipsize, as per orph's
	instructions.

2005-06-08  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.cs: Fix another protected static
	access, which recently in mono 1.1.7.2 been fixed to throw an
	error.

2005-06-08  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/panelapplet/AppletFactory.cs: Subclass from GLib.Object.
	Needed to work around what I can only guess is a mono 1.0.x and
	1.1.x incompatibility, whereby calling protected
	GLib.Object.LookupGType externally is no longer allowed.
	Hopefully fixes bug #306815.

2005-06-05  Alex Graveley  <alex@beatniksoftware.com>

	* libtomboy/tomboykeybinder.c: Lookup and bind to combinations of
	ignorable modifiers: scroll lock, num lock, and caps lock.  Fixes
	bug #300076.

2005-06-03  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Note.cs: Store last-change-date and create-date to note
	XML.  Rewrite notes with old (or non-existent) note:version on
	startup.  Use note:version of "0.2".

	* Tomboy/Plugins/ExportToHTML.cs: Remove note rewriting
	workaround, since all notes are now rewritten with the latest
	XML-compliant encoding on startup.

2005-06-03  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Utils.cs: In ToolMenuButton, subclass from ToggleButton
	to give the look of a depressed button while the menu is showing.
	Also override OnMnemonicActivated() to avoid always grabbing focus
	away from the editor.

2005-06-01  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Don't include markup in to-be-translated
	Text menuitem strings.  Fixes bug 306167.

2005-06-01  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.xsl: Maintain whitespace in note
	content using various CSS implementation-specific "white-space"
	values.  Don't indent the HTML output, so we maintain the source's
	whitespace.  Remove the now unneeded newline formatting code.

2005-06-01  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteBuffer.cs: Remove unused list:bullet and
	list:numbered tags.

2005-05-31  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: Fix bug where multiple URLs are opened on
	click, due to shared TagTables between notes with newer "fixed"
	versions of GtkSpell.

2005-05-25  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Undo.cs: Reimplement Undo to support tags on deleted
	text.  This needs lots of testing.

	* Tomboy/Utils.cs: Beef up TextRange.

	* Tomboy/Plugins/Makefile.am: Use -out and -debug.
	* Tomboy/Makefile.am: Ditto.

2005-05-24  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteBuffer.cs: Fix style application by adding active
	tags correctly, and only applying them on character insert
	(not text paste).

2005-05-24  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.xsl: Use the text() node when
	passing a note name to document(), in case there is an embedded
	tag in the note title.

2005-05-24  Alex Graveley  <alex@beatniksoftware.com>

	* data/DefaultPlugins.desktop.in.in (Icon): Use
	"gnome-fs-directory" instead of "gnome-run" so people know it's a
	directory they're opening.

2005-05-23  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Handle the case of no workspace number by
	closing all open windows.

	* Tomboy/Makefile.am (RESOURCES): Add DefaultPlugins.desktop as a
	Tomboy.exe resource.

	* Tomboy/NoteManager.cs: Always try to create the plugins dir.

	* Tomboy/PluginManager.cs: Load and monitor user and system
	plugins dirs for changes.  Cleanup any lingering "Uninstalled
	Plugins" and PrintToNote.dll or ExportToHTML.dll by unlinking
	them.  Copy the "DefaultPlugins.desktop" resource to the Plugins
	directory if it doesn't exist.  Watch the system plugins directory
	for changes as well as the user's Plugins directory.

	* data/Makefile.am: Generate DefaultPlugins.desktop from
	DefaultPlugins.desktop.in.in.

	* data/DefaultPlugins.desktop.in.in: New file.  This URL launcher
	opens the "default" (system-wide) plugins directory, and uses the
	gnome-run icon.  Allows for an internationalized symlink
	equivalent.

2005-05-22  Alex Graveley  <alex@beatniksoftware.com>

	* data/GNOME_TomboyApplet.xml: Rename "Install Plugins" menu item
	to "Open Plugins Folder".
	* Tomboy/Applet.cs: Ditto.

	* Tomboy/NoteWindow.cs: Add 'o' mnemonic to "Open Plugins Folder".

2005-05-22  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Add Ctrl-Q to "Close All Notes" on the
	current desktop, by calling CloseWindowHandler for any open note
	windows on the same workspace, as returned by
	tomboy_window_get_workspace().  Also, rename the "Close Window"
	menuitem to just "Close" to match Nautilus.

	* libtomboy/tomboyutil.c (tomboy_window_get_workspace): Add this
	method, which returns a GtkWindow's_NET_WM_DESKTOP as an integer.

2005-05-21  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Watchers.cs: Clear out unused IndentWatcher and
	SpacingWatcher until they are moved to another file.
	In LinkWatcher, support opening URLs and copying a URL to the
	clipboard via the right-click context menu.

2005-05-19  Alex Graveley  <alex@beatniksoftware.com>

	* libtomboy/gtksourceprintjob.c: New file.
	* libtomboy/gedit-print.c: Ditto.

	* libtomboy/Makefile.am (libtomboy_la_SOURCES): Add
	gedit-print.[ch] and gtksourceprintjob.[ch].

	* Tomboy/Plugins/PrintNotes.cs: Use the new gedit_print() C call
	added to libtomboy, and remove all the existing printing code.

2005-05-17  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/XKeybinder.cs: Pass 'true' to ShowMenu when handling
	keypresses, so the first menu item is selected (matches GTK's
	behavior).

	* Tomboy/Tray.cs: Call SelectFirst on the notes menu when told to.

2005-05-16  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/NoteWindow.cs: Use ToolMenuButton, and remove all the
	cruft that went along with the old non-generic implementation.
	Only show the "Plugins" menu label when toolbar style is 'text
	under icon'.

	* Tomboy/Utils.cs: In GetMenuPosition, offset X by the
	AttachWidget's allocation.  Cleanup ToolMenuButton, which is now a
	nice generic button used for the Text and Plugins menus.

2005-05-16  I�aki Larra�aga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2005-05-14  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Utils.cs: Create ToolMenuButton, used by the Text and
	Plugins toolbar menus.

	* Tomboy/PluginManager.cs: Add AddPluginMenuItem, called by
	plugins to add menu items to the Plugins menu.

	* Tomboy/NoteWindow.cs: Add PluginMenu, populated by loaded
	plugins, containing an "Open Plugins Folder" menu item.

	* Tomboy/Plugins/PrintNotes.cs: Add the menuitem to the Plugins
	menu using NotePlugin.AddPluginMenuItem().
	* Tomboy/Plugins/ExportToHTML.cs: Ditto.

2005-05-05  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.xsl: Allow link:internal nodes we
	wish to export to be arbitrarily nested.

	* Tomboy/Trie.cs: Fix compile error on mono 1.1.7, which seems to
	have better flow control logic.

2005-05-05  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.xsl: Fix internal references by
	loading the document and using the actual title node.

2005-05-04  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.cs: Look for an overriden copy of
	ExportToHTML.xsl in the directory of ExportToHTML.dll.

2005-05-04  Alex Graveley  <alex@beatniksoftware.com>

	* Tomboy/Plugins/ExportToHTML.cs: Switch to using XPathDocument
	for XsltTrasforms, instead of XmlDocument.  This causes whitespace
	between elements to be retained (different parser I guess), and is
	much faster!

